import { C as ClosePopup, Q as QImg } from "./ClosePopup.a0e0c0f0.js";
import { r as ref, b1 as watchEffect, aI as useRouter, af as openBlock, ai as createBlock, aj as withCtx, ak as createVNode, ar as QCardSection, an as createBaseVNode, aE as QRadio, as as QInput, ap as createCommentVNode, U as QBtn, al as createTextVNode, am as toDisplayString, ag as createElementBlock, au as QCardActions, Z as withDirectives, aq as QCard, aH as _export_sfc, aM as normalizeClass, av as QDialog, aw as Fragment, a$ as pushScopeId, b0 as popScopeId } from "./index.6081da41.js";
import { d as useQuasar, i as getCodeApi, j as userRegisterApi, r as registerPlugin, k as changePasswordApi, a as useChatStore, u as useUserStore, l as userLoginApi, P as Preferences } from "./use-quasar.c6076455.js";
const _hoisted_1$2 = /* @__PURE__ */ createBaseVNode("div", { class: "text-h6" }, "\u6CE8\u518C", -1);
const _hoisted_2$2 = { class: "q-gutter-sm" };
const _hoisted_3$2 = { class: "row justify-between" };
const _hoisted_4$2 = { key: 0 };
const _hoisted_5$2 = { class: "text-accent row justify-center q-ma-lg" };
const _sfc_main$2 = {
  __name: "UserRegister",
  setup(__props) {
    const $q = useQuasar();
    const account_type = ref("email");
    const email = ref("");
    const tel = ref("");
    const code = ref("");
    const password = ref("");
    const code_btn = ref(true);
    const code_btn_text = ref("\u53D1\u9001\u9A8C\u8BC1\u7801");
    const count_down = ref(30);
    watchEffect(() => {
      if (email.value !== "") {
        tel.value = "";
      }
      if (tel.value !== "") {
        email.value = "";
      }
    });
    async function getCode() {
      if (email.value !== "" || tel.value !== "") {
        count_down.value = 30;
        code_btn.value = false;
        code_btn_text.value = "\u5DF2\u53D1\u9001";
        setInterval(() => {
          if (count_down.value > 0) {
            count_down.value--;
          } else {
            code_btn_text.value = "\u53D1\u9001\u9A8C\u8BC1\u7801";
            code_btn.value = true;
          }
        }, 1e3);
        await getCodeApi(email.value, tel.value);
      } else {
        console.log("\u8D26\u53F7\u4E0D\u80FD\u4E3A\u7A7A");
      }
    }
    const router = useRouter();
    const register_error = ref("");
    async function userRegister() {
      $q.loading.show();
      const res = await userRegisterApi(email.value, tel.value, password.value, code.value);
      if ("error" in res && res["error"].length > 0) {
        register_error.value = res["error"];
      }
      if ("message" in res && res["message"] === "User registered successfully") {
        $q.loading.hide();
        register_error.value = "\u6CE8\u518C\u6210\u529F";
        console.log("\u6CE8\u518C\u6210\u529F");
        await router.push("/");
      }
    }
    return (_ctx, _cache) => {
      return openBlock(), createBlock(QCard, {
        class: "q-pa-lg",
        style: { "min-width": "350px" }
      }, {
        default: withCtx(() => [
          createVNode(QCardSection, null, {
            default: withCtx(() => [
              _hoisted_1$2
            ]),
            _: 1
          }),
          createVNode(QCardSection, { class: "q-pt-none q-gutter-md text-primary" }, {
            default: withCtx(() => [
              createBaseVNode("div", _hoisted_2$2, [
                createVNode(QRadio, {
                  modelValue: account_type.value,
                  "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => account_type.value = $event),
                  "checked-icon": "task_alt",
                  "unchecked-icon": "panorama_fish_eye",
                  val: "email",
                  label: "\u90AE\u7BB1\u8BA4\u8BC1"
                }, null, 8, ["modelValue"])
              ]),
              account_type.value === "email" ? (openBlock(), createBlock(QInput, {
                key: 0,
                rounded: "",
                outlined: "",
                modelValue: email.value,
                "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => email.value = $event),
                label: "\u90AE\u7BB1"
              }, null, 8, ["modelValue"])) : createCommentVNode("", true),
              account_type.value === "tel" ? (openBlock(), createBlock(QInput, {
                key: 1,
                rounded: "",
                outlined: "",
                modelValue: tel.value,
                "onUpdate:modelValue": _cache[2] || (_cache[2] = ($event) => tel.value = $event),
                label: "\u624B\u673A\u53F7\u7801"
              }, null, 8, ["modelValue"])) : createCommentVNode("", true),
              createBaseVNode("div", _hoisted_3$2, [
                createVNode(QInput, {
                  class: "col-7",
                  rounded: "",
                  outlined: "",
                  modelValue: code.value,
                  "onUpdate:modelValue": _cache[3] || (_cache[3] = ($event) => code.value = $event),
                  label: "\u9A8C\u8BC1\u7801"
                }, null, 8, ["modelValue"]),
                createVNode(QBtn, {
                  onClick: getCode,
                  disable: !code_btn.value,
                  flat: "",
                  color: "primary"
                }, {
                  default: withCtx(() => [
                    createTextVNode(toDisplayString(code_btn_text.value), 1),
                    !code_btn.value ? (openBlock(), createElementBlock("span", _hoisted_4$2, "(" + toDisplayString(count_down.value) + ")", 1)) : createCommentVNode("", true)
                  ]),
                  _: 1
                }, 8, ["disable"])
              ]),
              createVNode(QInput, {
                rounded: "",
                outlined: "",
                modelValue: password.value,
                "onUpdate:modelValue": _cache[4] || (_cache[4] = ($event) => password.value = $event),
                type: "password",
                label: "\u767B\u5F55\u5BC6\u7801"
              }, null, 8, ["modelValue"])
            ]),
            _: 1
          }),
          createBaseVNode("div", _hoisted_5$2, toDisplayString(register_error.value), 1),
          createVNode(QCardActions, {
            align: "right",
            class: "text-primary"
          }, {
            default: withCtx(() => [
              withDirectives(createVNode(QBtn, {
                flat: "",
                label: "\u53D6\u6D88"
              }, null, 512), [
                [ClosePopup]
              ]),
              createVNode(QBtn, {
                onClick: userRegister,
                flat: "",
                label: "\u63D0\u4EA4"
              })
            ]),
            _: 1
          })
        ]),
        _: 1
      });
    };
  }
};
var KeyboardStyle;
(function(KeyboardStyle2) {
  KeyboardStyle2["Dark"] = "DARK";
  KeyboardStyle2["Light"] = "LIGHT";
  KeyboardStyle2["Default"] = "DEFAULT";
})(KeyboardStyle || (KeyboardStyle = {}));
var KeyboardResize;
(function(KeyboardResize2) {
  KeyboardResize2["Body"] = "body";
  KeyboardResize2["Ionic"] = "ionic";
  KeyboardResize2["Native"] = "native";
  KeyboardResize2["None"] = "none";
})(KeyboardResize || (KeyboardResize = {}));
registerPlugin("Keyboard");
const _hoisted_1$1 = /* @__PURE__ */ createBaseVNode("div", { class: "text-h6" }, "\u91CD\u7F6E\u5BC6\u7801", -1);
const _hoisted_2$1 = { class: "q-gutter-sm" };
const _hoisted_3$1 = { class: "row justify-between" };
const _hoisted_4$1 = { key: 0 };
const _hoisted_5$1 = { class: "text-accent row justify-center q-ma-lg" };
const _sfc_main$1 = {
  __name: "ChangePassword",
  setup(__props) {
    const $q = useQuasar();
    const account_type = ref("email");
    const email = ref("");
    const tel = ref("");
    const code = ref("");
    const password = ref("");
    const code_btn = ref(true);
    const code_btn_text = ref("\u53D1\u9001\u9A8C\u8BC1\u7801");
    const count_down = ref(30);
    watchEffect(() => {
      if (email.value !== "") {
        tel.value = "";
      }
      if (tel.value !== "") {
        email.value = "";
      }
    });
    async function getCode() {
      if (email.value !== "" || tel.value !== "") {
        count_down.value = 30;
        code_btn.value = false;
        code_btn_text.value = "\u5DF2\u53D1\u9001";
        setInterval(() => {
          if (count_down.value > 0) {
            count_down.value--;
          } else {
            code_btn_text.value = "\u53D1\u9001\u9A8C\u8BC1\u7801";
            code_btn.value = true;
          }
        }, 1e3);
        await getCodeApi(email.value, tel.value);
      } else {
        console.log("\u90AE\u7BB1\u4E0D\u80FD\u4E3A\u7A7A");
      }
    }
    const router = useRouter();
    const register_error = ref("");
    async function changePassword() {
      $q.loading.show();
      const res = await changePasswordApi(email.value, password.value, code.value);
      if ("error" in res && res["error"].length > 0) {
        register_error.value = res["error"];
      }
      if ("message" in res && res["message"] === "Password changed successfully") {
        $q.loading.hide();
        register_error.value = "\u5BC6\u7801\u91CD\u7F6E\u6210\u529F";
        console.log("\u5BC6\u7801\u91CD\u7F6E\u6210\u529F");
        await router.push("/");
      }
    }
    return (_ctx, _cache) => {
      return openBlock(), createBlock(QCard, {
        class: "q-pa-lg",
        style: { "min-width": "350px" }
      }, {
        default: withCtx(() => [
          createVNode(QCardSection, null, {
            default: withCtx(() => [
              _hoisted_1$1
            ]),
            _: 1
          }),
          createVNode(QCardSection, { class: "q-pt-none q-gutter-md text-primary" }, {
            default: withCtx(() => [
              createBaseVNode("div", _hoisted_2$1, [
                createVNode(QRadio, {
                  modelValue: account_type.value,
                  "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => account_type.value = $event),
                  "checked-icon": "task_alt",
                  "unchecked-icon": "panorama_fish_eye",
                  val: "email",
                  label: "\u90AE\u7BB1\u8BA4\u8BC1"
                }, null, 8, ["modelValue"])
              ]),
              account_type.value === "email" ? (openBlock(), createBlock(QInput, {
                key: 0,
                rounded: "",
                outlined: "",
                modelValue: email.value,
                "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => email.value = $event),
                label: "\u90AE\u7BB1"
              }, null, 8, ["modelValue"])) : createCommentVNode("", true),
              account_type.value === "tel" ? (openBlock(), createBlock(QInput, {
                key: 1,
                rounded: "",
                outlined: "",
                modelValue: tel.value,
                "onUpdate:modelValue": _cache[2] || (_cache[2] = ($event) => tel.value = $event),
                label: "\u624B\u673A\u53F7\u7801"
              }, null, 8, ["modelValue"])) : createCommentVNode("", true),
              createBaseVNode("div", _hoisted_3$1, [
                createVNode(QInput, {
                  class: "col-7",
                  rounded: "",
                  outlined: "",
                  modelValue: code.value,
                  "onUpdate:modelValue": _cache[3] || (_cache[3] = ($event) => code.value = $event),
                  label: "\u9A8C\u8BC1\u7801"
                }, null, 8, ["modelValue"]),
                createVNode(QBtn, {
                  onClick: getCode,
                  disable: !code_btn.value,
                  flat: "",
                  color: "primary"
                }, {
                  default: withCtx(() => [
                    createTextVNode(toDisplayString(code_btn_text.value), 1),
                    !code_btn.value ? (openBlock(), createElementBlock("span", _hoisted_4$1, "(" + toDisplayString(count_down.value) + ")", 1)) : createCommentVNode("", true)
                  ]),
                  _: 1
                }, 8, ["disable"])
              ]),
              createVNode(QInput, {
                rounded: "",
                outlined: "",
                modelValue: password.value,
                "onUpdate:modelValue": _cache[4] || (_cache[4] = ($event) => password.value = $event),
                type: "password",
                label: "\u65B0\u5BC6\u7801"
              }, null, 8, ["modelValue"])
            ]),
            _: 1
          }),
          createBaseVNode("div", _hoisted_5$1, toDisplayString(register_error.value), 1),
          createVNode(QCardActions, {
            align: "right",
            class: "text-primary"
          }, {
            default: withCtx(() => [
              withDirectives(createVNode(QBtn, {
                flat: "",
                label: "\u53D6\u6D88"
              }, null, 512), [
                [ClosePopup]
              ]),
              createVNode(QBtn, {
                onClick: changePassword,
                flat: "",
                label: "\u63D0\u4EA4"
              })
            ]),
            _: 1
          })
        ]),
        _: 1
      });
    };
  }
};
var UserLogin_vue_vue_type_style_index_0_scoped_true_lang = "";
const _withScopeId = (n) => (pushScopeId("data-v-075dfeda"), n = n(), popScopeId(), n);
const _hoisted_1 = {
  class: "row orientation-landscape justify-between no-wrap",
  style: { "height": "100vh" }
};
const _hoisted_2 = { class: "col-7 column justify-center" };
const _hoisted_3 = { class: "col-5 column flex-center" };
const _hoisted_4 = { class: "column col-5 justify-center" };
const _hoisted_5 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createBaseVNode("div", { class: "row flex-center heartbeat text-subtitle1 text-weight-light text-grey-14" }, " mogU ", -1));
const _hoisted_6 = { class: "col-3 column flex-center no-wrap" };
const _hoisted_7 = { class: "col-3 column justify-start items-center no-wrap" };
const _hoisted_8 = { class: "text-accent row justify-center q-ma-lg" };
const _hoisted_9 = {
  class: "orientation-portrait column flex-center no-wrap",
  style: { "height": "100vh" }
};
const _hoisted_10 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createBaseVNode("div", { class: "row flex-center heartbeat text-subtitle1 text-weight-light text-grey-14" }, " mogU ", -1));
const _hoisted_11 = { class: "col-3 column flex-center no-wrap" };
const _hoisted_12 = { class: "col-3 column justify-start items-center no-wrap" };
const _hoisted_13 = { class: "text-accent row justify-center q-ma-lg" };
const _sfc_main = {
  __name: "UserLogin",
  setup(__props) {
    const $q = useQuasar();
    const router = useRouter();
    const register = ref(false);
    const change_password = ref(false);
    const username = ref("");
    ref("");
    const password = ref("");
    const chatStore = useChatStore();
    const userStore = useUserStore();
    const login_error = ref("");
    async function login() {
      $q.loading.setDefaults({
        spinner: "QSpinnerGears",
        spinnerSize: 140,
        spinnerColor: "primary",
        messageColor: "primary",
        message: "\u767B\u5F55\u4E2D..."
      });
      $q.loading.show();
      const res = await userLoginApi(
        {
          "username": username.value,
          "password": password.value
        }
      );
      if ("error" in res) {
        console.log(res["error"]);
        login_error.value = res["error"];
        $q.loading.hide();
      } else {
        const token = res["token"];
        const user = res["User"];
        await userStore.setUserInfo(user);
        await Preferences.set({
          key: "token",
          value: token
        });
        await chatStore.getSubjects();
        await chatStore.getChats();
        await chatStore.getApiCalls();
        await chatStore.getApiCallLimit();
        $q.loading.hide();
        await router.push({ name: "chatPage" });
      }
    }
    const isRotating = ref(false);
    const show_btn = ref(true);
    const logo_width = ref("160px");
    function toggleRotation() {
      isRotating.value = true;
      setTimeout(() => {
        isRotating.value = false;
      }, 1e3);
    }
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock(Fragment, null, [
        createBaseVNode("div", _hoisted_1, [
          createBaseVNode("div", _hoisted_2, [
            createVNode(QImg, {
              fit: "cover",
              src: "login-bg.png",
              style: { "height": "100%" }
            })
          ]),
          createBaseVNode("div", _hoisted_3, [
            createBaseVNode("div", _hoisted_4, [
              createBaseVNode("div", { onClick: toggleRotation }, [
                createVNode(QImg, {
                  class: normalizeClass({ "rotate-center": isRotating.value }),
                  src: "logo.png",
                  width: logo_width.value
                }, null, 8, ["class", "width"])
              ]),
              _hoisted_5
            ]),
            createBaseVNode("div", _hoisted_6, [
              createVNode(QInput, {
                modelValue: username.value,
                "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => username.value = $event),
                class: "q-my-md",
                label: "\u7528\u6237\u540D",
                outlined: "",
                rounded: "",
                style: { "width": "280px" },
                onClick: toggleRotation
              }, null, 8, ["modelValue"]),
              createVNode(QInput, {
                modelValue: password.value,
                "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => password.value = $event),
                class: "q-my-md",
                label: "\u5BC6\u7801",
                outlined: "",
                rounded: "",
                style: { "width": "280px" },
                type: "password",
                onClick: toggleRotation
              }, null, 8, ["modelValue"]),
              createVNode(QBtn, {
                class: "self-end",
                flat: "",
                "text-color": "primary",
                onClick: _cache[2] || (_cache[2] = ($event) => change_password.value = true)
              }, {
                default: withCtx(() => [
                  createTextVNode("\u91CD\u7F6E\u5BC6\u7801")
                ]),
                _: 1
              })
            ]),
            createBaseVNode("div", _hoisted_7, [
              createVNode(QBtn, {
                class: "q-ma-md",
                color: "primary",
                outline: "",
                rounded: "",
                style: { "width": "280px" },
                onClick: login
              }, {
                default: withCtx(() => [
                  createTextVNode("\u767B\u5F55")
                ]),
                _: 1
              }),
              createVNode(QBtn, {
                outline: "",
                rounded: "",
                style: { "width": "280px" },
                onClick: _cache[3] || (_cache[3] = ($event) => register.value = true)
              }, {
                default: withCtx(() => [
                  createTextVNode("\u6CE8\u518C")
                ]),
                _: 1
              })
            ]),
            createBaseVNode("div", _hoisted_8, toDisplayString(login_error.value), 1),
            createVNode(QDialog, {
              modelValue: register.value,
              "onUpdate:modelValue": _cache[4] || (_cache[4] = ($event) => register.value = $event),
              persistent: ""
            }, {
              default: withCtx(() => [
                createVNode(_sfc_main$2)
              ]),
              _: 1
            }, 8, ["modelValue"]),
            createVNode(QDialog, {
              modelValue: change_password.value,
              "onUpdate:modelValue": _cache[5] || (_cache[5] = ($event) => change_password.value = $event),
              persistent: ""
            }, {
              default: withCtx(() => [
                createVNode(_sfc_main$1)
              ]),
              _: 1
            }, 8, ["modelValue"])
          ])
        ]),
        createBaseVNode("div", _hoisted_9, [
          createBaseVNode("div", {
            class: "column col-5 justify-center",
            onClick: toggleRotation
          }, [
            createVNode(QImg, {
              class: normalizeClass({ "rotate-center": isRotating.value }),
              src: "logo.png",
              width: logo_width.value
            }, null, 8, ["class", "width"]),
            _hoisted_10
          ]),
          createBaseVNode("div", _hoisted_11, [
            createVNode(QInput, {
              modelValue: username.value,
              "onUpdate:modelValue": _cache[6] || (_cache[6] = ($event) => username.value = $event),
              class: "q-my-md",
              label: "\u7528\u6237\u540D",
              outlined: "",
              rounded: "",
              style: { "width": "280px" },
              onClick: toggleRotation
            }, null, 8, ["modelValue"]),
            createVNode(QInput, {
              modelValue: password.value,
              "onUpdate:modelValue": _cache[7] || (_cache[7] = ($event) => password.value = $event),
              class: "q-my-md",
              label: "\u5BC6\u7801",
              outlined: "",
              rounded: "",
              style: { "width": "280px" },
              type: "password",
              onClick: toggleRotation
            }, null, 8, ["modelValue"]),
            show_btn.value ? (openBlock(), createBlock(QBtn, {
              key: 0,
              class: "self-end",
              flat: "",
              "text-color": "primary",
              onClick: _cache[8] || (_cache[8] = ($event) => change_password.value = true)
            }, {
              default: withCtx(() => [
                createTextVNode("\u91CD\u7F6E\u5BC6\u7801")
              ]),
              _: 1
            })) : createCommentVNode("", true)
          ]),
          createBaseVNode("div", _hoisted_12, [
            show_btn.value ? (openBlock(), createBlock(QBtn, {
              key: 0,
              class: "q-ma-md",
              color: "primary",
              outline: "",
              rounded: "",
              style: { "width": "280px" },
              onClick: login
            }, {
              default: withCtx(() => [
                createTextVNode("\u767B\u5F55")
              ]),
              _: 1
            })) : createCommentVNode("", true),
            show_btn.value ? (openBlock(), createBlock(QBtn, {
              key: 1,
              outline: "",
              rounded: "",
              style: { "width": "280px" },
              onClick: _cache[9] || (_cache[9] = ($event) => register.value = true)
            }, {
              default: withCtx(() => [
                createTextVNode("\u6CE8\u518C")
              ]),
              _: 1
            })) : createCommentVNode("", true)
          ]),
          createBaseVNode("div", _hoisted_13, toDisplayString(login_error.value), 1),
          createVNode(QDialog, {
            modelValue: register.value,
            "onUpdate:modelValue": _cache[10] || (_cache[10] = ($event) => register.value = $event),
            persistent: ""
          }, {
            default: withCtx(() => [
              createVNode(_sfc_main$2)
            ]),
            _: 1
          }, 8, ["modelValue"])
        ])
      ], 64);
    };
  }
};
var UserLogin = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-075dfeda"]]);
export { UserLogin as default };
