import { c as createComponent, a as computed, h, b as hSlot, u as useDarkProps, d as useRouterLinkProps, e as useDark, f as useRouterLink, r as ref, g as getCurrentInstance, i as isKeyCode, s as stopAndPrevent, j as hUniqueSlot, p as prevent, n as nextTick, k as addEvt, w as watch, o as onMounted, l as onBeforeUnmount, m as cleanEvt, q as listenOpts, t as portalProxyList, v as client, x as getScrollbarWidth, y as useModelToggleProps, z as useTransitionProps, A as useModelToggleEmits, B as useTick, C as useTimeout, D as useTransition, E as useModelToggle, F as usePortal, G as addFocusout, H as position, I as removeFocusout, J as removeEscapeKey, K as getScrollTarget, L as closePortalMenus, T as Transition, M as addEscapeKey, N as addFocusFn, O as childHasFocus, P as useBtnProps, Q as uid, R as getBtnDesignAttr, S as QIcon, U as QBtn, V as stop, W as inject, X as emptyRenderFn, Y as tabsKey, Z as withDirectives, _ as Ripple, $ as shouldIgnoreKey, a0 as hMergeSlot, a1 as isDeepEqual, a2 as provide, a3 as onDeactivated, a4 as onActivated, a5 as layoutKey, a6 as useHistory, a7 as between, a8 as hDir, a9 as usePreventScroll, aa as pageContainerKey, ab as isRuntimeSsrPreHydration, ac as reactive, ad as onUnmounted, ae as storeToRefs, af as openBlock, ag as createElementBlock, ah as unref, ai as createBlock, aj as withCtx, ak as createVNode, al as createTextVNode, am as toDisplayString, an as createBaseVNode, ao as vShow, ap as createCommentVNode, aq as QCard, ar as QCardSection, as as QInput, at as withKeys, au as QCardActions, av as QDialog, aw as Fragment, ax as createDirective, ay as noop, az as leftClick, aA as preventDraggable, aB as getNormalizedVNodes, aC as KeepAlive, aD as QSeparator, aE as QRadio, aF as defineStore, aG as __vitePreload, aH as _export_sfc, aI as useRouter, aJ as renderList, aK as QAvatar, aL as QOptionGroup, aM as normalizeClass, aN as mergeProps } from "./index.6081da41.js";
import { c as clearSelection, Q as QResizeObserver, T as TouchPan, a as QScrollObserver, g as getModifierDirections, s as shouldStart, b as QPage, C as ChatPage } from "./ChatPage.b1987762.js";
import { C as ClosePopup, Q as QImg } from "./ClosePopup.a0e0c0f0.js";
import { u as useUserStore, a as useChatStore, s as subjectChangeApi, b as subjectDelApi, c as subjectAddApi, d as useQuasar, e as useEnvStore, P as Preferences, r as registerPlugin, f as updateUserApi } from "./use-quasar.c6076455.js";
var commonjsGlobal = typeof globalThis !== "undefined" ? globalThis : typeof window !== "undefined" ? window : typeof global !== "undefined" ? global : typeof self !== "undefined" ? self : {};
var QToolbarTitle = createComponent({
  name: "QToolbarTitle",
  props: {
    shrink: Boolean
  },
  setup(props, { slots }) {
    const classes = computed(
      () => "q-toolbar__title ellipsis" + (props.shrink === true ? " col-shrink" : "")
    );
    return () => h("div", { class: classes.value }, hSlot(slots.default));
  }
});
var QItemSection = createComponent({
  name: "QItemSection",
  props: {
    avatar: Boolean,
    thumbnail: Boolean,
    side: Boolean,
    top: Boolean,
    noWrap: Boolean
  },
  setup(props, { slots }) {
    const classes = computed(
      () => `q-item__section column q-item__section--${props.avatar === true || props.side === true || props.thumbnail === true ? "side" : "main"}` + (props.top === true ? " q-item__section--top justify-start" : " justify-center") + (props.avatar === true ? " q-item__section--avatar" : "") + (props.thumbnail === true ? " q-item__section--thumbnail" : "") + (props.noWrap === true ? " q-item__section--nowrap" : "")
    );
    return () => h("div", { class: classes.value }, hSlot(slots.default));
  }
});
var QItem = createComponent({
  name: "QItem",
  props: {
    ...useDarkProps,
    ...useRouterLinkProps,
    tag: {
      type: String,
      default: "div"
    },
    active: {
      type: Boolean,
      default: null
    },
    clickable: Boolean,
    dense: Boolean,
    insetLevel: Number,
    tabindex: [String, Number],
    focused: Boolean,
    manualFocus: Boolean
  },
  emits: ["click", "keyup"],
  setup(props, { slots, emit }) {
    const { proxy: { $q } } = getCurrentInstance();
    const isDark = useDark(props, $q);
    const { hasLink, linkAttrs, linkClass, linkTag, navigateOnClick } = useRouterLink();
    const rootRef = ref(null);
    const blurTargetRef = ref(null);
    const isActionable = computed(
      () => props.clickable === true || hasLink.value === true || props.tag === "label"
    );
    const isClickable = computed(
      () => props.disable !== true && isActionable.value === true
    );
    const classes = computed(
      () => "q-item q-item-type row no-wrap" + (props.dense === true ? " q-item--dense" : "") + (isDark.value === true ? " q-item--dark" : "") + (hasLink.value === true && props.active === null ? linkClass.value : props.active === true ? ` q-item--active${props.activeClass !== void 0 ? ` ${props.activeClass}` : ""}` : "") + (props.disable === true ? " disabled" : "") + (isClickable.value === true ? " q-item--clickable q-link cursor-pointer " + (props.manualFocus === true ? "q-manual-focusable" : "q-focusable q-hoverable") + (props.focused === true ? " q-manual-focusable--focused" : "") : "")
    );
    const style = computed(() => {
      if (props.insetLevel === void 0) {
        return null;
      }
      const dir = $q.lang.rtl === true ? "Right" : "Left";
      return {
        ["padding" + dir]: 16 + props.insetLevel * 56 + "px"
      };
    });
    function onClick(e) {
      if (isClickable.value === true) {
        if (blurTargetRef.value !== null) {
          if (e.qKeyEvent !== true && document.activeElement === rootRef.value) {
            blurTargetRef.value.focus();
          } else if (document.activeElement === blurTargetRef.value) {
            rootRef.value.focus();
          }
        }
        navigateOnClick(e);
      }
    }
    function onKeyup(e) {
      if (isClickable.value === true && isKeyCode(e, 13) === true) {
        stopAndPrevent(e);
        e.qKeyEvent = true;
        const evt = new MouseEvent("click", e);
        evt.qKeyEvent = true;
        rootRef.value.dispatchEvent(evt);
      }
      emit("keyup", e);
    }
    function getContent() {
      const child = hUniqueSlot(slots.default, []);
      isClickable.value === true && child.unshift(
        h("div", { class: "q-focus-helper", tabindex: -1, ref: blurTargetRef })
      );
      return child;
    }
    return () => {
      const data = {
        ref: rootRef,
        class: classes.value,
        style: style.value,
        role: "listitem",
        onClick,
        onKeyup
      };
      if (isClickable.value === true) {
        data.tabindex = props.tabindex || "0";
        Object.assign(data, linkAttrs.value);
      } else if (isActionable.value === true) {
        data["aria-disabled"] = "true";
      }
      return h(
        linkTag.value,
        data,
        getContent()
      );
    };
  }
});
var QList = createComponent({
  name: "QList",
  props: {
    ...useDarkProps,
    bordered: Boolean,
    dense: Boolean,
    separator: Boolean,
    padding: Boolean,
    tag: {
      type: String,
      default: "div"
    }
  },
  setup(props, { slots }) {
    const vm = getCurrentInstance();
    const isDark = useDark(props, vm.proxy.$q);
    const classes = computed(
      () => "q-list" + (props.bordered === true ? " q-list--bordered" : "") + (props.dense === true ? " q-list--dense" : "") + (props.separator === true ? " q-list--separator" : "") + (isDark.value === true ? " q-list--dark" : "") + (props.padding === true ? " q-list--padding" : "")
    );
    return () => h(props.tag, { class: classes.value }, hSlot(slots.default));
  }
});
var QBtnGroup = createComponent({
  name: "QBtnGroup",
  props: {
    unelevated: Boolean,
    outline: Boolean,
    flat: Boolean,
    rounded: Boolean,
    square: Boolean,
    push: Boolean,
    stretch: Boolean,
    glossy: Boolean,
    spread: Boolean
  },
  setup(props, { slots }) {
    const classes = computed(() => {
      const cls = ["unelevated", "outline", "flat", "rounded", "square", "push", "stretch", "glossy"].filter((t) => props[t] === true).map((t) => `q-btn-group--${t}`).join(" ");
      return `q-btn-group row no-wrap${cls.length !== 0 ? " " + cls : ""}` + (props.spread === true ? " q-btn-group--spread" : " inline");
    });
    return () => h("div", { class: classes.value }, hSlot(slots.default));
  }
});
const useAnchorProps = {
  target: {
    default: true
  },
  noParentEvent: Boolean,
  contextMenu: Boolean
};
function useAnchor({
  showing,
  avoidEmit,
  configureAnchorEl
}) {
  const { props, proxy, emit } = getCurrentInstance();
  const anchorEl = ref(null);
  let touchTimer = null;
  function canShow(evt) {
    return anchorEl.value === null ? false : evt === void 0 || evt.touches === void 0 || evt.touches.length <= 1;
  }
  const anchorEvents = {};
  if (configureAnchorEl === void 0) {
    Object.assign(anchorEvents, {
      hide(evt) {
        proxy.hide(evt);
      },
      toggle(evt) {
        proxy.toggle(evt);
        evt.qAnchorHandled = true;
      },
      toggleKey(evt) {
        isKeyCode(evt, 13) === true && anchorEvents.toggle(evt);
      },
      contextClick(evt) {
        proxy.hide(evt);
        prevent(evt);
        nextTick(() => {
          proxy.show(evt);
          evt.qAnchorHandled = true;
        });
      },
      prevent,
      mobileTouch(evt) {
        anchorEvents.mobileCleanup(evt);
        if (canShow(evt) !== true) {
          return;
        }
        proxy.hide(evt);
        anchorEl.value.classList.add("non-selectable");
        const target = evt.target;
        addEvt(anchorEvents, "anchor", [
          [target, "touchmove", "mobileCleanup", "passive"],
          [target, "touchend", "mobileCleanup", "passive"],
          [target, "touchcancel", "mobileCleanup", "passive"],
          [anchorEl.value, "contextmenu", "prevent", "notPassive"]
        ]);
        touchTimer = setTimeout(() => {
          touchTimer = null;
          proxy.show(evt);
          evt.qAnchorHandled = true;
        }, 300);
      },
      mobileCleanup(evt) {
        anchorEl.value.classList.remove("non-selectable");
        if (touchTimer !== null) {
          clearTimeout(touchTimer);
          touchTimer = null;
        }
        if (showing.value === true && evt !== void 0) {
          clearSelection();
        }
      }
    });
    configureAnchorEl = function(context = props.contextMenu) {
      if (props.noParentEvent === true || anchorEl.value === null) {
        return;
      }
      let evts;
      if (context === true) {
        if (proxy.$q.platform.is.mobile === true) {
          evts = [
            [anchorEl.value, "touchstart", "mobileTouch", "passive"]
          ];
        } else {
          evts = [
            [anchorEl.value, "mousedown", "hide", "passive"],
            [anchorEl.value, "contextmenu", "contextClick", "notPassive"]
          ];
        }
      } else {
        evts = [
          [anchorEl.value, "click", "toggle", "passive"],
          [anchorEl.value, "keyup", "toggleKey", "passive"]
        ];
      }
      addEvt(anchorEvents, "anchor", evts);
    };
  }
  function unconfigureAnchorEl() {
    cleanEvt(anchorEvents, "anchor");
  }
  function setAnchorEl(el) {
    anchorEl.value = el;
    while (anchorEl.value.classList.contains("q-anchor--skip")) {
      anchorEl.value = anchorEl.value.parentNode;
    }
    configureAnchorEl();
  }
  function pickAnchorEl() {
    if (props.target === false || props.target === "" || proxy.$el.parentNode === null) {
      anchorEl.value = null;
    } else if (props.target === true) {
      setAnchorEl(proxy.$el.parentNode);
    } else {
      let el = props.target;
      if (typeof props.target === "string") {
        try {
          el = document.querySelector(props.target);
        } catch (err) {
          el = void 0;
        }
      }
      if (el !== void 0 && el !== null) {
        anchorEl.value = el.$el || el;
        configureAnchorEl();
      } else {
        anchorEl.value = null;
        console.error(`Anchor: target "${props.target}" not found`);
      }
    }
  }
  watch(() => props.contextMenu, (val) => {
    if (anchorEl.value !== null) {
      unconfigureAnchorEl();
      configureAnchorEl(val);
    }
  });
  watch(() => props.target, () => {
    if (anchorEl.value !== null) {
      unconfigureAnchorEl();
    }
    pickAnchorEl();
  });
  watch(() => props.noParentEvent, (val) => {
    if (anchorEl.value !== null) {
      if (val === true) {
        unconfigureAnchorEl();
      } else {
        configureAnchorEl();
      }
    }
  });
  onMounted(() => {
    pickAnchorEl();
    if (avoidEmit !== true && props.modelValue === true && anchorEl.value === null) {
      emit("update:modelValue", false);
    }
  });
  onBeforeUnmount(() => {
    touchTimer !== null && clearTimeout(touchTimer);
    unconfigureAnchorEl();
  });
  return {
    anchorEl,
    canShow,
    anchorEvents
  };
}
function useScrollTarget(props, configureScrollTarget) {
  const localScrollTarget = ref(null);
  let scrollFn;
  function changeScrollEvent(scrollTarget, fn) {
    const fnProp = `${fn !== void 0 ? "add" : "remove"}EventListener`;
    const fnHandler = fn !== void 0 ? fn : scrollFn;
    if (scrollTarget !== window) {
      scrollTarget[fnProp]("scroll", fnHandler, listenOpts.passive);
    }
    window[fnProp]("scroll", fnHandler, listenOpts.passive);
    scrollFn = fn;
  }
  function unconfigureScrollTarget() {
    if (localScrollTarget.value !== null) {
      changeScrollEvent(localScrollTarget.value);
      localScrollTarget.value = null;
    }
  }
  const noParentEventWatcher = watch(() => props.noParentEvent, () => {
    if (localScrollTarget.value !== null) {
      unconfigureScrollTarget();
      configureScrollTarget();
    }
  });
  onBeforeUnmount(noParentEventWatcher);
  return {
    localScrollTarget,
    unconfigureScrollTarget,
    changeScrollEvent
  };
}
const { notPassiveCapture } = listenOpts, registeredList = [];
function globalHandler(evt) {
  const target = evt.target;
  if (target === void 0 || target.nodeType === 8 || target.classList.contains("no-pointer-events") === true) {
    return;
  }
  let portalIndex = portalProxyList.length - 1;
  while (portalIndex >= 0) {
    const proxy = portalProxyList[portalIndex].$;
    if (proxy.type.name === "QTooltip") {
      portalIndex--;
      continue;
    }
    if (proxy.type.name !== "QDialog") {
      break;
    }
    if (proxy.props.seamless !== true) {
      return;
    }
    portalIndex--;
  }
  for (let i = registeredList.length - 1; i >= 0; i--) {
    const state = registeredList[i];
    if ((state.anchorEl.value === null || state.anchorEl.value.contains(target) === false) && (target === document.body || state.innerRef.value !== null && state.innerRef.value.contains(target) === false)) {
      evt.qClickOutside = true;
      state.onClickOutside(evt);
    } else {
      return;
    }
  }
}
function addClickOutside(clickOutsideProps) {
  registeredList.push(clickOutsideProps);
  if (registeredList.length === 1) {
    document.addEventListener("mousedown", globalHandler, notPassiveCapture);
    document.addEventListener("touchstart", globalHandler, notPassiveCapture);
  }
}
function removeClickOutside(clickOutsideProps) {
  const index = registeredList.findIndex((h2) => h2 === clickOutsideProps);
  if (index > -1) {
    registeredList.splice(index, 1);
    if (registeredList.length === 0) {
      document.removeEventListener("mousedown", globalHandler, notPassiveCapture);
      document.removeEventListener("touchstart", globalHandler, notPassiveCapture);
    }
  }
}
let vpLeft, vpTop;
function validatePosition(pos) {
  const parts = pos.split(" ");
  if (parts.length !== 2) {
    return false;
  }
  if (["top", "center", "bottom"].includes(parts[0]) !== true) {
    console.error("Anchor/Self position must start with one of top/center/bottom");
    return false;
  }
  if (["left", "middle", "right", "start", "end"].includes(parts[1]) !== true) {
    console.error("Anchor/Self position must end with one of left/middle/right/start/end");
    return false;
  }
  return true;
}
function validateOffset(val) {
  if (!val) {
    return true;
  }
  if (val.length !== 2) {
    return false;
  }
  if (typeof val[0] !== "number" || typeof val[1] !== "number") {
    return false;
  }
  return true;
}
const horizontalPos = {
  "start#ltr": "left",
  "start#rtl": "right",
  "end#ltr": "right",
  "end#rtl": "left"
};
["left", "middle", "right"].forEach((pos) => {
  horizontalPos[`${pos}#ltr`] = pos;
  horizontalPos[`${pos}#rtl`] = pos;
});
function parsePosition(pos, rtl) {
  const parts = pos.split(" ");
  return {
    vertical: parts[0],
    horizontal: horizontalPos[`${parts[1]}#${rtl === true ? "rtl" : "ltr"}`]
  };
}
function getAnchorProps(el, offset) {
  let { top, left, right, bottom, width, height } = el.getBoundingClientRect();
  if (offset !== void 0) {
    top -= offset[1];
    left -= offset[0];
    bottom += offset[1];
    right += offset[0];
    width += offset[0];
    height += offset[1];
  }
  return {
    top,
    bottom,
    height,
    left,
    right,
    width,
    middle: left + (right - left) / 2,
    center: top + (bottom - top) / 2
  };
}
function getAbsoluteAnchorProps(el, absoluteOffset, offset) {
  let { top, left } = el.getBoundingClientRect();
  top += absoluteOffset.top;
  left += absoluteOffset.left;
  if (offset !== void 0) {
    top += offset[1];
    left += offset[0];
  }
  return {
    top,
    bottom: top + 1,
    height: 1,
    left,
    right: left + 1,
    width: 1,
    middle: left,
    center: top
  };
}
function getTargetProps(width, height) {
  return {
    top: 0,
    center: height / 2,
    bottom: height,
    left: 0,
    middle: width / 2,
    right: width
  };
}
function getTopLeftProps(anchorProps, targetProps, anchorOrigin, selfOrigin) {
  return {
    top: anchorProps[anchorOrigin.vertical] - targetProps[selfOrigin.vertical],
    left: anchorProps[anchorOrigin.horizontal] - targetProps[selfOrigin.horizontal]
  };
}
function setPosition(cfg, retryNumber = 0) {
  if (cfg.targetEl === null || cfg.anchorEl === null || retryNumber > 5) {
    return;
  }
  if (cfg.targetEl.offsetHeight === 0 || cfg.targetEl.offsetWidth === 0) {
    setTimeout(() => {
      setPosition(cfg, retryNumber + 1);
    }, 10);
    return;
  }
  const {
    targetEl,
    offset,
    anchorEl,
    anchorOrigin,
    selfOrigin,
    absoluteOffset,
    fit,
    cover,
    maxHeight,
    maxWidth
  } = cfg;
  if (client.is.ios === true && window.visualViewport !== void 0) {
    const el = document.body.style;
    const { offsetLeft: left, offsetTop: top } = window.visualViewport;
    if (left !== vpLeft) {
      el.setProperty("--q-pe-left", left + "px");
      vpLeft = left;
    }
    if (top !== vpTop) {
      el.setProperty("--q-pe-top", top + "px");
      vpTop = top;
    }
  }
  const { scrollLeft, scrollTop } = targetEl;
  const anchorProps = absoluteOffset === void 0 ? getAnchorProps(anchorEl, cover === true ? [0, 0] : offset) : getAbsoluteAnchorProps(anchorEl, absoluteOffset, offset);
  Object.assign(targetEl.style, {
    top: 0,
    left: 0,
    minWidth: null,
    minHeight: null,
    maxWidth: maxWidth || "100vw",
    maxHeight: maxHeight || "100vh",
    visibility: "visible"
  });
  const { offsetWidth: origElWidth, offsetHeight: origElHeight } = targetEl;
  const { elWidth, elHeight } = fit === true || cover === true ? { elWidth: Math.max(anchorProps.width, origElWidth), elHeight: cover === true ? Math.max(anchorProps.height, origElHeight) : origElHeight } : { elWidth: origElWidth, elHeight: origElHeight };
  let elStyle = { maxWidth, maxHeight };
  if (fit === true || cover === true) {
    elStyle.minWidth = anchorProps.width + "px";
    if (cover === true) {
      elStyle.minHeight = anchorProps.height + "px";
    }
  }
  Object.assign(targetEl.style, elStyle);
  const targetProps = getTargetProps(elWidth, elHeight);
  let props = getTopLeftProps(anchorProps, targetProps, anchorOrigin, selfOrigin);
  if (absoluteOffset === void 0 || offset === void 0) {
    applyBoundaries(props, anchorProps, targetProps, anchorOrigin, selfOrigin);
  } else {
    const { top, left } = props;
    applyBoundaries(props, anchorProps, targetProps, anchorOrigin, selfOrigin);
    let hasChanged = false;
    if (props.top !== top) {
      hasChanged = true;
      const offsetY = 2 * offset[1];
      anchorProps.center = anchorProps.top -= offsetY;
      anchorProps.bottom -= offsetY + 2;
    }
    if (props.left !== left) {
      hasChanged = true;
      const offsetX = 2 * offset[0];
      anchorProps.middle = anchorProps.left -= offsetX;
      anchorProps.right -= offsetX + 2;
    }
    if (hasChanged === true) {
      props = getTopLeftProps(anchorProps, targetProps, anchorOrigin, selfOrigin);
      applyBoundaries(props, anchorProps, targetProps, anchorOrigin, selfOrigin);
    }
  }
  elStyle = {
    top: props.top + "px",
    left: props.left + "px"
  };
  if (props.maxHeight !== void 0) {
    elStyle.maxHeight = props.maxHeight + "px";
    if (anchorProps.height > props.maxHeight) {
      elStyle.minHeight = elStyle.maxHeight;
    }
  }
  if (props.maxWidth !== void 0) {
    elStyle.maxWidth = props.maxWidth + "px";
    if (anchorProps.width > props.maxWidth) {
      elStyle.minWidth = elStyle.maxWidth;
    }
  }
  Object.assign(targetEl.style, elStyle);
  if (targetEl.scrollTop !== scrollTop) {
    targetEl.scrollTop = scrollTop;
  }
  if (targetEl.scrollLeft !== scrollLeft) {
    targetEl.scrollLeft = scrollLeft;
  }
}
function applyBoundaries(props, anchorProps, targetProps, anchorOrigin, selfOrigin) {
  const currentHeight = targetProps.bottom, currentWidth = targetProps.right, margin = getScrollbarWidth(), innerHeight = window.innerHeight - margin, innerWidth = document.body.clientWidth;
  if (props.top < 0 || props.top + currentHeight > innerHeight) {
    if (selfOrigin.vertical === "center") {
      props.top = anchorProps[anchorOrigin.vertical] > innerHeight / 2 ? Math.max(0, innerHeight - currentHeight) : 0;
      props.maxHeight = Math.min(currentHeight, innerHeight);
    } else if (anchorProps[anchorOrigin.vertical] > innerHeight / 2) {
      const anchorY = Math.min(
        innerHeight,
        anchorOrigin.vertical === "center" ? anchorProps.center : anchorOrigin.vertical === selfOrigin.vertical ? anchorProps.bottom : anchorProps.top
      );
      props.maxHeight = Math.min(currentHeight, anchorY);
      props.top = Math.max(0, anchorY - currentHeight);
    } else {
      props.top = Math.max(
        0,
        anchorOrigin.vertical === "center" ? anchorProps.center : anchorOrigin.vertical === selfOrigin.vertical ? anchorProps.top : anchorProps.bottom
      );
      props.maxHeight = Math.min(currentHeight, innerHeight - props.top);
    }
  }
  if (props.left < 0 || props.left + currentWidth > innerWidth) {
    props.maxWidth = Math.min(currentWidth, innerWidth);
    if (selfOrigin.horizontal === "middle") {
      props.left = anchorProps[anchorOrigin.horizontal] > innerWidth / 2 ? Math.max(0, innerWidth - currentWidth) : 0;
    } else if (anchorProps[anchorOrigin.horizontal] > innerWidth / 2) {
      const anchorX = Math.min(
        innerWidth,
        anchorOrigin.horizontal === "middle" ? anchorProps.middle : anchorOrigin.horizontal === selfOrigin.horizontal ? anchorProps.right : anchorProps.left
      );
      props.maxWidth = Math.min(currentWidth, anchorX);
      props.left = Math.max(0, anchorX - props.maxWidth);
    } else {
      props.left = Math.max(
        0,
        anchorOrigin.horizontal === "middle" ? anchorProps.middle : anchorOrigin.horizontal === selfOrigin.horizontal ? anchorProps.left : anchorProps.right
      );
      props.maxWidth = Math.min(currentWidth, innerWidth - props.left);
    }
  }
}
var QMenu = createComponent({
  name: "QMenu",
  inheritAttrs: false,
  props: {
    ...useAnchorProps,
    ...useModelToggleProps,
    ...useDarkProps,
    ...useTransitionProps,
    persistent: Boolean,
    autoClose: Boolean,
    separateClosePopup: Boolean,
    noRouteDismiss: Boolean,
    noRefocus: Boolean,
    noFocus: Boolean,
    fit: Boolean,
    cover: Boolean,
    square: Boolean,
    anchor: {
      type: String,
      validator: validatePosition
    },
    self: {
      type: String,
      validator: validatePosition
    },
    offset: {
      type: Array,
      validator: validateOffset
    },
    scrollTarget: {
      default: void 0
    },
    touchPosition: Boolean,
    maxHeight: {
      type: String,
      default: null
    },
    maxWidth: {
      type: String,
      default: null
    }
  },
  emits: [
    ...useModelToggleEmits,
    "click",
    "escapeKey"
  ],
  setup(props, { slots, emit, attrs }) {
    let refocusTarget = null, absoluteOffset, unwatchPosition, avoidAutoClose;
    const vm = getCurrentInstance();
    const { proxy } = vm;
    const { $q } = proxy;
    const innerRef = ref(null);
    const showing = ref(false);
    const hideOnRouteChange = computed(
      () => props.persistent !== true && props.noRouteDismiss !== true
    );
    const isDark = useDark(props, $q);
    const { registerTick, removeTick } = useTick();
    const { registerTimeout } = useTimeout();
    const { transitionProps, transitionStyle } = useTransition(props);
    const { localScrollTarget, changeScrollEvent, unconfigureScrollTarget } = useScrollTarget(props, configureScrollTarget);
    const { anchorEl, canShow } = useAnchor({ showing });
    const { hide } = useModelToggle({
      showing,
      canShow,
      handleShow,
      handleHide,
      hideOnRouteChange,
      processOnMount: true
    });
    const { showPortal, hidePortal, renderPortal } = usePortal(vm, innerRef, renderPortalContent, "menu");
    const clickOutsideProps = {
      anchorEl,
      innerRef,
      onClickOutside(e) {
        if (props.persistent !== true && showing.value === true) {
          hide(e);
          if (e.type === "touchstart" || e.target.classList.contains("q-dialog__backdrop")) {
            stopAndPrevent(e);
          }
          return true;
        }
      }
    };
    const anchorOrigin = computed(
      () => parsePosition(
        props.anchor || (props.cover === true ? "center middle" : "bottom start"),
        $q.lang.rtl
      )
    );
    const selfOrigin = computed(() => props.cover === true ? anchorOrigin.value : parsePosition(props.self || "top start", $q.lang.rtl));
    const menuClass = computed(
      () => (props.square === true ? " q-menu--square" : "") + (isDark.value === true ? " q-menu--dark q-dark" : "")
    );
    const onEvents = computed(() => props.autoClose === true ? { onClick: onAutoClose } : {});
    const handlesFocus = computed(
      () => showing.value === true && props.persistent !== true
    );
    watch(handlesFocus, (val) => {
      if (val === true) {
        addEscapeKey(onEscapeKey);
        addClickOutside(clickOutsideProps);
      } else {
        removeEscapeKey(onEscapeKey);
        removeClickOutside(clickOutsideProps);
      }
    });
    function focus() {
      addFocusFn(() => {
        let node = innerRef.value;
        if (node && node.contains(document.activeElement) !== true) {
          node = node.querySelector("[autofocus][tabindex], [data-autofocus][tabindex]") || node.querySelector("[autofocus] [tabindex], [data-autofocus] [tabindex]") || node.querySelector("[autofocus], [data-autofocus]") || node;
          node.focus({ preventScroll: true });
        }
      });
    }
    function handleShow(evt) {
      refocusTarget = props.noRefocus === false ? document.activeElement : null;
      addFocusout(onFocusout);
      showPortal();
      configureScrollTarget();
      absoluteOffset = void 0;
      if (evt !== void 0 && (props.touchPosition || props.contextMenu)) {
        const pos = position(evt);
        if (pos.left !== void 0) {
          const { top, left } = anchorEl.value.getBoundingClientRect();
          absoluteOffset = { left: pos.left - left, top: pos.top - top };
        }
      }
      if (unwatchPosition === void 0) {
        unwatchPosition = watch(
          () => $q.screen.width + "|" + $q.screen.height + "|" + props.self + "|" + props.anchor + "|" + $q.lang.rtl,
          updatePosition
        );
      }
      if (props.noFocus !== true) {
        document.activeElement.blur();
      }
      registerTick(() => {
        updatePosition();
        props.noFocus !== true && focus();
      });
      registerTimeout(() => {
        if ($q.platform.is.ios === true) {
          avoidAutoClose = props.autoClose;
          innerRef.value.click();
        }
        updatePosition();
        showPortal(true);
        emit("show", evt);
      }, props.transitionDuration);
    }
    function handleHide(evt) {
      removeTick();
      hidePortal();
      anchorCleanup(true);
      if (refocusTarget !== null && (evt === void 0 || evt.qClickOutside !== true)) {
        ((evt && evt.type.indexOf("key") === 0 ? refocusTarget.closest('[tabindex]:not([tabindex^="-"])') : void 0) || refocusTarget).focus();
        refocusTarget = null;
      }
      registerTimeout(() => {
        hidePortal(true);
        emit("hide", evt);
      }, props.transitionDuration);
    }
    function anchorCleanup(hiding) {
      absoluteOffset = void 0;
      if (unwatchPosition !== void 0) {
        unwatchPosition();
        unwatchPosition = void 0;
      }
      if (hiding === true || showing.value === true) {
        removeFocusout(onFocusout);
        unconfigureScrollTarget();
        removeClickOutside(clickOutsideProps);
        removeEscapeKey(onEscapeKey);
      }
      if (hiding !== true) {
        refocusTarget = null;
      }
    }
    function configureScrollTarget() {
      if (anchorEl.value !== null || props.scrollTarget !== void 0) {
        localScrollTarget.value = getScrollTarget(anchorEl.value, props.scrollTarget);
        changeScrollEvent(localScrollTarget.value, updatePosition);
      }
    }
    function onAutoClose(e) {
      if (avoidAutoClose !== true) {
        closePortalMenus(proxy, e);
        emit("click", e);
      } else {
        avoidAutoClose = false;
      }
    }
    function onFocusout(evt) {
      if (handlesFocus.value === true && props.noFocus !== true && childHasFocus(innerRef.value, evt.target) !== true) {
        focus();
      }
    }
    function onEscapeKey(evt) {
      emit("escapeKey");
      hide(evt);
    }
    function updatePosition() {
      setPosition({
        targetEl: innerRef.value,
        offset: props.offset,
        anchorEl: anchorEl.value,
        anchorOrigin: anchorOrigin.value,
        selfOrigin: selfOrigin.value,
        absoluteOffset,
        fit: props.fit,
        cover: props.cover,
        maxHeight: props.maxHeight,
        maxWidth: props.maxWidth
      });
    }
    function renderPortalContent() {
      return h(
        Transition,
        transitionProps.value,
        () => showing.value === true ? h("div", {
          role: "menu",
          ...attrs,
          ref: innerRef,
          tabindex: -1,
          class: [
            "q-menu q-position-engine scroll" + menuClass.value,
            attrs.class
          ],
          style: [
            attrs.style,
            transitionStyle.value
          ],
          ...onEvents.value
        }, hSlot(slots.default)) : null
      );
    }
    onBeforeUnmount(anchorCleanup);
    Object.assign(proxy, { focus, updatePosition });
    return renderPortal;
  }
});
const btnPropsList = Object.keys(useBtnProps);
const passBtnProps = (props) => btnPropsList.reduce(
  (acc, key) => {
    const val = props[key];
    if (val !== void 0) {
      acc[key] = val;
    }
    return acc;
  },
  {}
);
var QBtnDropdown = createComponent({
  name: "QBtnDropdown",
  props: {
    ...useBtnProps,
    ...useTransitionProps,
    modelValue: Boolean,
    split: Boolean,
    dropdownIcon: String,
    contentClass: [Array, String, Object],
    contentStyle: [Array, String, Object],
    cover: Boolean,
    persistent: Boolean,
    noRouteDismiss: Boolean,
    autoClose: Boolean,
    menuAnchor: {
      type: String,
      default: "bottom end"
    },
    menuSelf: {
      type: String,
      default: "top end"
    },
    menuOffset: Array,
    disableMainBtn: Boolean,
    disableDropdown: Boolean,
    noIconAnimation: Boolean,
    toggleAriaLabel: String
  },
  emits: ["update:modelValue", "click", "beforeShow", "show", "beforeHide", "hide"],
  setup(props, { slots, emit }) {
    const { proxy } = getCurrentInstance();
    const showing = ref(props.modelValue);
    const menuRef = ref(null);
    const targetUid = uid();
    const ariaAttrs = computed(() => {
      const acc = {
        "aria-expanded": showing.value === true ? "true" : "false",
        "aria-haspopup": "true",
        "aria-controls": targetUid,
        "aria-label": props.toggleAriaLabel || proxy.$q.lang.label[showing.value === true ? "collapse" : "expand"](props.label)
      };
      if (props.disable === true || (props.split === false && props.disableMainBtn === true || props.disableDropdown === true)) {
        acc["aria-disabled"] = "true";
      }
      return acc;
    });
    const iconClass = computed(
      () => "q-btn-dropdown__arrow" + (showing.value === true && props.noIconAnimation === false ? " rotate-180" : "") + (props.split === false ? " q-btn-dropdown__arrow-container" : "")
    );
    const btnDesignAttr = computed(() => getBtnDesignAttr(props));
    const btnProps = computed(() => passBtnProps(props));
    watch(() => props.modelValue, (val) => {
      menuRef.value !== null && menuRef.value[val ? "show" : "hide"]();
    });
    watch(() => props.split, hide);
    function onBeforeShow(e) {
      showing.value = true;
      emit("beforeShow", e);
    }
    function onShow(e) {
      emit("show", e);
      emit("update:modelValue", true);
    }
    function onBeforeHide(e) {
      showing.value = false;
      emit("beforeHide", e);
    }
    function onHide(e) {
      emit("hide", e);
      emit("update:modelValue", false);
    }
    function onClick(e) {
      emit("click", e);
    }
    function onClickHide(e) {
      stop(e);
      hide();
      emit("click", e);
    }
    function toggle(evt) {
      menuRef.value !== null && menuRef.value.toggle(evt);
    }
    function show(evt) {
      menuRef.value !== null && menuRef.value.show(evt);
    }
    function hide(evt) {
      menuRef.value !== null && menuRef.value.hide(evt);
    }
    Object.assign(proxy, {
      show,
      hide,
      toggle
    });
    onMounted(() => {
      props.modelValue === true && show();
    });
    return () => {
      const Arrow = [
        h(QIcon, {
          class: iconClass.value,
          name: props.dropdownIcon || proxy.$q.iconSet.arrow.dropdown
        })
      ];
      props.disableDropdown !== true && Arrow.push(
        h(QMenu, {
          ref: menuRef,
          id: targetUid,
          class: props.contentClass,
          style: props.contentStyle,
          cover: props.cover,
          fit: true,
          persistent: props.persistent,
          noRouteDismiss: props.noRouteDismiss,
          autoClose: props.autoClose,
          anchor: props.menuAnchor,
          self: props.menuSelf,
          offset: props.menuOffset,
          separateClosePopup: true,
          transitionShow: props.transitionShow,
          transitionHide: props.transitionHide,
          transitionDuration: props.transitionDuration,
          onBeforeShow,
          onShow,
          onBeforeHide,
          onHide
        }, slots.default)
      );
      if (props.split === false) {
        return h(QBtn, {
          class: "q-btn-dropdown q-btn-dropdown--simple",
          ...btnProps.value,
          ...ariaAttrs.value,
          disable: props.disable === true || props.disableMainBtn === true,
          noWrap: true,
          round: false,
          onClick
        }, {
          default: () => hSlot(slots.label, []).concat(Arrow),
          loading: slots.loading
        });
      }
      return h(QBtnGroup, {
        class: "q-btn-dropdown q-btn-dropdown--split no-wrap q-btn-item",
        rounded: props.rounded,
        square: props.square,
        ...btnDesignAttr.value,
        glossy: props.glossy,
        stretch: props.stretch
      }, () => [
        h(QBtn, {
          class: "q-btn-dropdown--current",
          ...btnProps.value,
          disable: props.disable === true || props.disableMainBtn === true,
          noWrap: true,
          round: false,
          onClick: onClickHide
        }, {
          default: slots.label,
          loading: slots.loading
        }),
        h(QBtn, {
          class: "q-btn-dropdown__arrow-container q-anchor--skip",
          ...ariaAttrs.value,
          ...btnDesignAttr.value,
          disable: props.disable === true || props.disableDropdown === true,
          rounded: props.rounded,
          color: props.color,
          textColor: props.textColor,
          dense: props.dense,
          size: props.size,
          padding: props.padding,
          ripple: props.ripple
        }, () => Arrow)
      ]);
    };
  }
});
var QToolbar = createComponent({
  name: "QToolbar",
  props: {
    inset: Boolean
  },
  setup(props, { slots }) {
    const classes = computed(
      () => "q-toolbar row no-wrap items-center" + (props.inset === true ? " q-toolbar--inset" : "")
    );
    return () => h("div", { class: classes.value, role: "toolbar" }, hSlot(slots.default));
  }
});
let id = 0;
const useTabEmits = ["click", "keydown"];
const useTabProps = {
  icon: String,
  label: [Number, String],
  alert: [Boolean, String],
  alertIcon: String,
  name: {
    type: [Number, String],
    default: () => `t_${id++}`
  },
  noCaps: Boolean,
  tabindex: [String, Number],
  disable: Boolean,
  contentClass: String,
  ripple: {
    type: [Boolean, Object],
    default: true
  }
};
function useTab(props, slots, emit, routeData) {
  const $tabs = inject(tabsKey, emptyRenderFn);
  if ($tabs === emptyRenderFn) {
    console.error("QTab/QRouteTab component needs to be child of QTabs");
    return emptyRenderFn;
  }
  const { proxy } = getCurrentInstance();
  const blurTargetRef = ref(null);
  const rootRef = ref(null);
  const tabIndicatorRef = ref(null);
  const ripple = computed(() => props.disable === true || props.ripple === false ? false : Object.assign(
    { keyCodes: [13, 32], early: true },
    props.ripple === true ? {} : props.ripple
  ));
  const isActive = computed(() => $tabs.currentModel.value === props.name);
  const classes = computed(
    () => "q-tab relative-position self-stretch flex flex-center text-center" + (isActive.value === true ? " q-tab--active" + ($tabs.tabProps.value.activeClass ? " " + $tabs.tabProps.value.activeClass : "") + ($tabs.tabProps.value.activeColor ? ` text-${$tabs.tabProps.value.activeColor}` : "") + ($tabs.tabProps.value.activeBgColor ? ` bg-${$tabs.tabProps.value.activeBgColor}` : "") : " q-tab--inactive") + (props.icon && props.label && $tabs.tabProps.value.inlineLabel === false ? " q-tab--full" : "") + (props.noCaps === true || $tabs.tabProps.value.noCaps === true ? " q-tab--no-caps" : "") + (props.disable === true ? " disabled" : " q-focusable q-hoverable cursor-pointer") + (routeData !== void 0 ? routeData.linkClass.value : "")
  );
  const innerClass = computed(
    () => "q-tab__content self-stretch flex-center relative-position q-anchor--skip non-selectable " + ($tabs.tabProps.value.inlineLabel === true ? "row no-wrap q-tab__content--inline" : "column") + (props.contentClass !== void 0 ? ` ${props.contentClass}` : "")
  );
  const tabIndex = computed(() => props.disable === true || $tabs.hasFocus.value === true || isActive.value === false && $tabs.hasActiveTab.value === true ? -1 : props.tabindex || 0);
  function onClick(e, keyboard) {
    if (keyboard !== true && blurTargetRef.value !== null) {
      blurTargetRef.value.focus();
    }
    if (props.disable === true) {
      if (routeData !== void 0 && routeData.hasRouterLink.value === true) {
        stopAndPrevent(e);
      }
      return;
    }
    if (routeData === void 0) {
      $tabs.updateModel({ name: props.name });
      emit("click", e);
      return;
    }
    if (routeData.hasRouterLink.value === true) {
      const go = (opts = {}) => {
        let hardError;
        const reqId = opts.to === void 0 || isDeepEqual(opts.to, props.to) === true ? $tabs.avoidRouteWatcher = uid() : null;
        return routeData.navigateToRouterLink(e, { ...opts, returnRouterError: true }).catch((err) => {
          hardError = err;
        }).then((softError) => {
          if (reqId === $tabs.avoidRouteWatcher) {
            $tabs.avoidRouteWatcher = false;
            if (hardError === void 0 && (softError === void 0 || softError.message.startsWith("Avoided redundant navigation") === true)) {
              $tabs.updateModel({ name: props.name });
            }
          }
          if (opts.returnRouterError === true) {
            return hardError !== void 0 ? Promise.reject(hardError) : softError;
          }
        });
      };
      emit("click", e, go);
      e.defaultPrevented !== true && go();
      return;
    }
    emit("click", e);
  }
  function onKeydown(e) {
    if (isKeyCode(e, [13, 32])) {
      onClick(e, true);
    } else if (shouldIgnoreKey(e) !== true && e.keyCode >= 35 && e.keyCode <= 40 && e.altKey !== true && e.metaKey !== true) {
      $tabs.onKbdNavigate(e.keyCode, proxy.$el) === true && stopAndPrevent(e);
    }
    emit("keydown", e);
  }
  function getContent() {
    const narrow = $tabs.tabProps.value.narrowIndicator, content = [], indicator = h("div", {
      ref: tabIndicatorRef,
      class: [
        "q-tab__indicator",
        $tabs.tabProps.value.indicatorClass
      ]
    });
    props.icon !== void 0 && content.push(
      h(QIcon, {
        class: "q-tab__icon",
        name: props.icon
      })
    );
    props.label !== void 0 && content.push(
      h("div", { class: "q-tab__label" }, props.label)
    );
    props.alert !== false && content.push(
      props.alertIcon !== void 0 ? h(QIcon, {
        class: "q-tab__alert-icon",
        color: props.alert !== true ? props.alert : void 0,
        name: props.alertIcon
      }) : h("div", {
        class: "q-tab__alert" + (props.alert !== true ? ` text-${props.alert}` : "")
      })
    );
    narrow === true && content.push(indicator);
    const node = [
      h("div", { class: "q-focus-helper", tabindex: -1, ref: blurTargetRef }),
      h("div", { class: innerClass.value }, hMergeSlot(slots.default, content))
    ];
    narrow === false && node.push(indicator);
    return node;
  }
  const tabData = {
    name: computed(() => props.name),
    rootRef,
    tabIndicatorRef,
    routeData
  };
  onBeforeUnmount(() => {
    $tabs.unregisterTab(tabData);
  });
  onMounted(() => {
    $tabs.registerTab(tabData);
  });
  function renderTab(tag, customData) {
    const data = {
      ref: rootRef,
      class: classes.value,
      tabindex: tabIndex.value,
      role: "tab",
      "aria-selected": isActive.value === true ? "true" : "false",
      "aria-disabled": props.disable === true ? "true" : void 0,
      onClick,
      onKeydown,
      ...customData
    };
    return withDirectives(
      h(tag, data, getContent()),
      [[Ripple, ripple.value]]
    );
  }
  return { renderTab, $tabs };
}
var QTab = createComponent({
  name: "QTab",
  props: useTabProps,
  emits: useTabEmits,
  setup(props, { slots, emit }) {
    const { renderTab } = useTab(props, slots, emit);
    return () => renderTab("div");
  }
});
let rtlHasScrollBug = false;
{
  const scroller = document.createElement("div");
  scroller.setAttribute("dir", "rtl");
  Object.assign(scroller.style, {
    width: "1px",
    height: "1px",
    overflow: "auto"
  });
  const spacer = document.createElement("div");
  Object.assign(spacer.style, {
    width: "1000px",
    height: "1px"
  });
  document.body.appendChild(scroller);
  scroller.appendChild(spacer);
  scroller.scrollLeft = -1e3;
  rtlHasScrollBug = scroller.scrollLeft >= 0;
  scroller.remove();
}
function getIndicatorClass(color, top, vertical) {
  const pos = vertical === true ? ["left", "right"] : ["top", "bottom"];
  return `absolute-${top === true ? pos[0] : pos[1]}${color ? ` text-${color}` : ""}`;
}
const alignValues$1 = ["left", "center", "right", "justify"];
var QTabs = createComponent({
  name: "QTabs",
  props: {
    modelValue: [Number, String],
    align: {
      type: String,
      default: "center",
      validator: (v) => alignValues$1.includes(v)
    },
    breakpoint: {
      type: [String, Number],
      default: 600
    },
    vertical: Boolean,
    shrink: Boolean,
    stretch: Boolean,
    activeClass: String,
    activeColor: String,
    activeBgColor: String,
    indicatorColor: String,
    leftIcon: String,
    rightIcon: String,
    outsideArrows: Boolean,
    mobileArrows: Boolean,
    switchIndicator: Boolean,
    narrowIndicator: Boolean,
    inlineLabel: Boolean,
    noCaps: Boolean,
    dense: Boolean,
    contentClass: String,
    "onUpdate:modelValue": [Function, Array]
  },
  setup(props, { slots, emit }) {
    const { proxy } = getCurrentInstance();
    const { $q } = proxy;
    const { registerTick: registerScrollTick } = useTick();
    const { registerTick: registerUpdateArrowsTick } = useTick();
    const { registerTick: registerAnimateTick } = useTick();
    const { registerTimeout: registerFocusTimeout, removeTimeout: removeFocusTimeout } = useTimeout();
    const { registerTimeout: registerScrollToTabTimeout, removeTimeout: removeScrollToTabTimeout } = useTimeout();
    const rootRef = ref(null);
    const contentRef = ref(null);
    const currentModel = ref(props.modelValue);
    const scrollable = ref(false);
    const leftArrow = ref(true);
    const rightArrow = ref(false);
    const justify = ref(false);
    const tabDataList = [];
    const tabDataListLen = ref(0);
    const hasFocus = ref(false);
    let animateTimer = null, scrollTimer = null, unwatchRoute;
    const tabProps = computed(() => ({
      activeClass: props.activeClass,
      activeColor: props.activeColor,
      activeBgColor: props.activeBgColor,
      indicatorClass: getIndicatorClass(
        props.indicatorColor,
        props.switchIndicator,
        props.vertical
      ),
      narrowIndicator: props.narrowIndicator,
      inlineLabel: props.inlineLabel,
      noCaps: props.noCaps
    }));
    const hasActiveTab = computed(() => {
      const len = tabDataListLen.value;
      const val = currentModel.value;
      for (let i = 0; i < len; i++) {
        if (tabDataList[i].name.value === val) {
          return true;
        }
      }
      return false;
    });
    const alignClass = computed(() => {
      const align = scrollable.value === true ? "left" : justify.value === true ? "justify" : props.align;
      return `q-tabs__content--align-${align}`;
    });
    const classes = computed(
      () => `q-tabs row no-wrap items-center q-tabs--${scrollable.value === true ? "" : "not-"}scrollable q-tabs--${props.vertical === true ? "vertical" : "horizontal"} q-tabs__arrows--${props.outsideArrows === true ? "outside" : "inside"} q-tabs--mobile-with${props.mobileArrows === true ? "" : "out"}-arrows` + (props.dense === true ? " q-tabs--dense" : "") + (props.shrink === true ? " col-shrink" : "") + (props.stretch === true ? " self-stretch" : "")
    );
    const innerClass = computed(
      () => "q-tabs__content scroll--mobile row no-wrap items-center self-stretch hide-scrollbar relative-position " + alignClass.value + (props.contentClass !== void 0 ? ` ${props.contentClass}` : "")
    );
    const domProps = computed(() => props.vertical === true ? { container: "height", content: "offsetHeight", scroll: "scrollHeight" } : { container: "width", content: "offsetWidth", scroll: "scrollWidth" });
    const isRTL = computed(() => props.vertical !== true && $q.lang.rtl === true);
    const rtlPosCorrection = computed(() => rtlHasScrollBug === false && isRTL.value === true);
    watch(isRTL, updateArrows);
    watch(() => props.modelValue, (name) => {
      updateModel({ name, setCurrent: true, skipEmit: true });
    });
    watch(() => props.outsideArrows, recalculateScroll);
    function updateModel({ name, setCurrent, skipEmit }) {
      if (currentModel.value !== name) {
        if (skipEmit !== true && props["onUpdate:modelValue"] !== void 0) {
          emit("update:modelValue", name);
        }
        if (setCurrent === true || props["onUpdate:modelValue"] === void 0) {
          animate(currentModel.value, name);
          currentModel.value = name;
        }
      }
    }
    function recalculateScroll() {
      registerScrollTick(() => {
        updateContainer({
          width: rootRef.value.offsetWidth,
          height: rootRef.value.offsetHeight
        });
      });
    }
    function updateContainer(domSize) {
      if (domProps.value === void 0 || contentRef.value === null) {
        return;
      }
      const size = domSize[domProps.value.container], scrollSize = Math.min(
        contentRef.value[domProps.value.scroll],
        Array.prototype.reduce.call(
          contentRef.value.children,
          (acc, el) => acc + (el[domProps.value.content] || 0),
          0
        )
      ), scroll = size > 0 && scrollSize > size;
      scrollable.value = scroll;
      scroll === true && registerUpdateArrowsTick(updateArrows);
      justify.value = size < parseInt(props.breakpoint, 10);
    }
    function animate(oldName, newName) {
      const oldTab = oldName !== void 0 && oldName !== null && oldName !== "" ? tabDataList.find((tab) => tab.name.value === oldName) : null, newTab = newName !== void 0 && newName !== null && newName !== "" ? tabDataList.find((tab) => tab.name.value === newName) : null;
      if (oldTab && newTab) {
        const oldEl = oldTab.tabIndicatorRef.value, newEl = newTab.tabIndicatorRef.value;
        if (animateTimer !== null) {
          clearTimeout(animateTimer);
          animateTimer = null;
        }
        oldEl.style.transition = "none";
        oldEl.style.transform = "none";
        newEl.style.transition = "none";
        newEl.style.transform = "none";
        const oldPos = oldEl.getBoundingClientRect(), newPos = newEl.getBoundingClientRect();
        newEl.style.transform = props.vertical === true ? `translate3d(0,${oldPos.top - newPos.top}px,0) scale3d(1,${newPos.height ? oldPos.height / newPos.height : 1},1)` : `translate3d(${oldPos.left - newPos.left}px,0,0) scale3d(${newPos.width ? oldPos.width / newPos.width : 1},1,1)`;
        registerAnimateTick(() => {
          animateTimer = setTimeout(() => {
            animateTimer = null;
            newEl.style.transition = "transform .25s cubic-bezier(.4, 0, .2, 1)";
            newEl.style.transform = "none";
          }, 70);
        });
      }
      if (newTab && scrollable.value === true) {
        scrollToTabEl(newTab.rootRef.value);
      }
    }
    function scrollToTabEl(el) {
      const { left, width, top, height } = contentRef.value.getBoundingClientRect(), newPos = el.getBoundingClientRect();
      let offset = props.vertical === true ? newPos.top - top : newPos.left - left;
      if (offset < 0) {
        contentRef.value[props.vertical === true ? "scrollTop" : "scrollLeft"] += Math.floor(offset);
        updateArrows();
        return;
      }
      offset += props.vertical === true ? newPos.height - height : newPos.width - width;
      if (offset > 0) {
        contentRef.value[props.vertical === true ? "scrollTop" : "scrollLeft"] += Math.ceil(offset);
        updateArrows();
      }
    }
    function updateArrows() {
      const content = contentRef.value;
      if (content === null) {
        return;
      }
      const rect = content.getBoundingClientRect(), pos = props.vertical === true ? content.scrollTop : Math.abs(content.scrollLeft);
      if (isRTL.value === true) {
        leftArrow.value = Math.ceil(pos + rect.width) < content.scrollWidth - 1;
        rightArrow.value = pos > 0;
      } else {
        leftArrow.value = pos > 0;
        rightArrow.value = props.vertical === true ? Math.ceil(pos + rect.height) < content.scrollHeight : Math.ceil(pos + rect.width) < content.scrollWidth;
      }
    }
    function animScrollTo(value) {
      scrollTimer !== null && clearInterval(scrollTimer);
      scrollTimer = setInterval(() => {
        if (scrollTowards(value) === true) {
          stopAnimScroll();
        }
      }, 5);
    }
    function scrollToStart() {
      animScrollTo(rtlPosCorrection.value === true ? Number.MAX_SAFE_INTEGER : 0);
    }
    function scrollToEnd() {
      animScrollTo(rtlPosCorrection.value === true ? 0 : Number.MAX_SAFE_INTEGER);
    }
    function stopAnimScroll() {
      if (scrollTimer !== null) {
        clearInterval(scrollTimer);
        scrollTimer = null;
      }
    }
    function onKbdNavigate(keyCode, fromEl) {
      const tabs = Array.prototype.filter.call(
        contentRef.value.children,
        (el) => el === fromEl || el.matches && el.matches(".q-tab.q-focusable") === true
      );
      const len = tabs.length;
      if (len === 0) {
        return;
      }
      if (keyCode === 36) {
        scrollToTabEl(tabs[0]);
        tabs[0].focus();
        return true;
      }
      if (keyCode === 35) {
        scrollToTabEl(tabs[len - 1]);
        tabs[len - 1].focus();
        return true;
      }
      const dirPrev = keyCode === (props.vertical === true ? 38 : 37);
      const dirNext = keyCode === (props.vertical === true ? 40 : 39);
      const dir = dirPrev === true ? -1 : dirNext === true ? 1 : void 0;
      if (dir !== void 0) {
        const rtlDir = isRTL.value === true ? -1 : 1;
        const index = tabs.indexOf(fromEl) + dir * rtlDir;
        if (index >= 0 && index < len) {
          scrollToTabEl(tabs[index]);
          tabs[index].focus({ preventScroll: true });
        }
        return true;
      }
    }
    const posFn = computed(() => rtlPosCorrection.value === true ? { get: (content) => Math.abs(content.scrollLeft), set: (content, pos) => {
      content.scrollLeft = -pos;
    } } : props.vertical === true ? { get: (content) => content.scrollTop, set: (content, pos) => {
      content.scrollTop = pos;
    } } : { get: (content) => content.scrollLeft, set: (content, pos) => {
      content.scrollLeft = pos;
    } });
    function scrollTowards(value) {
      const content = contentRef.value, { get, set } = posFn.value;
      let done = false, pos = get(content);
      const direction = value < pos ? -1 : 1;
      pos += direction * 5;
      if (pos < 0) {
        done = true;
        pos = 0;
      } else if (direction === -1 && pos <= value || direction === 1 && pos >= value) {
        done = true;
        pos = value;
      }
      set(content, pos);
      updateArrows();
      return done;
    }
    function hasQueryIncluded(targetQuery, matchingQuery) {
      for (const key in targetQuery) {
        if (targetQuery[key] !== matchingQuery[key]) {
          return false;
        }
      }
      return true;
    }
    function updateActiveRoute() {
      let name = null, bestScore = { matchedLen: 0, queryDiff: 9999, hrefLen: 0 };
      const list = tabDataList.filter((tab) => tab.routeData !== void 0 && tab.routeData.hasRouterLink.value === true);
      const { hash: currentHash, query: currentQuery } = proxy.$route;
      const currentQueryLen = Object.keys(currentQuery).length;
      for (const tab of list) {
        const exact = tab.routeData.exact.value === true;
        if (tab.routeData[exact === true ? "linkIsExactActive" : "linkIsActive"].value !== true) {
          continue;
        }
        const { hash, query, matched, href } = tab.routeData.resolvedLink.value;
        const queryLen = Object.keys(query).length;
        if (exact === true) {
          if (hash !== currentHash) {
            continue;
          }
          if (queryLen !== currentQueryLen || hasQueryIncluded(currentQuery, query) === false) {
            continue;
          }
          name = tab.name.value;
          break;
        }
        if (hash !== "" && hash !== currentHash) {
          continue;
        }
        if (queryLen !== 0 && hasQueryIncluded(query, currentQuery) === false) {
          continue;
        }
        const newScore = {
          matchedLen: matched.length,
          queryDiff: currentQueryLen - queryLen,
          hrefLen: href.length - hash.length
        };
        if (newScore.matchedLen > bestScore.matchedLen) {
          name = tab.name.value;
          bestScore = newScore;
          continue;
        } else if (newScore.matchedLen !== bestScore.matchedLen) {
          continue;
        }
        if (newScore.queryDiff < bestScore.queryDiff) {
          name = tab.name.value;
          bestScore = newScore;
        } else if (newScore.queryDiff !== bestScore.queryDiff) {
          continue;
        }
        if (newScore.hrefLen > bestScore.hrefLen) {
          name = tab.name.value;
          bestScore = newScore;
        }
      }
      if (name === null && tabDataList.some((tab) => tab.routeData === void 0 && tab.name.value === currentModel.value) === true) {
        return;
      }
      updateModel({ name, setCurrent: true });
    }
    function onFocusin(e) {
      removeFocusTimeout();
      if (hasFocus.value !== true && rootRef.value !== null && e.target && typeof e.target.closest === "function") {
        const tab = e.target.closest(".q-tab");
        if (tab && rootRef.value.contains(tab) === true) {
          hasFocus.value = true;
          scrollable.value === true && scrollToTabEl(tab);
        }
      }
    }
    function onFocusout() {
      registerFocusTimeout(() => {
        hasFocus.value = false;
      }, 30);
    }
    function verifyRouteModel() {
      if ($tabs.avoidRouteWatcher === false) {
        registerScrollToTabTimeout(updateActiveRoute);
      } else {
        removeScrollToTabTimeout();
      }
    }
    function watchRoute() {
      if (unwatchRoute === void 0) {
        const unwatch = watch(() => proxy.$route.fullPath, verifyRouteModel);
        unwatchRoute = () => {
          unwatch();
          unwatchRoute = void 0;
        };
      }
    }
    function registerTab(tabData) {
      tabDataList.push(tabData);
      tabDataListLen.value++;
      recalculateScroll();
      if (tabData.routeData === void 0 || proxy.$route === void 0) {
        registerScrollToTabTimeout(() => {
          if (scrollable.value === true) {
            const value = currentModel.value;
            const newTab = value !== void 0 && value !== null && value !== "" ? tabDataList.find((tab) => tab.name.value === value) : null;
            newTab && scrollToTabEl(newTab.rootRef.value);
          }
        });
      } else {
        watchRoute();
        if (tabData.routeData.hasRouterLink.value === true) {
          verifyRouteModel();
        }
      }
    }
    function unregisterTab(tabData) {
      tabDataList.splice(tabDataList.indexOf(tabData), 1);
      tabDataListLen.value--;
      recalculateScroll();
      if (unwatchRoute !== void 0 && tabData.routeData !== void 0) {
        if (tabDataList.every((tab) => tab.routeData === void 0) === true) {
          unwatchRoute();
        }
        verifyRouteModel();
      }
    }
    const $tabs = {
      currentModel,
      tabProps,
      hasFocus,
      hasActiveTab,
      registerTab,
      unregisterTab,
      verifyRouteModel,
      updateModel,
      onKbdNavigate,
      avoidRouteWatcher: false
    };
    provide(tabsKey, $tabs);
    function cleanup() {
      animateTimer !== null && clearTimeout(animateTimer);
      stopAnimScroll();
      unwatchRoute !== void 0 && unwatchRoute();
    }
    let hadRouteWatcher;
    onBeforeUnmount(cleanup);
    onDeactivated(() => {
      hadRouteWatcher = unwatchRoute !== void 0;
      cleanup();
    });
    onActivated(() => {
      hadRouteWatcher === true && watchRoute();
      recalculateScroll();
    });
    return () => {
      return h("div", {
        ref: rootRef,
        class: classes.value,
        role: "tablist",
        onFocusin,
        onFocusout
      }, [
        h(QResizeObserver, { onResize: updateContainer }),
        h("div", {
          ref: contentRef,
          class: innerClass.value,
          onScroll: updateArrows
        }, hSlot(slots.default)),
        h(QIcon, {
          class: "q-tabs__arrow q-tabs__arrow--left absolute q-tab__icon" + (leftArrow.value === true ? "" : " q-tabs__arrow--faded"),
          name: props.leftIcon || $q.iconSet.tabs[props.vertical === true ? "up" : "left"],
          onMousedownPassive: scrollToStart,
          onTouchstartPassive: scrollToStart,
          onMouseupPassive: stopAnimScroll,
          onMouseleavePassive: stopAnimScroll,
          onTouchendPassive: stopAnimScroll
        }),
        h(QIcon, {
          class: "q-tabs__arrow q-tabs__arrow--right absolute q-tab__icon" + (rightArrow.value === true ? "" : " q-tabs__arrow--faded"),
          name: props.rightIcon || $q.iconSet.tabs[props.vertical === true ? "down" : "right"],
          onMousedownPassive: scrollToEnd,
          onTouchstartPassive: scrollToEnd,
          onMouseupPassive: stopAnimScroll,
          onMouseleavePassive: stopAnimScroll,
          onTouchendPassive: stopAnimScroll
        })
      ]);
    };
  }
});
var QHeader = createComponent({
  name: "QHeader",
  props: {
    modelValue: {
      type: Boolean,
      default: true
    },
    reveal: Boolean,
    revealOffset: {
      type: Number,
      default: 250
    },
    bordered: Boolean,
    elevated: Boolean,
    heightHint: {
      type: [String, Number],
      default: 50
    }
  },
  emits: ["reveal", "focusin"],
  setup(props, { slots, emit }) {
    const { proxy: { $q } } = getCurrentInstance();
    const $layout = inject(layoutKey, emptyRenderFn);
    if ($layout === emptyRenderFn) {
      console.error("QHeader needs to be child of QLayout");
      return emptyRenderFn;
    }
    const size = ref(parseInt(props.heightHint, 10));
    const revealed = ref(true);
    const fixed = computed(
      () => props.reveal === true || $layout.view.value.indexOf("H") > -1 || $q.platform.is.ios && $layout.isContainer.value === true
    );
    const offset = computed(() => {
      if (props.modelValue !== true) {
        return 0;
      }
      if (fixed.value === true) {
        return revealed.value === true ? size.value : 0;
      }
      const offset2 = size.value - $layout.scroll.value.position;
      return offset2 > 0 ? offset2 : 0;
    });
    const hidden = computed(
      () => props.modelValue !== true || fixed.value === true && revealed.value !== true
    );
    const revealOnFocus = computed(
      () => props.modelValue === true && hidden.value === true && props.reveal === true
    );
    const classes = computed(
      () => "q-header q-layout__section--marginal " + (fixed.value === true ? "fixed" : "absolute") + "-top" + (props.bordered === true ? " q-header--bordered" : "") + (hidden.value === true ? " q-header--hidden" : "") + (props.modelValue !== true ? " q-layout--prevent-focus" : "")
    );
    const style = computed(() => {
      const view = $layout.rows.value.top, css = {};
      if (view[0] === "l" && $layout.left.space === true) {
        css[$q.lang.rtl === true ? "right" : "left"] = `${$layout.left.size}px`;
      }
      if (view[2] === "r" && $layout.right.space === true) {
        css[$q.lang.rtl === true ? "left" : "right"] = `${$layout.right.size}px`;
      }
      return css;
    });
    function updateLayout(prop, val) {
      $layout.update("header", prop, val);
    }
    function updateLocal(prop, val) {
      if (prop.value !== val) {
        prop.value = val;
      }
    }
    function onResize({ height }) {
      updateLocal(size, height);
      updateLayout("size", height);
    }
    function onFocusin(evt) {
      if (revealOnFocus.value === true) {
        updateLocal(revealed, true);
      }
      emit("focusin", evt);
    }
    watch(() => props.modelValue, (val) => {
      updateLayout("space", val);
      updateLocal(revealed, true);
      $layout.animate();
    });
    watch(offset, (val) => {
      updateLayout("offset", val);
    });
    watch(() => props.reveal, (val) => {
      val === false && updateLocal(revealed, props.modelValue);
    });
    watch(revealed, (val) => {
      $layout.animate();
      emit("reveal", val);
    });
    watch($layout.scroll, (scroll) => {
      props.reveal === true && updateLocal(
        revealed,
        scroll.direction === "up" || scroll.position <= props.revealOffset || scroll.position - scroll.inflectionPoint < 100
      );
    });
    const instance = {};
    $layout.instances.header = instance;
    props.modelValue === true && updateLayout("size", size.value);
    updateLayout("space", props.modelValue);
    updateLayout("offset", offset.value);
    onBeforeUnmount(() => {
      if ($layout.instances.header === instance) {
        $layout.instances.header = void 0;
        updateLayout("size", 0);
        updateLayout("offset", 0);
        updateLayout("space", false);
      }
    });
    return () => {
      const child = hUniqueSlot(slots.default, []);
      props.elevated === true && child.push(
        h("div", {
          class: "q-layout__shadow absolute-full overflow-hidden no-pointer-events"
        })
      );
      child.push(
        h(QResizeObserver, {
          debounce: 0,
          onResize
        })
      );
      return h("header", {
        class: classes.value,
        style: style.value,
        onFocusin
      }, child);
    };
  }
});
var QItemLabel = createComponent({
  name: "QItemLabel",
  props: {
    overline: Boolean,
    caption: Boolean,
    header: Boolean,
    lines: [Number, String]
  },
  setup(props, { slots }) {
    const parsedLines = computed(() => parseInt(props.lines, 10));
    const classes = computed(
      () => "q-item__label" + (props.overline === true ? " q-item__label--overline text-overline" : "") + (props.caption === true ? " q-item__label--caption text-caption" : "") + (props.header === true ? " q-item__label--header" : "") + (parsedLines.value === 1 ? " ellipsis" : "")
    );
    const style = computed(() => {
      return props.lines !== void 0 && parsedLines.value > 1 ? {
        overflow: "hidden",
        display: "-webkit-box",
        "-webkit-box-orient": "vertical",
        "-webkit-line-clamp": parsedLines.value
      } : null;
    });
    return () => h("div", {
      style: style.value,
      class: classes.value
    }, hSlot(slots.default));
  }
});
const alignValues = ["top", "middle", "bottom"];
var QBadge = createComponent({
  name: "QBadge",
  props: {
    color: String,
    textColor: String,
    floating: Boolean,
    transparent: Boolean,
    multiLine: Boolean,
    outline: Boolean,
    rounded: Boolean,
    label: [Number, String],
    align: {
      type: String,
      validator: (v) => alignValues.includes(v)
    }
  },
  setup(props, { slots }) {
    const style = computed(() => {
      return props.align !== void 0 ? { verticalAlign: props.align } : null;
    });
    const classes = computed(() => {
      const text = props.outline === true ? props.color || props.textColor : props.textColor;
      return `q-badge flex inline items-center no-wrap q-badge--${props.multiLine === true ? "multi" : "single"}-line` + (props.outline === true ? " q-badge--outline" : props.color !== void 0 ? ` bg-${props.color}` : "") + (text !== void 0 ? ` text-${text}` : "") + (props.floating === true ? " q-badge--floating" : "") + (props.rounded === true ? " q-badge--rounded" : "") + (props.transparent === true ? " q-badge--transparent" : "");
    });
    return () => h("div", {
      class: classes.value,
      style: style.value,
      role: "status",
      "aria-label": props.label
    }, hMergeSlot(slots.default, props.label !== void 0 ? [props.label] : []));
  }
});
const duration = 150;
var QDrawer = createComponent({
  name: "QDrawer",
  inheritAttrs: false,
  props: {
    ...useModelToggleProps,
    ...useDarkProps,
    side: {
      type: String,
      default: "left",
      validator: (v) => ["left", "right"].includes(v)
    },
    width: {
      type: Number,
      default: 300
    },
    mini: Boolean,
    miniToOverlay: Boolean,
    miniWidth: {
      type: Number,
      default: 57
    },
    noMiniAnimation: Boolean,
    breakpoint: {
      type: Number,
      default: 1023
    },
    showIfAbove: Boolean,
    behavior: {
      type: String,
      validator: (v) => ["default", "desktop", "mobile"].includes(v),
      default: "default"
    },
    bordered: Boolean,
    elevated: Boolean,
    overlay: Boolean,
    persistent: Boolean,
    noSwipeOpen: Boolean,
    noSwipeClose: Boolean,
    noSwipeBackdrop: Boolean
  },
  emits: [
    ...useModelToggleEmits,
    "onLayout",
    "miniState"
  ],
  setup(props, { slots, emit, attrs }) {
    const vm = getCurrentInstance();
    const { proxy: { $q } } = vm;
    const isDark = useDark(props, $q);
    const { preventBodyScroll } = usePreventScroll();
    const { registerTimeout, removeTimeout } = useTimeout();
    const $layout = inject(layoutKey, emptyRenderFn);
    if ($layout === emptyRenderFn) {
      console.error("QDrawer needs to be child of QLayout");
      return emptyRenderFn;
    }
    let lastDesktopState, timerMini = null, layoutTotalWidthWatcher;
    const belowBreakpoint = ref(
      props.behavior === "mobile" || props.behavior !== "desktop" && $layout.totalWidth.value <= props.breakpoint
    );
    const isMini = computed(
      () => props.mini === true && belowBreakpoint.value !== true
    );
    const size = computed(() => isMini.value === true ? props.miniWidth : props.width);
    const showing = ref(
      props.showIfAbove === true && belowBreakpoint.value === false ? true : props.modelValue === true
    );
    const hideOnRouteChange = computed(
      () => props.persistent !== true && (belowBreakpoint.value === true || onScreenOverlay.value === true)
    );
    function handleShow(evt, noEvent) {
      addToHistory();
      evt !== false && $layout.animate();
      applyPosition(0);
      if (belowBreakpoint.value === true) {
        const otherInstance = $layout.instances[otherSide.value];
        if (otherInstance !== void 0 && otherInstance.belowBreakpoint === true) {
          otherInstance.hide(false);
        }
        applyBackdrop(1);
        $layout.isContainer.value !== true && preventBodyScroll(true);
      } else {
        applyBackdrop(0);
        evt !== false && setScrollable(false);
      }
      registerTimeout(() => {
        evt !== false && setScrollable(true);
        noEvent !== true && emit("show", evt);
      }, duration);
    }
    function handleHide(evt, noEvent) {
      removeFromHistory();
      evt !== false && $layout.animate();
      applyBackdrop(0);
      applyPosition(stateDirection.value * size.value);
      cleanup();
      if (noEvent !== true) {
        registerTimeout(() => {
          emit("hide", evt);
        }, duration);
      } else {
        removeTimeout();
      }
    }
    const { show, hide } = useModelToggle({
      showing,
      hideOnRouteChange,
      handleShow,
      handleHide
    });
    const { addToHistory, removeFromHistory } = useHistory(showing, hide, hideOnRouteChange);
    const instance = {
      belowBreakpoint,
      hide
    };
    const rightSide = computed(() => props.side === "right");
    const stateDirection = computed(
      () => ($q.lang.rtl === true ? -1 : 1) * (rightSide.value === true ? 1 : -1)
    );
    const flagBackdropBg = ref(0);
    const flagPanning = ref(false);
    const flagMiniAnimate = ref(false);
    const flagContentPosition = ref(
      size.value * stateDirection.value
    );
    const otherSide = computed(() => rightSide.value === true ? "left" : "right");
    const offset = computed(() => showing.value === true && belowBreakpoint.value === false && props.overlay === false ? props.miniToOverlay === true ? props.miniWidth : size.value : 0);
    const fixed = computed(
      () => props.overlay === true || props.miniToOverlay === true || $layout.view.value.indexOf(rightSide.value ? "R" : "L") > -1 || $q.platform.is.ios === true && $layout.isContainer.value === true
    );
    const onLayout = computed(
      () => props.overlay === false && showing.value === true && belowBreakpoint.value === false
    );
    const onScreenOverlay = computed(
      () => props.overlay === true && showing.value === true && belowBreakpoint.value === false
    );
    const backdropClass = computed(
      () => "fullscreen q-drawer__backdrop" + (showing.value === false && flagPanning.value === false ? " hidden" : "")
    );
    const backdropStyle = computed(() => ({
      backgroundColor: `rgba(0,0,0,${flagBackdropBg.value * 0.4})`
    }));
    const headerSlot = computed(() => rightSide.value === true ? $layout.rows.value.top[2] === "r" : $layout.rows.value.top[0] === "l");
    const footerSlot = computed(() => rightSide.value === true ? $layout.rows.value.bottom[2] === "r" : $layout.rows.value.bottom[0] === "l");
    const aboveStyle = computed(() => {
      const css = {};
      if ($layout.header.space === true && headerSlot.value === false) {
        if (fixed.value === true) {
          css.top = `${$layout.header.offset}px`;
        } else if ($layout.header.space === true) {
          css.top = `${$layout.header.size}px`;
        }
      }
      if ($layout.footer.space === true && footerSlot.value === false) {
        if (fixed.value === true) {
          css.bottom = `${$layout.footer.offset}px`;
        } else if ($layout.footer.space === true) {
          css.bottom = `${$layout.footer.size}px`;
        }
      }
      return css;
    });
    const style = computed(() => {
      const style2 = {
        width: `${size.value}px`,
        transform: `translateX(${flagContentPosition.value}px)`
      };
      return belowBreakpoint.value === true ? style2 : Object.assign(style2, aboveStyle.value);
    });
    const contentClass = computed(
      () => "q-drawer__content fit " + ($layout.isContainer.value !== true ? "scroll" : "overflow-auto")
    );
    const classes = computed(
      () => `q-drawer q-drawer--${props.side}` + (flagMiniAnimate.value === true ? " q-drawer--mini-animate" : "") + (props.bordered === true ? " q-drawer--bordered" : "") + (isDark.value === true ? " q-drawer--dark q-dark" : "") + (flagPanning.value === true ? " no-transition" : showing.value === true ? "" : " q-layout--prevent-focus") + (belowBreakpoint.value === true ? " fixed q-drawer--on-top q-drawer--mobile q-drawer--top-padding" : ` q-drawer--${isMini.value === true ? "mini" : "standard"}` + (fixed.value === true || onLayout.value !== true ? " fixed" : "") + (props.overlay === true || props.miniToOverlay === true ? " q-drawer--on-top" : "") + (headerSlot.value === true ? " q-drawer--top-padding" : ""))
    );
    const openDirective = computed(() => {
      const dir = $q.lang.rtl === true ? props.side : otherSide.value;
      return [[
        TouchPan,
        onOpenPan,
        void 0,
        {
          [dir]: true,
          mouse: true
        }
      ]];
    });
    const contentCloseDirective = computed(() => {
      const dir = $q.lang.rtl === true ? otherSide.value : props.side;
      return [[
        TouchPan,
        onClosePan,
        void 0,
        {
          [dir]: true,
          mouse: true
        }
      ]];
    });
    const backdropCloseDirective = computed(() => {
      const dir = $q.lang.rtl === true ? otherSide.value : props.side;
      return [[
        TouchPan,
        onClosePan,
        void 0,
        {
          [dir]: true,
          mouse: true,
          mouseAllDir: true
        }
      ]];
    });
    function updateBelowBreakpoint() {
      updateLocal(belowBreakpoint, props.behavior === "mobile" || props.behavior !== "desktop" && $layout.totalWidth.value <= props.breakpoint);
    }
    watch(belowBreakpoint, (val) => {
      if (val === true) {
        lastDesktopState = showing.value;
        showing.value === true && hide(false);
      } else if (props.overlay === false && props.behavior !== "mobile" && lastDesktopState !== false) {
        if (showing.value === true) {
          applyPosition(0);
          applyBackdrop(0);
          cleanup();
        } else {
          show(false);
        }
      }
    });
    watch(() => props.side, (newSide, oldSide) => {
      if ($layout.instances[oldSide] === instance) {
        $layout.instances[oldSide] = void 0;
        $layout[oldSide].space = false;
        $layout[oldSide].offset = 0;
      }
      $layout.instances[newSide] = instance;
      $layout[newSide].size = size.value;
      $layout[newSide].space = onLayout.value;
      $layout[newSide].offset = offset.value;
    });
    watch($layout.totalWidth, () => {
      if ($layout.isContainer.value === true || document.qScrollPrevented !== true) {
        updateBelowBreakpoint();
      }
    });
    watch(
      () => props.behavior + props.breakpoint,
      updateBelowBreakpoint
    );
    watch($layout.isContainer, (val) => {
      showing.value === true && preventBodyScroll(val !== true);
      val === true && updateBelowBreakpoint();
    });
    watch($layout.scrollbarWidth, () => {
      applyPosition(showing.value === true ? 0 : void 0);
    });
    watch(offset, (val) => {
      updateLayout("offset", val);
    });
    watch(onLayout, (val) => {
      emit("onLayout", val);
      updateLayout("space", val);
    });
    watch(rightSide, () => {
      applyPosition();
    });
    watch(size, (val) => {
      applyPosition();
      updateSizeOnLayout(props.miniToOverlay, val);
    });
    watch(() => props.miniToOverlay, (val) => {
      updateSizeOnLayout(val, size.value);
    });
    watch(() => $q.lang.rtl, () => {
      applyPosition();
    });
    watch(() => props.mini, () => {
      if (props.noMiniAnimation)
        return;
      if (props.modelValue === true) {
        animateMini();
        $layout.animate();
      }
    });
    watch(isMini, (val) => {
      emit("miniState", val);
    });
    function applyPosition(position2) {
      if (position2 === void 0) {
        nextTick(() => {
          position2 = showing.value === true ? 0 : size.value;
          applyPosition(stateDirection.value * position2);
        });
      } else {
        if ($layout.isContainer.value === true && rightSide.value === true && (belowBreakpoint.value === true || Math.abs(position2) === size.value)) {
          position2 += stateDirection.value * $layout.scrollbarWidth.value;
        }
        flagContentPosition.value = position2;
      }
    }
    function applyBackdrop(x) {
      flagBackdropBg.value = x;
    }
    function setScrollable(v) {
      const action = v === true ? "remove" : $layout.isContainer.value !== true ? "add" : "";
      action !== "" && document.body.classList[action]("q-body--drawer-toggle");
    }
    function animateMini() {
      timerMini !== null && clearTimeout(timerMini);
      if (vm.proxy && vm.proxy.$el) {
        vm.proxy.$el.classList.add("q-drawer--mini-animate");
      }
      flagMiniAnimate.value = true;
      timerMini = setTimeout(() => {
        timerMini = null;
        flagMiniAnimate.value = false;
        if (vm && vm.proxy && vm.proxy.$el) {
          vm.proxy.$el.classList.remove("q-drawer--mini-animate");
        }
      }, 150);
    }
    function onOpenPan(evt) {
      if (showing.value !== false) {
        return;
      }
      const width = size.value, position2 = between(evt.distance.x, 0, width);
      if (evt.isFinal === true) {
        const opened = position2 >= Math.min(75, width);
        if (opened === true) {
          show();
        } else {
          $layout.animate();
          applyBackdrop(0);
          applyPosition(stateDirection.value * width);
        }
        flagPanning.value = false;
        return;
      }
      applyPosition(
        ($q.lang.rtl === true ? rightSide.value !== true : rightSide.value) ? Math.max(width - position2, 0) : Math.min(0, position2 - width)
      );
      applyBackdrop(
        between(position2 / width, 0, 1)
      );
      if (evt.isFirst === true) {
        flagPanning.value = true;
      }
    }
    function onClosePan(evt) {
      if (showing.value !== true) {
        return;
      }
      const width = size.value, dir = evt.direction === props.side, position2 = ($q.lang.rtl === true ? dir !== true : dir) ? between(evt.distance.x, 0, width) : 0;
      if (evt.isFinal === true) {
        const opened = Math.abs(position2) < Math.min(75, width);
        if (opened === true) {
          $layout.animate();
          applyBackdrop(1);
          applyPosition(0);
        } else {
          hide();
        }
        flagPanning.value = false;
        return;
      }
      applyPosition(stateDirection.value * position2);
      applyBackdrop(between(1 - position2 / width, 0, 1));
      if (evt.isFirst === true) {
        flagPanning.value = true;
      }
    }
    function cleanup() {
      preventBodyScroll(false);
      setScrollable(true);
    }
    function updateLayout(prop, val) {
      $layout.update(props.side, prop, val);
    }
    function updateLocal(prop, val) {
      if (prop.value !== val) {
        prop.value = val;
      }
    }
    function updateSizeOnLayout(miniToOverlay, size2) {
      updateLayout("size", miniToOverlay === true ? props.miniWidth : size2);
    }
    $layout.instances[props.side] = instance;
    updateSizeOnLayout(props.miniToOverlay, size.value);
    updateLayout("space", onLayout.value);
    updateLayout("offset", offset.value);
    if (props.showIfAbove === true && props.modelValue !== true && showing.value === true && props["onUpdate:modelValue"] !== void 0) {
      emit("update:modelValue", true);
    }
    onMounted(() => {
      emit("onLayout", onLayout.value);
      emit("miniState", isMini.value);
      lastDesktopState = props.showIfAbove === true;
      const fn = () => {
        const action = showing.value === true ? handleShow : handleHide;
        action(false, true);
      };
      if ($layout.totalWidth.value !== 0) {
        nextTick(fn);
        return;
      }
      layoutTotalWidthWatcher = watch($layout.totalWidth, () => {
        layoutTotalWidthWatcher();
        layoutTotalWidthWatcher = void 0;
        if (showing.value === false && props.showIfAbove === true && belowBreakpoint.value === false) {
          show(false);
        } else {
          fn();
        }
      });
    });
    onBeforeUnmount(() => {
      layoutTotalWidthWatcher !== void 0 && layoutTotalWidthWatcher();
      if (timerMini !== null) {
        clearTimeout(timerMini);
        timerMini = null;
      }
      showing.value === true && cleanup();
      if ($layout.instances[props.side] === instance) {
        $layout.instances[props.side] = void 0;
        updateLayout("size", 0);
        updateLayout("offset", 0);
        updateLayout("space", false);
      }
    });
    return () => {
      const child = [];
      if (belowBreakpoint.value === true) {
        props.noSwipeOpen === false && child.push(
          withDirectives(
            h("div", {
              key: "open",
              class: `q-drawer__opener fixed-${props.side}`,
              "aria-hidden": "true"
            }),
            openDirective.value
          )
        );
        child.push(
          hDir(
            "div",
            {
              ref: "backdrop",
              class: backdropClass.value,
              style: backdropStyle.value,
              "aria-hidden": "true",
              onClick: hide
            },
            void 0,
            "backdrop",
            props.noSwipeBackdrop !== true && showing.value === true,
            () => backdropCloseDirective.value
          )
        );
      }
      const mini = isMini.value === true && slots.mini !== void 0;
      const content = [
        h(
          "div",
          {
            ...attrs,
            key: "" + mini,
            class: [
              contentClass.value,
              attrs.class
            ]
          },
          mini === true ? slots.mini() : hSlot(slots.default)
        )
      ];
      if (props.elevated === true && showing.value === true) {
        content.push(
          h("div", {
            class: "q-layout__shadow absolute-full overflow-hidden no-pointer-events"
          })
        );
      }
      child.push(
        hDir(
          "aside",
          { ref: "content", class: classes.value, style: style.value },
          content,
          "contentclose",
          props.noSwipeClose !== true && belowBreakpoint.value === true,
          () => contentCloseDirective.value
        )
      );
      return h("div", { class: "q-drawer-container" }, child);
    };
  }
});
var QPageContainer = createComponent({
  name: "QPageContainer",
  setup(_, { slots }) {
    const { proxy: { $q } } = getCurrentInstance();
    const $layout = inject(layoutKey, emptyRenderFn);
    if ($layout === emptyRenderFn) {
      console.error("QPageContainer needs to be child of QLayout");
      return emptyRenderFn;
    }
    provide(pageContainerKey, true);
    const style = computed(() => {
      const css = {};
      if ($layout.header.space === true) {
        css.paddingTop = `${$layout.header.size}px`;
      }
      if ($layout.right.space === true) {
        css[`padding${$q.lang.rtl === true ? "Left" : "Right"}`] = `${$layout.right.size}px`;
      }
      if ($layout.footer.space === true) {
        css.paddingBottom = `${$layout.footer.size}px`;
      }
      if ($layout.left.space === true) {
        css[`padding${$q.lang.rtl === true ? "Right" : "Left"}`] = `${$layout.left.size}px`;
      }
      return css;
    });
    return () => h("div", {
      class: "q-page-container",
      style: style.value
    }, hSlot(slots.default));
  }
});
var QLayout = createComponent({
  name: "QLayout",
  props: {
    container: Boolean,
    view: {
      type: String,
      default: "hhh lpr fff",
      validator: (v) => /^(h|l)h(h|r) lpr (f|l)f(f|r)$/.test(v.toLowerCase())
    },
    onScroll: Function,
    onScrollHeight: Function,
    onResize: Function
  },
  setup(props, { slots, emit }) {
    const { proxy: { $q } } = getCurrentInstance();
    const rootRef = ref(null);
    const height = ref($q.screen.height);
    const width = ref(props.container === true ? 0 : $q.screen.width);
    const scroll = ref({ position: 0, direction: "down", inflectionPoint: 0 });
    const containerHeight = ref(0);
    const scrollbarWidth = ref(isRuntimeSsrPreHydration.value === true ? 0 : getScrollbarWidth());
    const classes = computed(
      () => "q-layout q-layout--" + (props.container === true ? "containerized" : "standard")
    );
    const style = computed(() => props.container === false ? { minHeight: $q.screen.height + "px" } : null);
    const targetStyle = computed(() => scrollbarWidth.value !== 0 ? { [$q.lang.rtl === true ? "left" : "right"]: `${scrollbarWidth.value}px` } : null);
    const targetChildStyle = computed(() => scrollbarWidth.value !== 0 ? {
      [$q.lang.rtl === true ? "right" : "left"]: 0,
      [$q.lang.rtl === true ? "left" : "right"]: `-${scrollbarWidth.value}px`,
      width: `calc(100% + ${scrollbarWidth.value}px)`
    } : null);
    function onPageScroll(data) {
      if (props.container === true || document.qScrollPrevented !== true) {
        const info = {
          position: data.position.top,
          direction: data.direction,
          directionChanged: data.directionChanged,
          inflectionPoint: data.inflectionPoint.top,
          delta: data.delta.top
        };
        scroll.value = info;
        props.onScroll !== void 0 && emit("scroll", info);
      }
    }
    function onPageResize(data) {
      const { height: newHeight, width: newWidth } = data;
      let resized = false;
      if (height.value !== newHeight) {
        resized = true;
        height.value = newHeight;
        props.onScrollHeight !== void 0 && emit("scrollHeight", newHeight);
        updateScrollbarWidth();
      }
      if (width.value !== newWidth) {
        resized = true;
        width.value = newWidth;
      }
      if (resized === true && props.onResize !== void 0) {
        emit("resize", data);
      }
    }
    function onContainerResize({ height: height2 }) {
      if (containerHeight.value !== height2) {
        containerHeight.value = height2;
        updateScrollbarWidth();
      }
    }
    function updateScrollbarWidth() {
      if (props.container === true) {
        const width2 = height.value > containerHeight.value ? getScrollbarWidth() : 0;
        if (scrollbarWidth.value !== width2) {
          scrollbarWidth.value = width2;
        }
      }
    }
    let animateTimer = null;
    const $layout = {
      instances: {},
      view: computed(() => props.view),
      isContainer: computed(() => props.container),
      rootRef,
      height,
      containerHeight,
      scrollbarWidth,
      totalWidth: computed(() => width.value + scrollbarWidth.value),
      rows: computed(() => {
        const rows = props.view.toLowerCase().split(" ");
        return {
          top: rows[0].split(""),
          middle: rows[1].split(""),
          bottom: rows[2].split("")
        };
      }),
      header: reactive({ size: 0, offset: 0, space: false }),
      right: reactive({ size: 300, offset: 0, space: false }),
      footer: reactive({ size: 0, offset: 0, space: false }),
      left: reactive({ size: 300, offset: 0, space: false }),
      scroll,
      animate() {
        if (animateTimer !== null) {
          clearTimeout(animateTimer);
        } else {
          document.body.classList.add("q-body--layout-animate");
        }
        animateTimer = setTimeout(() => {
          animateTimer = null;
          document.body.classList.remove("q-body--layout-animate");
        }, 155);
      },
      update(part, prop, val) {
        $layout[part][prop] = val;
      }
    };
    provide(layoutKey, $layout);
    if (getScrollbarWidth() > 0) {
      let restoreScrollbar = function() {
        timer = null;
        el.classList.remove("hide-scrollbar");
      }, hideScrollbar = function() {
        if (timer === null) {
          if (el.scrollHeight > $q.screen.height) {
            return;
          }
          el.classList.add("hide-scrollbar");
        } else {
          clearTimeout(timer);
        }
        timer = setTimeout(restoreScrollbar, 300);
      }, updateScrollEvent = function(action) {
        if (timer !== null && action === "remove") {
          clearTimeout(timer);
          restoreScrollbar();
        }
        window[`${action}EventListener`]("resize", hideScrollbar);
      };
      let timer = null;
      const el = document.body;
      watch(
        () => props.container !== true ? "add" : "remove",
        updateScrollEvent
      );
      props.container !== true && updateScrollEvent("add");
      onUnmounted(() => {
        updateScrollEvent("remove");
      });
    }
    return () => {
      const content = hMergeSlot(slots.default, [
        h(QScrollObserver, { onScroll: onPageScroll }),
        h(QResizeObserver, { onResize: onPageResize })
      ]);
      const layout = h("div", {
        class: classes.value,
        style: style.value,
        ref: props.container === true ? void 0 : rootRef,
        tabindex: -1
      }, content);
      if (props.container === true) {
        return h("div", {
          class: "q-layout-container overflow-hidden",
          ref: rootRef
        }, [
          h(QResizeObserver, { onResize: onContainerResize }),
          h("div", {
            class: "absolute-full",
            style: targetStyle.value
          }, [
            h("div", {
              class: "scroll",
              style: targetChildStyle.value
            }, [layout])
          ])
        ]);
      }
      return layout;
    };
  }
});
const _hoisted_1$4 = { class: "row" };
const _hoisted_2$3 = /* @__PURE__ */ createBaseVNode("div", { class: "text-h6" }, "\u91CD\u547D\u540D\u4E3B\u9898", -1);
const _sfc_main$4 = {
  __name: "ChatSubject",
  props: {
    Id: {
      type: String
    },
    UserId: {
      type: String
    },
    Subject: {
      type: String
    },
    CreatedAt: {
      type: Number
    }
  },
  setup(__props) {
    const props = __props;
    const userStore2 = useUserStore();
    const add_subject = inject("add_subject");
    const chatStore2 = useChatStore();
    const { curr_subject, subjects } = storeToRefs(chatStore2);
    const change_prompt = ref(false);
    async function switchSubject() {
      chatStore2.$patch({ curr_subject: { "Id": props.Id, "UserId": userStore2.UserId, "Subject": subjects.value[props.Id]["Subject"] } });
      await chatStore2.getChats();
      add_subject.value = true;
      await nextTick();
      add_subject.value = false;
    }
    const new_subject = ref({
      "Id": props.Id,
      "UserId": props.UserId,
      "Subject": props.Subject
    });
    async function changeSubject() {
      if (new_subject.value.Subject !== "") {
        await subjectChangeApi(new_subject.value);
        await chatStore2.getSubjects();
      }
    }
    async function delSubject() {
      await subjectDelApi({ "Id": props.Id });
      await chatStore2.getSubjects();
      if (Object.keys(chatStore2.subjects).length === 0) {
        await subjectAddApi();
        await chatStore2.getSubjects();
      }
      const subject_keys = Object.keys(chatStore2.subjects);
      chatStore2.curr_subject.Id = chatStore2.subjects[subject_keys[subject_keys.length - 1]].Id;
      chatStore2.curr_subject.UserId = chatStore2.subjects[subject_keys[subject_keys.length - 1]].UserId;
      chatStore2.curr_subject.Subject = chatStore2.subjects[subject_keys[subject_keys.length - 1]].Subject;
      await chatStore2.getChats();
    }
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock(Fragment, null, [
        /^[^-]+$/.test(props.Subject) ? withDirectives((openBlock(), createBlock(QItem, {
          key: 0,
          clickable: unref(curr_subject).Id !== __props.Id,
          onClick: switchSubject,
          active: unref(curr_subject).Id === __props.Id
        }, {
          default: withCtx(() => [
            createVNode(QItemSection, { avatar: "" }, {
              default: withCtx(() => [
                createVNode(QIcon, { name: "chat" })
              ]),
              _: 1
            }),
            createVNode(QItemSection, null, {
              default: withCtx(() => [
                createVNode(QItemLabel, { lines: "1" }, {
                  default: withCtx(() => [
                    createTextVNode(toDisplayString(__props.Subject), 1)
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }),
            withDirectives(createBaseVNode("div", _hoisted_1$4, [
              createVNode(QIcon, {
                onClick: _cache[0] || (_cache[0] = ($event) => change_prompt.value = true),
                size: "xs",
                name: "edit",
                color: "grey",
                class: "q-mx-sm"
              }),
              createVNode(QIcon, {
                onClick: delSubject,
                size: "xs",
                name: "delete",
                color: "grey"
              })
            ], 512), [
              [vShow, unref(curr_subject).Id === __props.Id]
            ])
          ]),
          _: 1
        }, 8, ["clickable", "active"])), [
          [Ripple, unref(curr_subject).Id !== __props.Id]
        ]) : createCommentVNode("", true),
        createVNode(QDialog, {
          modelValue: change_prompt.value,
          "onUpdate:modelValue": _cache[3] || (_cache[3] = ($event) => change_prompt.value = $event),
          persistent: ""
        }, {
          default: withCtx(() => [
            createVNode(QCard, { style: { "min-width": "350px" } }, {
              default: withCtx(() => [
                createVNode(QCardSection, null, {
                  default: withCtx(() => [
                    _hoisted_2$3
                  ]),
                  _: 1
                }),
                createVNode(QCardSection, { class: "q-pt-none" }, {
                  default: withCtx(() => [
                    createVNode(QInput, {
                      dense: "",
                      modelValue: new_subject.value.Subject,
                      "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => new_subject.value.Subject = $event),
                      autofocus: "",
                      onKeyup: _cache[2] || (_cache[2] = withKeys(($event) => change_prompt.value = false, ["enter"]))
                    }, null, 8, ["modelValue"])
                  ]),
                  _: 1
                }),
                createVNode(QCardActions, {
                  align: "right",
                  class: "text-primary"
                }, {
                  default: withCtx(() => [
                    withDirectives(createVNode(QBtn, {
                      flat: "",
                      label: "\u53D6\u6D88"
                    }, null, 512), [
                      [ClosePopup]
                    ]),
                    withDirectives(createVNode(QBtn, {
                      onClick: changeSubject,
                      flat: "",
                      label: "\u786E\u5B9A"
                    }, null, 512), [
                      [ClosePopup]
                    ])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            })
          ]),
          _: 1
        }, 8, ["modelValue"])
      ], 64);
    };
  }
};
function parseArg(arg) {
  const data = [0.06, 6, 50];
  if (typeof arg === "string" && arg.length) {
    arg.split(":").forEach((val, index) => {
      const v = parseFloat(val);
      v && (data[index] = v);
    });
  }
  return data;
}
var TouchSwipe = createDirective(
  {
    name: "touch-swipe",
    beforeMount(el, { value, arg, modifiers }) {
      if (modifiers.mouse !== true && client.has.touch !== true) {
        return;
      }
      const mouseCapture = modifiers.mouseCapture === true ? "Capture" : "";
      const ctx = {
        handler: value,
        sensitivity: parseArg(arg),
        direction: getModifierDirections(modifiers),
        noop,
        mouseStart(evt) {
          if (shouldStart(evt, ctx) && leftClick(evt)) {
            addEvt(ctx, "temp", [
              [document, "mousemove", "move", `notPassive${mouseCapture}`],
              [document, "mouseup", "end", "notPassiveCapture"]
            ]);
            ctx.start(evt, true);
          }
        },
        touchStart(evt) {
          if (shouldStart(evt, ctx)) {
            const target = evt.target;
            addEvt(ctx, "temp", [
              [target, "touchmove", "move", "notPassiveCapture"],
              [target, "touchcancel", "end", "notPassiveCapture"],
              [target, "touchend", "end", "notPassiveCapture"]
            ]);
            ctx.start(evt);
          }
        },
        start(evt, mouseEvent) {
          client.is.firefox === true && preventDraggable(el, true);
          const pos = position(evt);
          ctx.event = {
            x: pos.left,
            y: pos.top,
            time: Date.now(),
            mouse: mouseEvent === true,
            dir: false
          };
        },
        move(evt) {
          if (ctx.event === void 0) {
            return;
          }
          if (ctx.event.dir !== false) {
            stopAndPrevent(evt);
            return;
          }
          const time = Date.now() - ctx.event.time;
          if (time === 0) {
            return;
          }
          const pos = position(evt), distX = pos.left - ctx.event.x, absX = Math.abs(distX), distY = pos.top - ctx.event.y, absY = Math.abs(distY);
          if (ctx.event.mouse !== true) {
            if (absX < ctx.sensitivity[1] && absY < ctx.sensitivity[1]) {
              ctx.end(evt);
              return;
            }
          } else if (window.getSelection().toString() !== "") {
            ctx.end(evt);
            return;
          } else if (absX < ctx.sensitivity[2] && absY < ctx.sensitivity[2]) {
            return;
          }
          const velX = absX / time, velY = absY / time;
          if (ctx.direction.vertical === true && absX < absY && absX < 100 && velY > ctx.sensitivity[0]) {
            ctx.event.dir = distY < 0 ? "up" : "down";
          }
          if (ctx.direction.horizontal === true && absX > absY && absY < 100 && velX > ctx.sensitivity[0]) {
            ctx.event.dir = distX < 0 ? "left" : "right";
          }
          if (ctx.direction.up === true && absX < absY && distY < 0 && absX < 100 && velY > ctx.sensitivity[0]) {
            ctx.event.dir = "up";
          }
          if (ctx.direction.down === true && absX < absY && distY > 0 && absX < 100 && velY > ctx.sensitivity[0]) {
            ctx.event.dir = "down";
          }
          if (ctx.direction.left === true && absX > absY && distX < 0 && absY < 100 && velX > ctx.sensitivity[0]) {
            ctx.event.dir = "left";
          }
          if (ctx.direction.right === true && absX > absY && distX > 0 && absY < 100 && velX > ctx.sensitivity[0]) {
            ctx.event.dir = "right";
          }
          if (ctx.event.dir !== false) {
            stopAndPrevent(evt);
            if (ctx.event.mouse === true) {
              document.body.classList.add("no-pointer-events--children");
              document.body.classList.add("non-selectable");
              clearSelection();
              ctx.styleCleanup = (withDelay) => {
                ctx.styleCleanup = void 0;
                document.body.classList.remove("non-selectable");
                const remove = () => {
                  document.body.classList.remove("no-pointer-events--children");
                };
                if (withDelay === true) {
                  setTimeout(remove, 50);
                } else {
                  remove();
                }
              };
            }
            ctx.handler({
              evt,
              touch: ctx.event.mouse !== true,
              mouse: ctx.event.mouse,
              direction: ctx.event.dir,
              duration: time,
              distance: {
                x: absX,
                y: absY
              }
            });
          } else {
            ctx.end(evt);
          }
        },
        end(evt) {
          if (ctx.event === void 0) {
            return;
          }
          cleanEvt(ctx, "temp");
          client.is.firefox === true && preventDraggable(el, false);
          ctx.styleCleanup !== void 0 && ctx.styleCleanup(true);
          evt !== void 0 && ctx.event.dir !== false && stopAndPrevent(evt);
          ctx.event = void 0;
        }
      };
      el.__qtouchswipe = ctx;
      if (modifiers.mouse === true) {
        const capture = modifiers.mouseCapture === true || modifiers.mousecapture === true ? "Capture" : "";
        addEvt(ctx, "main", [
          [el, "mousedown", "mouseStart", `passive${capture}`]
        ]);
      }
      client.has.touch === true && addEvt(ctx, "main", [
        [el, "touchstart", "touchStart", `passive${modifiers.capture === true ? "Capture" : ""}`],
        [el, "touchmove", "noop", "notPassiveCapture"]
      ]);
    },
    updated(el, bindings) {
      const ctx = el.__qtouchswipe;
      if (ctx !== void 0) {
        if (bindings.oldValue !== bindings.value) {
          typeof bindings.value !== "function" && ctx.end();
          ctx.handler = bindings.value;
        }
        ctx.direction = getModifierDirections(bindings.modifiers);
      }
    },
    beforeUnmount(el) {
      const ctx = el.__qtouchswipe;
      if (ctx !== void 0) {
        cleanEvt(ctx, "main");
        cleanEvt(ctx, "temp");
        client.is.firefox === true && preventDraggable(el, false);
        ctx.styleCleanup !== void 0 && ctx.styleCleanup();
        delete el.__qtouchswipe;
      }
    }
  }
);
function useCache() {
  const cache = /* @__PURE__ */ new Map();
  return {
    getCache: function(key, obj) {
      return cache[key] === void 0 ? cache[key] = obj : cache[key];
    },
    getCacheWithFn: function(key, fn) {
      return cache[key] === void 0 ? cache[key] = fn() : cache[key];
    }
  };
}
const usePanelChildProps = {
  name: { required: true },
  disable: Boolean
};
const PanelWrapper = {
  setup(_, { slots }) {
    return () => h("div", {
      class: "q-panel scroll",
      role: "tabpanel"
    }, hSlot(slots.default));
  }
};
const usePanelProps = {
  modelValue: {
    required: true
  },
  animated: Boolean,
  infinite: Boolean,
  swipeable: Boolean,
  vertical: Boolean,
  transitionPrev: String,
  transitionNext: String,
  transitionDuration: {
    type: [String, Number],
    default: 300
  },
  keepAlive: Boolean,
  keepAliveInclude: [String, Array, RegExp],
  keepAliveExclude: [String, Array, RegExp],
  keepAliveMax: Number
};
const usePanelEmits = ["update:modelValue", "beforeTransition", "transition"];
function usePanel() {
  const { props, emit, proxy } = getCurrentInstance();
  const { getCacheWithFn } = useCache();
  let panels, forcedPanelTransition;
  const panelIndex = ref(null);
  const panelTransition = ref(null);
  function onSwipe(evt) {
    const dir = props.vertical === true ? "up" : "left";
    goToPanelByOffset((proxy.$q.lang.rtl === true ? -1 : 1) * (evt.direction === dir ? 1 : -1));
  }
  const panelDirectives = computed(() => {
    return [[
      TouchSwipe,
      onSwipe,
      void 0,
      {
        horizontal: props.vertical !== true,
        vertical: props.vertical,
        mouse: true
      }
    ]];
  });
  const transitionPrev = computed(
    () => props.transitionPrev || `slide-${props.vertical === true ? "down" : "right"}`
  );
  const transitionNext = computed(
    () => props.transitionNext || `slide-${props.vertical === true ? "up" : "left"}`
  );
  const transitionStyle = computed(
    () => `--q-transition-duration: ${props.transitionDuration}ms`
  );
  const contentKey = computed(() => typeof props.modelValue === "string" || typeof props.modelValue === "number" ? props.modelValue : String(props.modelValue));
  const keepAliveProps = computed(() => ({
    include: props.keepAliveInclude,
    exclude: props.keepAliveExclude,
    max: props.keepAliveMax
  }));
  const needsUniqueKeepAliveWrapper = computed(
    () => props.keepAliveInclude !== void 0 || props.keepAliveExclude !== void 0
  );
  watch(() => props.modelValue, (newVal, oldVal) => {
    const index = isValidPanelName(newVal) === true ? getPanelIndex(newVal) : -1;
    if (forcedPanelTransition !== true) {
      updatePanelTransition(
        index === -1 ? 0 : index < getPanelIndex(oldVal) ? -1 : 1
      );
    }
    if (panelIndex.value !== index) {
      panelIndex.value = index;
      emit("beforeTransition", newVal, oldVal);
      nextTick(() => {
        emit("transition", newVal, oldVal);
      });
    }
  });
  function nextPanel() {
    goToPanelByOffset(1);
  }
  function previousPanel() {
    goToPanelByOffset(-1);
  }
  function goToPanel(name) {
    emit("update:modelValue", name);
  }
  function isValidPanelName(name) {
    return name !== void 0 && name !== null && name !== "";
  }
  function getPanelIndex(name) {
    return panels.findIndex((panel) => {
      return panel.props.name === name && panel.props.disable !== "" && panel.props.disable !== true;
    });
  }
  function getEnabledPanels() {
    return panels.filter((panel) => {
      return panel.props.disable !== "" && panel.props.disable !== true;
    });
  }
  function updatePanelTransition(direction) {
    const val = direction !== 0 && props.animated === true && panelIndex.value !== -1 ? "q-transition--" + (direction === -1 ? transitionPrev.value : transitionNext.value) : null;
    if (panelTransition.value !== val) {
      panelTransition.value = val;
    }
  }
  function goToPanelByOffset(direction, startIndex = panelIndex.value) {
    let index = startIndex + direction;
    while (index > -1 && index < panels.length) {
      const opt = panels[index];
      if (opt !== void 0 && opt.props.disable !== "" && opt.props.disable !== true) {
        updatePanelTransition(direction);
        forcedPanelTransition = true;
        emit("update:modelValue", opt.props.name);
        setTimeout(() => {
          forcedPanelTransition = false;
        });
        return;
      }
      index += direction;
    }
    if (props.infinite === true && panels.length !== 0 && startIndex !== -1 && startIndex !== panels.length) {
      goToPanelByOffset(direction, direction === -1 ? panels.length : -1);
    }
  }
  function updatePanelIndex() {
    const index = getPanelIndex(props.modelValue);
    if (panelIndex.value !== index) {
      panelIndex.value = index;
    }
    return true;
  }
  function getPanelContentChild() {
    const panel = isValidPanelName(props.modelValue) === true && updatePanelIndex() && panels[panelIndex.value];
    return props.keepAlive === true ? [
      h(KeepAlive, keepAliveProps.value, [
        h(
          needsUniqueKeepAliveWrapper.value === true ? getCacheWithFn(contentKey.value, () => ({ ...PanelWrapper, name: contentKey.value })) : PanelWrapper,
          { key: contentKey.value, style: transitionStyle.value },
          () => panel
        )
      ])
    ] : [
      h("div", {
        class: "q-panel scroll",
        style: transitionStyle.value,
        key: contentKey.value,
        role: "tabpanel"
      }, [panel])
    ];
  }
  function getPanelContent() {
    if (panels.length === 0) {
      return;
    }
    return props.animated === true ? [h(Transition, { name: panelTransition.value }, getPanelContentChild)] : getPanelContentChild();
  }
  function updatePanelsList(slots) {
    panels = getNormalizedVNodes(
      hSlot(slots.default, [])
    ).filter(
      (panel) => panel.props !== null && panel.props.slot === void 0 && isValidPanelName(panel.props.name) === true
    );
    return panels.length;
  }
  function getPanels() {
    return panels;
  }
  Object.assign(proxy, {
    next: nextPanel,
    previous: previousPanel,
    goTo: goToPanel
  });
  return {
    panelIndex,
    panelDirectives,
    updatePanelsList,
    updatePanelIndex,
    getPanelContent,
    getEnabledPanels,
    getPanels,
    isValidPanelName,
    keepAliveProps,
    needsUniqueKeepAliveWrapper,
    goToPanelByOffset,
    goToPanel,
    nextPanel,
    previousPanel
  };
}
var QTabPanel = createComponent({
  name: "QTabPanel",
  props: usePanelChildProps,
  setup(_, { slots }) {
    return () => h("div", { class: "q-tab-panel", role: "tabpanel" }, hSlot(slots.default));
  }
});
var QTabPanels = createComponent({
  name: "QTabPanels",
  props: {
    ...usePanelProps,
    ...useDarkProps
  },
  emits: usePanelEmits,
  setup(props, { slots }) {
    const vm = getCurrentInstance();
    const isDark = useDark(props, vm.proxy.$q);
    const { updatePanelsList, getPanelContent, panelDirectives } = usePanel();
    const classes = computed(
      () => "q-tab-panels q-panel-parent" + (isDark.value === true ? " q-tab-panels--dark q-dark" : "")
    );
    return () => {
      updatePanelsList(slots);
      return hDir(
        "div",
        { class: classes.value },
        getPanelContent(),
        "pan",
        props.swipeable,
        () => panelDirectives.value
      );
    };
  }
});
const _hoisted_1$3 = /* @__PURE__ */ createBaseVNode("div", { class: "text-h5 q-ml-xl" }, "\u8D26\u53F7\u4FE1\u606F", -1);
const _sfc_main$3 = {
  __name: "AccountInfo",
  setup(__props) {
    const userStore2 = useUserStore();
    const end_date = computed(() => {
      let date = new Date();
      if (userStore2.Membership.EndDate) {
        date = userStore2.Membership.EndDate.split("T")[0];
        return date;
      }
      return "\u672A\u77E5";
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock(QCard, { class: "q-pa-xl" }, {
        default: withCtx(() => [
          createVNode(QCardSection, { class: "justify-center row" }, {
            default: withCtx(() => [
              _hoisted_1$3,
              createVNode(QBtn, {
                onClick: _cache[0] || (_cache[0] = ($event) => unref(userStore2).getUserInfo()),
                flat: "",
                "text-color": "primary",
                icon: "sync"
              })
            ]),
            _: 1
          }),
          createVNode(QCardSection, null, {
            default: withCtx(() => [
              createVNode(QList, null, {
                default: withCtx(() => [
                  createVNode(QItem, null, {
                    default: withCtx(() => [
                      createVNode(QItemSection, { avatar: "" }, {
                        default: withCtx(() => [
                          createVNode(QIcon, {
                            class: "text-primary",
                            name: "person"
                          })
                        ]),
                        _: 1
                      }),
                      createVNode(QItemSection, null, {
                        default: withCtx(() => [
                          createTextVNode(toDisplayString(unref(userStore2).Username), 1)
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }),
                  createVNode(QItem, null, {
                    default: withCtx(() => [
                      createVNode(QItemSection, { avatar: "" }, {
                        default: withCtx(() => [
                          createVNode(QIcon, {
                            class: "text-primary",
                            name: "workspace_premium"
                          })
                        ]),
                        _: 1
                      }),
                      createVNode(QItemSection, null, {
                        default: withCtx(() => [
                          createTextVNode("\u4F1A\u5458\u7B49\u7EA7\uFF1A" + toDisplayString(unref(userStore2).Membership.Level), 1)
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }),
                  unref(userStore2).Membership.Level !== "free" ? (openBlock(), createBlock(QItem, { key: 0 }, {
                    default: withCtx(() => [
                      createVNode(QItemSection, { avatar: "" }, {
                        default: withCtx(() => [
                          createVNode(QIcon, {
                            class: "text-primary",
                            name: "schedule"
                          })
                        ]),
                        _: 1
                      }),
                      createVNode(QItemSection, null, {
                        default: withCtx(() => [
                          createTextVNode("\u6709\u6548\u671F\u81F3\uFF1A" + toDisplayString(end_date.value), 1)
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  })) : createCommentVNode("", true),
                  createVNode(QItem, null, {
                    default: withCtx(() => [
                      createVNode(QItemSection, { avatar: "" }, {
                        default: withCtx(() => [
                          createVNode(QIcon, {
                            class: "text-primary",
                            name: "savings"
                          })
                        ]),
                        _: 1
                      }),
                      createVNode(QItemSection, null, {
                        default: withCtx(() => [
                          createTextVNode("mogU\u5E01\uFF1A" + toDisplayString(unref(userStore2).Property.Coin) + "\u679A", 1)
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              })
            ]),
            _: 1
          })
        ]),
        _: 1
      });
    };
  }
};
const _hoisted_1$2 = { class: "q-pa-md row justify-center q-gutter-md" };
const _hoisted_2$2 = /* @__PURE__ */ createBaseVNode("div", { class: "text-subtitle1 text-grey" }, "\u666E\u901A\u4F1A\u5458", -1);
const _hoisted_3$2 = /* @__PURE__ */ createBaseVNode("div", { class: "text-h5 text-bold" }, "\u514D\u8D39", -1);
const _hoisted_4$2 = /* @__PURE__ */ createBaseVNode("div", { class: "text-subtitle1 text-grey" }, "\u9AD8\u7EA7\u4F1A\u5458", -1);
const _hoisted_5$2 = /* @__PURE__ */ createBaseVNode("div", { class: "text-h5 text-bold" }, "12\u5143/\u5468", -1);
const _hoisted_6$2 = /* @__PURE__ */ createBaseVNode("div", { class: "text-subtitle1 text-grey" }, "\u9AD8\u7EA7\u4F1A\u5458", -1);
const _hoisted_7$1 = /* @__PURE__ */ createBaseVNode("div", { class: "text-h5 text-bold" }, "45\u5143/\u6708", -1);
const _hoisted_8 = /* @__PURE__ */ createBaseVNode("div", { class: "q-ma-lg text-secondary" }, [
  /* @__PURE__ */ createTextVNode(" mogU\u5E01\u662F\u4E00\u79CD\u6D88\u8017\u6027\u4EE3\u5E01\u3002"),
  /* @__PURE__ */ createBaseVNode("br"),
  /* @__PURE__ */ createBaseVNode("br"),
  /* @__PURE__ */ createTextVNode(" \u6BCF\u6B21\u4E0EAI\u8FDB\u884C\u5BF9\u8BDD\u65F6\uFF0C\u90FD\u4F1A\u6839\u636E\u6240\u7528\u6A21\u578B\u548C\u529F\u80FD\u6D88\u8017\u4E00\u5B9A\u6570\u91CF\u7684mogU\u5E01\uFF0CmogU\u5E01\u53EF\u4EE5\u901A\u8FC7\u5145\u503C\u83B7\u5F97\u3002"),
  /* @__PURE__ */ createBaseVNode("br"),
  /* @__PURE__ */ createBaseVNode("br"),
  /* @__PURE__ */ createTextVNode(" \u6BCF\u5BF9\u8BDD1000\u5B57\uFF08\u9884\u4F30\uFF09\uFF0C\u4EC5\u6D88\u80171 mogU\u5E01\u3002\u5373\u4F7F\u662F\u514D\u8D39\u7528\u6237\uFF0C\u4E5F\u53EF\u4EE5\u901A\u8FC7\u5145\u503C\u83B7\u5F97mogU\u5E01\u3002"),
  /* @__PURE__ */ createBaseVNode("br"),
  /* @__PURE__ */ createBaseVNode("br"),
  /* @__PURE__ */ createTextVNode(" \u6700\u4F4E\u5145\u503C\u91D1\u989D\u4E3A\uFFE58.00\uFF0C\u5373500 mogU\u5E01\uFF0C\u53EF\u5BF9\u8BDD500000\u5B57\uFF08\u9884\u4F30\uFF09\uFF0C\u63A5\u8FD1\u4E00\u672C\u300A\u4E09\u56FD\u6F14\u4E49\u300B\u7684\u5B57\u6570\u3002\u6CE8\u610F\uFF1A\u4E0D\u540C\u7684\u5BF9\u8BDD\u6A21\u578B\u6D88\u8017\u7684mogU\u5E01\u4E0D\u540C\uFF0C\u8054\u7F51\u3001\u4E0A\u4F20\u6587\u4EF6\u7B49\u529F\u80FD\u4E5F\u4F1A\u6D88\u8017\u4E00\u5B9AmogU\u5E01\u3002\u5177\u4F53\u6D88\u8017\u8BF7\u4EE5\u5B9E\u9645\u4E3A\u51C6\u3002 ")
], -1);
const _hoisted_9 = { class: "row justify-around" };
const _hoisted_10 = { class: "row items-center no-wrap" };
const _hoisted_11 = /* @__PURE__ */ createBaseVNode("div", { class: "text-center" }, [
  /* @__PURE__ */ createTextVNode(" 500 mogU "),
  /* @__PURE__ */ createBaseVNode("br"),
  /* @__PURE__ */ createTextVNode(" \uFFE59.00 ")
], -1);
const _hoisted_12 = { class: "row items-center no-wrap" };
const _hoisted_13 = /* @__PURE__ */ createBaseVNode("div", { class: "text-center" }, [
  /* @__PURE__ */ createTextVNode(" 1000 mogU "),
  /* @__PURE__ */ createBaseVNode("br"),
  /* @__PURE__ */ createTextVNode(" \uFFE516.00 ")
], -1);
const _hoisted_14 = { class: "row items-center no-wrap" };
const _hoisted_15 = /* @__PURE__ */ createBaseVNode("div", { class: "text-center" }, [
  /* @__PURE__ */ createTextVNode(" 2000 mogU "),
  /* @__PURE__ */ createBaseVNode("br"),
  /* @__PURE__ */ createTextVNode(" \uFFE530.00 ")
], -1);
const _hoisted_16 = { class: "row items-center no-wrap" };
const _hoisted_17 = /* @__PURE__ */ createBaseVNode("div", { class: "text-center" }, [
  /* @__PURE__ */ createTextVNode(" 10000 mogU "),
  /* @__PURE__ */ createBaseVNode("br"),
  /* @__PURE__ */ createTextVNode(" \uFFE5138.00 ")
], -1);
const _hoisted_18 = { class: "row q-pa-lg" };
const _hoisted_19 = { class: "row justify-center" };
const base_url = "https://www.mogu.today:9989";
const _sfc_main$2 = {
  __name: "RechargeCom",
  setup(__props) {
    const status = ref("unpaid");
    const tab = ref("membership");
    const selected = ref("item_500");
    function selectItem(item_name) {
      selected.value = item_name;
    }
    function itemColor(item_name) {
      if (selected.value === item_name) {
        return "primary";
      }
      return "white";
    }
    const userStore2 = useUserStore();
    const user_id = userStore2.UserId;
    const membership = userStore2.Membership;
    const payment = ref("alipay");
    const $q = useQuasar();
    function rechargeAlert() {
      $q.dialog({
        title: "\u5145\u503C\u5B8C\u6210?",
        message: "\u5145\u503C\u5B8C\u6210\u540E\uFF0C\u8BF7\u70B9\u51FB\u786E\u8BA4\u6309\u94AE",
        persistent: true,
        ok: "\u786E\u8BA4",
        cancel: "\u53D6\u6D88"
      }).onOk(async () => {
        await userStore2.getUserInfo();
        status.value = "paid";
      }).onCancel(async () => {
        await userStore2.getUserInfo();
        status.value = "paid";
      }).onDismiss(async () => {
        await userStore2.getUserInfo();
        status.value = "paid";
      });
    }
    async function alipay(item) {
      let item_name = "";
      item === "" ? item_name = selected.value : item_name = item;
      const membership_type = membership.level;
      let pay_type;
      {
        pay_type = "page";
      }
      const url = base_url + "/alipay/pay?user_id=" + user_id + "&membership_type=" + membership_type + "&item_name=" + item_name + "&pay_type=" + pay_type;
      rechargeAlert();
      window.open(url, "_blank");
    }
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock(Fragment, null, [
        status.value === "paid" ? (openBlock(), createBlock(_sfc_main$3, { key: 0 })) : createCommentVNode("", true),
        status.value === "unpaid" ? (openBlock(), createBlock(QCard, { key: 1 }, {
          default: withCtx(() => [
            createVNode(QTabs, {
              modelValue: tab.value,
              "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => tab.value = $event),
              "active-color": "primary",
              align: "justify",
              class: "text-grey",
              dense: "",
              "indicator-color": "primary",
              "narrow-indicator": ""
            }, {
              default: withCtx(() => [
                createVNode(QTab, {
                  label: "\u4F1A\u5458",
                  name: "membership"
                }),
                createVNode(QTab, {
                  label: "\u5145\u5E01",
                  name: "recharge"
                })
              ]),
              _: 1
            }, 8, ["modelValue"]),
            createVNode(QTabPanels, {
              modelValue: tab.value,
              "onUpdate:modelValue": _cache[10] || (_cache[10] = ($event) => tab.value = $event),
              animated: ""
            }, {
              default: withCtx(() => [
                createVNode(QTabPanel, { name: "membership" }, {
                  default: withCtx(() => [
                    createBaseVNode("div", _hoisted_1$2, [
                      createVNode(QCard, {
                        bordered: "",
                        flat: "",
                        style: { "width": "320px" }
                      }, {
                        default: withCtx(() => [
                          createVNode(QCardSection, { class: "column items-center" }, {
                            default: withCtx(() => [
                              _hoisted_2$2,
                              _hoisted_3$2
                            ]),
                            _: 1
                          }),
                          createVNode(QCardSection, null, {
                            default: withCtx(() => [
                              createVNode(QList, null, {
                                default: withCtx(() => [
                                  createVNode(QItem, null, {
                                    default: withCtx(() => [
                                      createVNode(QItemSection, { avatar: "" }, {
                                        default: withCtx(() => [
                                          createVNode(QIcon, {
                                            class: "text-primary",
                                            name: "task_alt"
                                          })
                                        ]),
                                        _: 1
                                      }),
                                      createVNode(QItemSection, null, {
                                        default: withCtx(() => [
                                          createTextVNode("\u5E7F\u544A")
                                        ]),
                                        _: 1
                                      })
                                    ]),
                                    _: 1
                                  }),
                                  createVNode(QItem, null, {
                                    default: withCtx(() => [
                                      createVNode(QItemSection, { avatar: "" }, {
                                        default: withCtx(() => [
                                          createVNode(QIcon, {
                                            class: "text-primary",
                                            name: "task_alt"
                                          })
                                        ]),
                                        _: 1
                                      }),
                                      createVNode(QItemSection, null, {
                                        default: withCtx(() => [
                                          createTextVNode("\u9AD8\u901F\u5F15\u64CE\uFF1A12\u6B21/\u5929")
                                        ]),
                                        _: 1
                                      })
                                    ]),
                                    _: 1
                                  }),
                                  createVNode(QItem, null, {
                                    default: withCtx(() => [
                                      createVNode(QItemSection, { avatar: "" }, {
                                        default: withCtx(() => [
                                          createVNode(QIcon, {
                                            class: "text-primary",
                                            name: "task_alt"
                                          })
                                        ]),
                                        _: 1
                                      }),
                                      createVNode(QItemSection, null, {
                                        default: withCtx(() => [
                                          createTextVNode("\u667A\u80FD\u5F15\u64CE\uFF1A0\u6B21/\u5929")
                                        ]),
                                        _: 1
                                      })
                                    ]),
                                    _: 1
                                  }),
                                  createVNode(QItem, null, {
                                    default: withCtx(() => [
                                      createVNode(QItemSection, { avatar: "" }, {
                                        default: withCtx(() => [
                                          createVNode(QIcon, {
                                            class: "text-primary",
                                            name: "task_alt"
                                          })
                                        ]),
                                        _: 1
                                      }),
                                      createVNode(QItemSection, null, {
                                        default: withCtx(() => [
                                          createTextVNode("mogU\u5E01\uFF1A10\u679A")
                                        ]),
                                        _: 1
                                      })
                                    ]),
                                    _: 1
                                  }),
                                  createVNode(QItem, null, {
                                    default: withCtx(() => [
                                      createVNode(QItemSection, { avatar: "" }, {
                                        default: withCtx(() => [
                                          createVNode(QIcon, {
                                            class: "text-primary",
                                            name: "task_alt"
                                          })
                                        ]),
                                        _: 1
                                      }),
                                      createVNode(QItemSection, null, {
                                        default: withCtx(() => [
                                          createTextVNode("\u5E7F\u544A\u83B7\u5F97mogU\u5E01")
                                        ]),
                                        _: 1
                                      })
                                    ]),
                                    _: 1
                                  })
                                ]),
                                _: 1
                              })
                            ]),
                            _: 1
                          }),
                          createVNode(QSeparator, { dark: "" }),
                          createVNode(QCardActions, { class: "justify-center" }, {
                            default: withCtx(() => [
                              createVNode(QBtn, {
                                color: "primary",
                                outline: "",
                                style: { "width": "90%" },
                                onClick: _cache[1] || (_cache[1] = ($event) => tab.value = "recharge")
                              }, {
                                default: withCtx(() => [
                                  createTextVNode("\u53BB\u5145\u5E01")
                                ]),
                                _: 1
                              })
                            ]),
                            _: 1
                          })
                        ]),
                        _: 1
                      }),
                      createVNode(QCard, {
                        bordered: "",
                        flat: "",
                        style: { "width": "320px" }
                      }, {
                        default: withCtx(() => [
                          createVNode(QCardSection, { class: "column items-center" }, {
                            default: withCtx(() => [
                              _hoisted_4$2,
                              _hoisted_5$2
                            ]),
                            _: 1
                          }),
                          createVNode(QCardSection, null, {
                            default: withCtx(() => [
                              createVNode(QList, null, {
                                default: withCtx(() => [
                                  createVNode(QItem, null, {
                                    default: withCtx(() => [
                                      createVNode(QItemSection, { avatar: "" }, {
                                        default: withCtx(() => [
                                          createVNode(QIcon, {
                                            class: "text-primary",
                                            name: "task_alt"
                                          })
                                        ]),
                                        _: 1
                                      }),
                                      createVNode(QItemSection, null, {
                                        default: withCtx(() => [
                                          createTextVNode("\u53EF\u53BB\u5E7F\u544A")
                                        ]),
                                        _: 1
                                      })
                                    ]),
                                    _: 1
                                  }),
                                  createVNode(QItem, null, {
                                    default: withCtx(() => [
                                      createVNode(QItemSection, { avatar: "" }, {
                                        default: withCtx(() => [
                                          createVNode(QIcon, {
                                            class: "text-primary",
                                            name: "task_alt"
                                          })
                                        ]),
                                        _: 1
                                      }),
                                      createVNode(QItemSection, null, {
                                        default: withCtx(() => [
                                          createTextVNode("\u9AD8\u901F\u5F15\u64CE\uFF1A200\u6B21/\u5929")
                                        ]),
                                        _: 1
                                      })
                                    ]),
                                    _: 1
                                  }),
                                  createVNode(QItem, null, {
                                    default: withCtx(() => [
                                      createVNode(QItemSection, { avatar: "" }, {
                                        default: withCtx(() => [
                                          createVNode(QIcon, {
                                            class: "text-primary",
                                            name: "task_alt"
                                          })
                                        ]),
                                        _: 1
                                      }),
                                      createVNode(QItemSection, null, {
                                        default: withCtx(() => [
                                          createTextVNode("\u667A\u80FD\u5F15\u64CE\uFF1A8\u6B21/\u5929")
                                        ]),
                                        _: 1
                                      })
                                    ]),
                                    _: 1
                                  }),
                                  createVNode(QItem, null, {
                                    default: withCtx(() => [
                                      createVNode(QItemSection, { avatar: "" }, {
                                        default: withCtx(() => [
                                          createVNode(QIcon, {
                                            class: "text-primary",
                                            name: "task_alt"
                                          })
                                        ]),
                                        _: 1
                                      }),
                                      createVNode(QItemSection, null, {
                                        default: withCtx(() => [
                                          createTextVNode("mogU\u5E01\uFF1A100\u679A")
                                        ]),
                                        _: 1
                                      })
                                    ]),
                                    _: 1
                                  }),
                                  createVNode(QItem, null, {
                                    default: withCtx(() => [
                                      createVNode(QItemSection, { avatar: "" }, {
                                        default: withCtx(() => [
                                          createVNode(QIcon, {
                                            class: "text-primary",
                                            name: "task_alt"
                                          })
                                        ]),
                                        _: 1
                                      }),
                                      createVNode(QItemSection, null, {
                                        default: withCtx(() => [
                                          createTextVNode("\u5E7F\u544A\u83B7\u5F97mogU\u5E01")
                                        ]),
                                        _: 1
                                      })
                                    ]),
                                    _: 1
                                  }),
                                  createVNode(QItem, null, {
                                    default: withCtx(() => [
                                      createVNode(QItemSection, { avatar: "" }, {
                                        default: withCtx(() => [
                                          createVNode(QIcon, {
                                            class: "text-primary",
                                            name: "task_alt"
                                          })
                                        ]),
                                        _: 1
                                      }),
                                      createVNode(QItemSection, null, {
                                        default: withCtx(() => [
                                          createTextVNode("\u8054\u7F51\u80FD\u529B")
                                        ]),
                                        _: 1
                                      })
                                    ]),
                                    _: 1
                                  }),
                                  createVNode(QItem, null, {
                                    default: withCtx(() => [
                                      createVNode(QItemSection, { avatar: "" }, {
                                        default: withCtx(() => [
                                          createVNode(QIcon, {
                                            class: "text-secondary",
                                            name: "schedule"
                                          })
                                        ]),
                                        _: 1
                                      }),
                                      createVNode(QItemSection, null, {
                                        default: withCtx(() => [
                                          createTextVNode("\u81EA\u6709\u77E5\u8BC6\u5E93")
                                        ]),
                                        _: 1
                                      })
                                    ]),
                                    _: 1
                                  }),
                                  createVNode(QItem, null, {
                                    default: withCtx(() => [
                                      createVNode(QItemSection, { avatar: "" }, {
                                        default: withCtx(() => [
                                          createVNode(QIcon, {
                                            class: "text-secondary",
                                            name: "schedule"
                                          })
                                        ]),
                                        _: 1
                                      }),
                                      createVNode(QItemSection, null, {
                                        default: withCtx(() => [
                                          createTextVNode("\u6301\u7EED\u66F4\u65B0\u529F\u80FD")
                                        ]),
                                        _: 1
                                      })
                                    ]),
                                    _: 1
                                  })
                                ]),
                                _: 1
                              })
                            ]),
                            _: 1
                          }),
                          createVNode(QSeparator, { dark: "" }),
                          createVNode(QCardActions, { class: "justify-center" }, {
                            default: withCtx(() => [
                              createVNode(QBtn, {
                                onClick: _cache[2] || (_cache[2] = ($event) => alipay("item_pro_week")),
                                color: "primary",
                                outline: "",
                                style: { "width": "90%" }
                              }, {
                                default: withCtx(() => [
                                  createTextVNode("\u5F00\u901A")
                                ]),
                                _: 1
                              })
                            ]),
                            _: 1
                          })
                        ]),
                        _: 1
                      }),
                      createVNode(QCard, {
                        bordered: "",
                        flat: "",
                        style: { "width": "320px" }
                      }, {
                        default: withCtx(() => [
                          createVNode(QCardSection, { class: "column items-center" }, {
                            default: withCtx(() => [
                              _hoisted_6$2,
                              _hoisted_7$1
                            ]),
                            _: 1
                          }),
                          createVNode(QCardSection, null, {
                            default: withCtx(() => [
                              createVNode(QList, null, {
                                default: withCtx(() => [
                                  createVNode(QItem, null, {
                                    default: withCtx(() => [
                                      createVNode(QItemSection, { avatar: "" }, {
                                        default: withCtx(() => [
                                          createVNode(QIcon, {
                                            class: "text-primary",
                                            name: "task_alt"
                                          })
                                        ]),
                                        _: 1
                                      }),
                                      createVNode(QItemSection, null, {
                                        default: withCtx(() => [
                                          createTextVNode("\u53EF\u53BB\u5E7F\u544A")
                                        ]),
                                        _: 1
                                      })
                                    ]),
                                    _: 1
                                  }),
                                  createVNode(QItem, null, {
                                    default: withCtx(() => [
                                      createVNode(QItemSection, { avatar: "" }, {
                                        default: withCtx(() => [
                                          createVNode(QIcon, {
                                            class: "text-primary",
                                            name: "task_alt"
                                          })
                                        ]),
                                        _: 1
                                      }),
                                      createVNode(QItemSection, null, {
                                        default: withCtx(() => [
                                          createTextVNode("\u9AD8\u901F\u5F15\u64CE\uFF1A200\u6B21/\u5929")
                                        ]),
                                        _: 1
                                      })
                                    ]),
                                    _: 1
                                  }),
                                  createVNode(QItem, null, {
                                    default: withCtx(() => [
                                      createVNode(QItemSection, { avatar: "" }, {
                                        default: withCtx(() => [
                                          createVNode(QIcon, {
                                            class: "text-primary",
                                            name: "task_alt"
                                          })
                                        ]),
                                        _: 1
                                      }),
                                      createVNode(QItemSection, null, {
                                        default: withCtx(() => [
                                          createTextVNode("\u667A\u80FD\u5F15\u64CE\uFF1A8\u6B21/\u5929")
                                        ]),
                                        _: 1
                                      })
                                    ]),
                                    _: 1
                                  }),
                                  createVNode(QItem, null, {
                                    default: withCtx(() => [
                                      createVNode(QItemSection, { avatar: "" }, {
                                        default: withCtx(() => [
                                          createVNode(QIcon, {
                                            class: "text-primary",
                                            name: "task_alt"
                                          })
                                        ]),
                                        _: 1
                                      }),
                                      createVNode(QItemSection, null, {
                                        default: withCtx(() => [
                                          createTextVNode("mogU\u5E01\uFF1A400\u679A")
                                        ]),
                                        _: 1
                                      })
                                    ]),
                                    _: 1
                                  }),
                                  createVNode(QItem, null, {
                                    default: withCtx(() => [
                                      createVNode(QItemSection, { avatar: "" }, {
                                        default: withCtx(() => [
                                          createVNode(QIcon, {
                                            class: "text-primary",
                                            name: "task_alt"
                                          })
                                        ]),
                                        _: 1
                                      }),
                                      createVNode(QItemSection, null, {
                                        default: withCtx(() => [
                                          createTextVNode("\u5E7F\u544A\u83B7\u5F97mogU\u5E01")
                                        ]),
                                        _: 1
                                      })
                                    ]),
                                    _: 1
                                  }),
                                  createVNode(QItem, null, {
                                    default: withCtx(() => [
                                      createVNode(QItemSection, { avatar: "" }, {
                                        default: withCtx(() => [
                                          createVNode(QIcon, {
                                            class: "text-primary",
                                            name: "task_alt"
                                          })
                                        ]),
                                        _: 1
                                      }),
                                      createVNode(QItemSection, null, {
                                        default: withCtx(() => [
                                          createTextVNode("\u8054\u7F51\u80FD\u529B")
                                        ]),
                                        _: 1
                                      })
                                    ]),
                                    _: 1
                                  }),
                                  createVNode(QItem, null, {
                                    default: withCtx(() => [
                                      createVNode(QItemSection, { avatar: "" }, {
                                        default: withCtx(() => [
                                          createVNode(QIcon, {
                                            class: "text-secondary",
                                            name: "schedule"
                                          })
                                        ]),
                                        _: 1
                                      }),
                                      createVNode(QItemSection, null, {
                                        default: withCtx(() => [
                                          createTextVNode("\u81EA\u6709\u77E5\u8BC6\u5E93")
                                        ]),
                                        _: 1
                                      })
                                    ]),
                                    _: 1
                                  }),
                                  createVNode(QItem, null, {
                                    default: withCtx(() => [
                                      createVNode(QItemSection, { avatar: "" }, {
                                        default: withCtx(() => [
                                          createVNode(QIcon, {
                                            class: "text-secondary",
                                            name: "schedule"
                                          })
                                        ]),
                                        _: 1
                                      }),
                                      createVNode(QItemSection, null, {
                                        default: withCtx(() => [
                                          createTextVNode("\u6301\u7EED\u66F4\u65B0\u529F\u80FD")
                                        ]),
                                        _: 1
                                      })
                                    ]),
                                    _: 1
                                  })
                                ]),
                                _: 1
                              })
                            ]),
                            _: 1
                          }),
                          createVNode(QSeparator, { dark: "" }),
                          createVNode(QCardActions, { class: "justify-center" }, {
                            default: withCtx(() => [
                              createVNode(QBtn, {
                                onClick: _cache[3] || (_cache[3] = ($event) => alipay("item_pro_month")),
                                color: "primary",
                                outline: "",
                                style: { "width": "90%" }
                              }, {
                                default: withCtx(() => [
                                  createTextVNode("\u5F00\u901A")
                                ]),
                                _: 1
                              })
                            ]),
                            _: 1
                          })
                        ]),
                        _: 1
                      })
                    ])
                  ]),
                  _: 1
                }),
                createVNode(QTabPanel, { name: "recharge" }, {
                  default: withCtx(() => [
                    _hoisted_8,
                    createBaseVNode("div", _hoisted_9, [
                      createBaseVNode("div", null, [
                        createVNode(QBtn, {
                          id: "item_500",
                          color: itemColor("item_500"),
                          "text-color": itemColor("item_500") === "primary" ? "white" : "primary",
                          class: "q-ma-md q-pa-md",
                          onClick: _cache[4] || (_cache[4] = ($event) => selectItem("item_500")),
                          style: { "width": "200px" }
                        }, {
                          default: withCtx(() => [
                            createBaseVNode("div", _hoisted_10, [
                              createVNode(QIcon, {
                                left: "",
                                name: "paid"
                              }),
                              _hoisted_11
                            ])
                          ]),
                          _: 1
                        }, 8, ["color", "text-color"])
                      ]),
                      createBaseVNode("div", null, [
                        createVNode(QBtn, {
                          id: "item_1000",
                          color: itemColor("item_1000"),
                          "text-color": itemColor("item_1000") === "primary" ? "white" : "primary",
                          class: "q-ma-md q-pa-md",
                          onClick: _cache[5] || (_cache[5] = ($event) => selectItem("item_1000")),
                          style: { "width": "200px" }
                        }, {
                          default: withCtx(() => [
                            createBaseVNode("div", _hoisted_12, [
                              createVNode(QIcon, {
                                left: "",
                                name: "paid"
                              }),
                              _hoisted_13
                            ])
                          ]),
                          _: 1
                        }, 8, ["color", "text-color"])
                      ]),
                      createBaseVNode("div", null, [
                        createVNode(QBtn, {
                          id: "item_2000",
                          color: itemColor("item_2000"),
                          "text-color": itemColor("item_2000") === "primary" ? "white" : "primary",
                          class: "q-ma-md q-pa-md",
                          onClick: _cache[6] || (_cache[6] = ($event) => selectItem("item_2000")),
                          style: { "width": "200px" }
                        }, {
                          default: withCtx(() => [
                            createBaseVNode("div", _hoisted_14, [
                              createVNode(QIcon, {
                                left: "",
                                name: "paid"
                              }),
                              _hoisted_15
                            ])
                          ]),
                          _: 1
                        }, 8, ["color", "text-color"])
                      ]),
                      createBaseVNode("div", null, [
                        createVNode(QBtn, {
                          id: "item_10000",
                          color: itemColor("item_10000"),
                          "text-color": itemColor("item_10000") === "primary" ? "white" : "primary",
                          class: "q-ma-md q-pa-md",
                          onClick: _cache[7] || (_cache[7] = ($event) => selectItem("item_10000")),
                          style: { "width": "200px" }
                        }, {
                          default: withCtx(() => [
                            createBaseVNode("div", _hoisted_16, [
                              createVNode(QIcon, {
                                left: "",
                                name: "paid"
                              }),
                              _hoisted_17
                            ])
                          ]),
                          _: 1
                        }, 8, ["color", "text-color"])
                      ])
                    ]),
                    createBaseVNode("div", _hoisted_18, [
                      withDirectives((openBlock(), createBlock(QItem, { tag: "label" }, {
                        default: withCtx(() => [
                          createVNode(QItemSection, { avatar: "" }, {
                            default: withCtx(() => [
                              createVNode(QRadio, {
                                modelValue: payment.value,
                                "onUpdate:modelValue": _cache[8] || (_cache[8] = ($event) => payment.value = $event),
                                val: "alipay"
                              }, null, 8, ["modelValue"])
                            ]),
                            _: 1
                          }),
                          createVNode(QItemSection, null, {
                            default: withCtx(() => [
                              createVNode(QImg, {
                                height: "58px",
                                src: "/58_168_alipay.png",
                                width: "168px"
                              })
                            ]),
                            _: 1
                          })
                        ]),
                        _: 1
                      })), [
                        [Ripple]
                      ])
                    ]),
                    createBaseVNode("div", _hoisted_19, [
                      createVNode(QBtn, {
                        color: "primary",
                        style: { "width": "90%" },
                        onClick: _cache[9] || (_cache[9] = ($event) => alipay(selected.value))
                      }, {
                        default: withCtx(() => [
                          createTextVNode("\u652F\u4ED8")
                        ]),
                        _: 1
                      })
                    ])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }, 8, ["modelValue"])
          ]),
          _: 1
        })) : createCommentVNode("", true)
      ], 64);
    };
  }
};
const envStore$1 = useEnvStore();
async function getNotify() {
  const envStore2 = useEnvStore();
  useChatStore();
  const apiURL = envStore2.base_url + "api/get_notify";
  const headers = await getHeaders$1();
  try {
    let response = await fetch(apiURL, {
      method: "GET",
      headers
    });
    response = await response.json();
    return response["notifies"];
  } catch (error) {
    console.error(error);
  }
}
async function getNewVersion() {
  const apiURL = envStore$1.base_url + "get_version";
  try {
    let response = await fetch(apiURL, {
      method: "GET"
    });
    response = await response.json();
    return response["version"];
  } catch (error) {
    console.error(error);
  }
}
const getHeaders$1 = async () => {
  const token = await getToken$1();
  return {
    "Content-Type": "application/json",
    "Authorization": token
  };
};
const getToken$1 = async () => {
  const { value } = await Preferences.get({ key: "token" });
  return value;
};
const getToken = async () => {
  const { value } = await Preferences.get({ key: "token" });
  return value;
};
const getHeaders = async () => {
  const token = await getToken();
  return {
    "Content-Type": "application/json",
    "Authorization": token
  };
};
const envStore = useEnvStore();
const userStore = useUserStore();
const chatStore = useChatStore();
async function imageGenApi(prompt2, n, size) {
  const url = envStore.base_url + "api/image_gen";
  const headers = await getHeaders();
  const data = {
    "serve_data": {
      "user_id": userStore.UserId,
      "subject_id": chatStore.curr_subject.Id,
      "seller": "OpenAI"
    },
    "api_data": {
      "prompt": prompt2,
      "n": n,
      "size": size,
      "response_format": "b64_json",
      "user": userStore.UserId
    }
  };
  try {
    let response = await fetch(url, {
      method: "POST",
      headers,
      body: JSON.stringify(data)
    });
    response = await response.json();
    return response;
  } catch (error) {
    console.error(error);
  }
}
async function imageCoinUsageApi(n, size, model) {
  const url = envStore.base_url + "api/image_coin_usage";
  const headers = await getHeaders();
  try {
    let response = await fetch(url, {
      method: "POST",
      headers,
      body: JSON.stringify({ n, size, model })
    });
    if (!response.ok) {
      let data = await response.json();
      if (response.status === 401 && data.error === "Unauthorized") {
        await Preferences.set({ key: "token", value: "" });
        throw new Error("Unauthorized");
      } else {
        throw new Error(`HTTP error! status: ${response.status}`);
      }
    } else {
      response = await response.json();
      return response;
    }
  } catch (error) {
    console.error(error);
  }
}
const useImageGenStore = defineStore("imageGen", () => {
  const image_gen_list = ref([]);
  return { image_gen_list };
});
var Directory;
(function(Directory2) {
  Directory2["Documents"] = "DOCUMENTS";
  Directory2["Data"] = "DATA";
  Directory2["Library"] = "LIBRARY";
  Directory2["Cache"] = "CACHE";
  Directory2["External"] = "EXTERNAL";
  Directory2["ExternalStorage"] = "EXTERNAL_STORAGE";
})(Directory || (Directory = {}));
var Encoding;
(function(Encoding2) {
  Encoding2["UTF8"] = "utf8";
  Encoding2["ASCII"] = "ascii";
  Encoding2["UTF16"] = "utf16";
})(Encoding || (Encoding = {}));
registerPlugin("Filesystem", {
  web: () => __vitePreload(() => import("./web.7810e6e6.js"), true ? ["assets/web.7810e6e6.js","assets/use-quasar.c6076455.js","assets/use-quasar.dde2df5f.css","assets/index.6081da41.js","assets/index.ad018a60.css","assets/ChatPage.b1987762.js","assets/ChatPage.889dd114.css","assets/QFab.ec0703ba.js","assets/ClosePopup.a0e0c0f0.js"] : void 0).then((m) => new m.FilesystemWeb())
});
registerPlugin("Share", {
  web: () => __vitePreload(() => import("./web.c177f319.js"), true ? ["assets/web.c177f319.js","assets/use-quasar.c6076455.js","assets/use-quasar.dde2df5f.css","assets/index.6081da41.js","assets/index.ad018a60.css"] : void 0).then((m) => new m.ShareWeb())
});
var ImageGen_vue_vue_type_style_index_0_scoped_true_lang = "";
const _hoisted_1$1 = { class: "row justify-center" };
const _hoisted_2$1 = { class: "col-11" };
const _hoisted_3$1 = { class: "q-mb-lg" };
const _hoisted_4$1 = { class: "row justify-center q-gutter-lg" };
const _hoisted_5$1 = {
  class: "absolute-bottom q-px-md q-pb-md q-mt-lg shadow-up-6 no-wrap justify-center",
  style: { "background": "white", "border-top-left-radius": "25px", "border-top-right-radius": "25px" }
};
const _hoisted_6$1 = { class: "q-pa-md text-caption text-weight-light q-gutter-sm" };
const _hoisted_7 = { class: "q-ml-sm" };
const _sfc_main$1 = {
  __name: "ImageGen",
  setup(__props) {
    const router = useRouter();
    const $q = useQuasar();
    const userStore2 = useUserStore();
    const imageGenStore = useImageGenStore();
    $q.loading.setDefaults(
      {
        spinner: "QSpinnerGears",
        spinnerSize: 140,
        spinnerColor: "primary",
        messageColor: "primary",
        backgroundColor: "white",
        message: "AI\u6B63\u5728\u7ED8\u5236\u56FE\u7247\uFF0C\u8BF7\u7A0D\u540E..."
      }
    );
    const n_options = [
      {
        label: "1\u56FE",
        value: 1
      },
      {
        label: "2\u56FE",
        value: 2
      },
      {
        label: "3\u56FE",
        value: 3
      },
      {
        label: "4\u56FE",
        value: 4
      }
    ];
    const size_options = [
      {
        label: "\u5C0F\u5C3A\u5BF8",
        value: "256x256"
      },
      {
        label: "\u4E2D\u5C3A\u5BF8",
        value: "512x512"
      },
      {
        label: "\u5927\u5C3A\u5BF8",
        value: "1024x1024"
      }
    ];
    onMounted(async () => {
      const token = (await Preferences.get({ key: "token" })).value;
      if (!token) {
        console.log("\u672A\u767B\u5F55");
        await router.push({ name: "login" });
      }
    });
    ref(null);
    const api_limit_alert = ref(false);
    const api_limit_alert_msg = ref("");
    ref(true);
    const use_coin = ref(false);
    const input_status = ref(true);
    const isRotating = ref(false);
    const new_message = ref("");
    const n = ref(1);
    const size = ref("256x256");
    function b64toBlob(base64Data) {
      const byteCharacters = atob(base64Data);
      const arrayBuffer = new ArrayBuffer(byteCharacters.length);
      const view = new Uint8Array(arrayBuffer);
      for (let i = 0; i < byteCharacters.length; i++) {
        view[i] = byteCharacters.charCodeAt(i);
      }
      return new Blob([arrayBuffer], { type: "image/png" });
    }
    function saveBase64Image(base64Data) {
      const blob = b64toBlob(base64Data);
      const file_name = "mogU-AI" + new Date().getTime() + ".png";
      const file = new File([blob], file_name, { type: "image/png" });
      {
        const link = document.createElement("a");
        link.href = URL.createObjectURL(file);
        link.download = file.name;
        link.click();
      }
    }
    function shareBase64Image(base64Data) {
      const blob = b64toBlob(base64Data);
      const file_name = "mogU-AI" + new Date().getTime() + ".png";
      new File([blob], file_name, { type: "image/png" });
      {
        $q.notify({
          message: "\u5F53\u524D\u73AF\u5883\u4E0D\u652F\u6301\u5206\u4EAB",
          color: "negative",
          icon: "cloud_done"
        });
      }
    }
    async function sendMessage() {
      if (userStore2.Property.Coin < 1) {
        api_limit_alert_msg.value = "mogU\u5E01\u4E0D\u8DB3\uFF0C\u8BF7\u5145\u503C";
        api_limit_alert.value = true;
        return;
      }
      input_status.value = false;
      toggleRotation();
      $q.loading.show();
      await imageGenApi(new_message.value, n.value, size.value).then(
        (res2) => {
          new_message.value = "";
          $q.loading.hide();
          input_status.value = true;
          imageGenStore.image_gen_list = res2.data;
        }
      );
      const res = await imageCoinUsageApi(n.value, size.value, "dalle2");
      if (res["CoinUsage"] >= userStore2.Property.Coin) {
        userStore2.Property.Coin = 0;
        api_limit_alert.value = true;
      } else if (res["CoinUsage"] < userStore2.Property.Coin) {
        userStore2.Property.Coin -= res["CoinUsage"];
      }
      const new_user = {
        "UserId": userStore2.UserId,
        "Property": {
          "Coin": userStore2.Property.Coin
        }
      };
      await updateUserApi(new_user);
      await userStore2.getUserInfo();
      use_coin.value = false;
    }
    function toggleRotation() {
      isRotating.value = true;
      setTimeout(() => {
        isRotating.value = false;
      }, 1e3);
    }
    return (_ctx, _cache) => {
      return openBlock(), createBlock(QPage, {
        class: "q-px-sm q-py-lg",
        padding: ""
      }, {
        default: withCtx(() => [
          createBaseVNode("div", _hoisted_1$1, [
            createBaseVNode("div", _hoisted_2$1, [
              createBaseVNode("div", _hoisted_3$1, [
                createBaseVNode("div", _hoisted_4$1, [
                  (openBlock(true), createElementBlock(Fragment, null, renderList(unref(imageGenStore).image_gen_list, (img) => {
                    return openBlock(), createBlock(QImg, {
                      key: img,
                      src: "data:image/png;base64," + img["b64_json"],
                      class: "rounded-borders",
                      width: "40%"
                    }, {
                      default: withCtx(() => [
                        createVNode(QMenu, { anchor: "center middle" }, {
                          default: withCtx(() => [
                            createVNode(QList, null, {
                              default: withCtx(() => [
                                withDirectives((openBlock(), createBlock(QItem, {
                                  dense: "",
                                  clickable: ""
                                }, {
                                  default: withCtx(() => [
                                    createVNode(QItemSection, null, {
                                      default: withCtx(() => [
                                        createVNode(QAvatar, {
                                          onClick: ($event) => saveBase64Image(img["b64_json"])
                                        }, {
                                          default: withCtx(() => [
                                            createVNode(QIcon, {
                                              name: "save_alt",
                                              color: "primary"
                                            })
                                          ]),
                                          _: 2
                                        }, 1032, ["onClick"]),
                                        createVNode(QAvatar, {
                                          onClick: ($event) => shareBase64Image(img["b64_json"])
                                        }, {
                                          default: withCtx(() => [
                                            createVNode(QIcon, {
                                              name: "share",
                                              color: "primary"
                                            })
                                          ]),
                                          _: 2
                                        }, 1032, ["onClick"])
                                      ]),
                                      _: 2
                                    }, 1024)
                                  ]),
                                  _: 2
                                }, 1024)), [
                                  [ClosePopup]
                                ])
                              ]),
                              _: 2
                            }, 1024)
                          ]),
                          _: 2
                        }, 1024)
                      ]),
                      _: 2
                    }, 1032, ["src"]);
                  }), 128))
                ])
              ]),
              createBaseVNode("div", _hoisted_5$1, [
                createBaseVNode("div", _hoisted_6$1, [
                  createVNode(QOptionGroup, {
                    modelValue: n.value,
                    "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => n.value = $event),
                    options: n_options,
                    inline: ""
                  }, null, 8, ["modelValue"]),
                  createVNode(QOptionGroup, {
                    modelValue: size.value,
                    "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => size.value = $event),
                    options: size_options,
                    inline: ""
                  }, null, 8, ["modelValue"]),
                  createVNode(QItemLabel, { class: "q-ma-sm q-px-md text-grey-8" }, {
                    default: withCtx(() => [
                      createTextVNode(" \u66F4\u591A\u7684\u751F\u6210\u6570\u91CF / \u66F4\u9AD8\u7684\u56FE\u7247\u8D28\u91CF\u4F1A\u4EA7\u751F\u66F4\u591A\u7684\u7ED8\u5236\u65F6\u95F4\uFF0C\u4EE5\u53CAmogU\u5E01 ")
                    ]),
                    _: 1
                  })
                ]),
                createVNode(QInput, {
                  modelValue: new_message.value,
                  "onUpdate:modelValue": _cache[2] || (_cache[2] = ($event) => new_message.value = $event),
                  disable: !input_status.value,
                  autofocus: "",
                  autogrow: "",
                  class: "col-10 q-mx-lg",
                  outlined: "",
                  placeholder: "\u544A\u8BC9\u6211\u4F60\u8981\u753B\u4EC0\u4E48\uFF1F",
                  rounded: "",
                  style: { "max-height": "70vh" }
                }, {
                  append: withCtx(() => [
                    createVNode(QBtn, {
                      flat: "",
                      round: "",
                      onClick: sendMessage
                    }, {
                      default: withCtx(() => [
                        createVNode(QAvatar, null, {
                          default: withCtx(() => [
                            createVNode(QImg, {
                              class: normalizeClass({ "rotate-center": isRotating.value }),
                              src: "icons/logo-32.png"
                            }, null, 8, ["class"])
                          ]),
                          _: 1
                        })
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }, 8, ["modelValue", "disable"])
              ])
            ])
          ]),
          createVNode(QDialog, {
            modelValue: api_limit_alert.value,
            "onUpdate:modelValue": _cache[4] || (_cache[4] = ($event) => api_limit_alert.value = $event),
            persistent: ""
          }, {
            default: withCtx(() => [
              createVNode(QCard, null, {
                default: withCtx(() => [
                  createVNode(QCardSection, { class: "row items-center" }, {
                    default: withCtx(() => [
                      createVNode(QAvatar, {
                        color: "primary",
                        icon: "speaker_notes_off",
                        "text-color": "white"
                      }),
                      createBaseVNode("span", _hoisted_7, toDisplayString(api_limit_alert_msg.value), 1)
                    ]),
                    _: 1
                  }),
                  createVNode(QCardActions, { align: "right" }, {
                    default: withCtx(() => [
                      createVNode(QBtn, {
                        color: "primary",
                        flat: "",
                        label: "\u5347\u7EA7",
                        onClick: _cache[3] || (_cache[3] = ($event) => _ctx.$emit("recharge"))
                      }),
                      withDirectives(createVNode(QBtn, {
                        color: "grey",
                        flat: "",
                        label: "\u5173\u95ED"
                      }, null, 512), [
                        [ClosePopup]
                      ])
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              })
            ]),
            _: 1
          }, 8, ["modelValue"])
        ]),
        _: 1
      });
    };
  }
};
var ImageGen = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["__scopeId", "data-v-797ef002"]]);
var __awaiter = commonjsGlobal && commonjsGlobal.__awaiter || function(thisArg, _arguments, P, generator) {
  function adopt(value) {
    return value instanceof P ? value : new P(function(resolve) {
      resolve(value);
    });
  }
  return new (P || (P = Promise))(function(resolve, reject) {
    function fulfilled(value) {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    }
    function rejected(value) {
      try {
        step(generator["throw"](value));
      } catch (e) {
        reject(e);
      }
    }
    function step(result) {
      result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected);
    }
    step((generator = generator.apply(thisArg, _arguments || [])).next());
  });
};
var CdvPurchase;
(function(CdvPurchase2) {
  const ERROR_CODES_BASE = 6777e3;
  (function(ErrorCode) {
    ErrorCode[ErrorCode["SETUP"] = ERROR_CODES_BASE + 1] = "SETUP";
    ErrorCode[ErrorCode["LOAD"] = ERROR_CODES_BASE + 2] = "LOAD";
    ErrorCode[ErrorCode["PURCHASE"] = ERROR_CODES_BASE + 3] = "PURCHASE";
    ErrorCode[ErrorCode["LOAD_RECEIPTS"] = ERROR_CODES_BASE + 4] = "LOAD_RECEIPTS";
    ErrorCode[ErrorCode["CLIENT_INVALID"] = ERROR_CODES_BASE + 5] = "CLIENT_INVALID";
    ErrorCode[ErrorCode["PAYMENT_CANCELLED"] = ERROR_CODES_BASE + 6] = "PAYMENT_CANCELLED";
    ErrorCode[ErrorCode["PAYMENT_INVALID"] = ERROR_CODES_BASE + 7] = "PAYMENT_INVALID";
    ErrorCode[ErrorCode["PAYMENT_NOT_ALLOWED"] = ERROR_CODES_BASE + 8] = "PAYMENT_NOT_ALLOWED";
    ErrorCode[ErrorCode["UNKNOWN"] = ERROR_CODES_BASE + 10] = "UNKNOWN";
    ErrorCode[ErrorCode["REFRESH_RECEIPTS"] = ERROR_CODES_BASE + 11] = "REFRESH_RECEIPTS";
    ErrorCode[ErrorCode["INVALID_PRODUCT_ID"] = ERROR_CODES_BASE + 12] = "INVALID_PRODUCT_ID";
    ErrorCode[ErrorCode["FINISH"] = ERROR_CODES_BASE + 13] = "FINISH";
    ErrorCode[ErrorCode["COMMUNICATION"] = ERROR_CODES_BASE + 14] = "COMMUNICATION";
    ErrorCode[ErrorCode["SUBSCRIPTIONS_NOT_AVAILABLE"] = ERROR_CODES_BASE + 15] = "SUBSCRIPTIONS_NOT_AVAILABLE";
    ErrorCode[ErrorCode["MISSING_TOKEN"] = ERROR_CODES_BASE + 16] = "MISSING_TOKEN";
    ErrorCode[ErrorCode["VERIFICATION_FAILED"] = ERROR_CODES_BASE + 17] = "VERIFICATION_FAILED";
    ErrorCode[ErrorCode["BAD_RESPONSE"] = ERROR_CODES_BASE + 18] = "BAD_RESPONSE";
    ErrorCode[ErrorCode["REFRESH"] = ERROR_CODES_BASE + 19] = "REFRESH";
    ErrorCode[ErrorCode["PAYMENT_EXPIRED"] = ERROR_CODES_BASE + 20] = "PAYMENT_EXPIRED";
    ErrorCode[ErrorCode["DOWNLOAD"] = ERROR_CODES_BASE + 21] = "DOWNLOAD";
    ErrorCode[ErrorCode["SUBSCRIPTION_UPDATE_NOT_AVAILABLE"] = ERROR_CODES_BASE + 22] = "SUBSCRIPTION_UPDATE_NOT_AVAILABLE";
    ErrorCode[ErrorCode["PRODUCT_NOT_AVAILABLE"] = ERROR_CODES_BASE + 23] = "PRODUCT_NOT_AVAILABLE";
    ErrorCode[ErrorCode["CLOUD_SERVICE_PERMISSION_DENIED"] = ERROR_CODES_BASE + 24] = "CLOUD_SERVICE_PERMISSION_DENIED";
    ErrorCode[ErrorCode["CLOUD_SERVICE_NETWORK_CONNECTION_FAILED"] = ERROR_CODES_BASE + 25] = "CLOUD_SERVICE_NETWORK_CONNECTION_FAILED";
    ErrorCode[ErrorCode["CLOUD_SERVICE_REVOKED"] = ERROR_CODES_BASE + 26] = "CLOUD_SERVICE_REVOKED";
    ErrorCode[ErrorCode["PRIVACY_ACKNOWLEDGEMENT_REQUIRED"] = ERROR_CODES_BASE + 27] = "PRIVACY_ACKNOWLEDGEMENT_REQUIRED";
    ErrorCode[ErrorCode["UNAUTHORIZED_REQUEST_DATA"] = ERROR_CODES_BASE + 28] = "UNAUTHORIZED_REQUEST_DATA";
    ErrorCode[ErrorCode["INVALID_OFFER_IDENTIFIER"] = ERROR_CODES_BASE + 29] = "INVALID_OFFER_IDENTIFIER";
    ErrorCode[ErrorCode["INVALID_OFFER_PRICE"] = ERROR_CODES_BASE + 30] = "INVALID_OFFER_PRICE";
    ErrorCode[ErrorCode["INVALID_SIGNATURE"] = ERROR_CODES_BASE + 31] = "INVALID_SIGNATURE";
    ErrorCode[ErrorCode["MISSING_OFFER_PARAMS"] = ERROR_CODES_BASE + 32] = "MISSING_OFFER_PARAMS";
    ErrorCode[ErrorCode["VALIDATOR_SUBSCRIPTION_EXPIRED"] = 6778003] = "VALIDATOR_SUBSCRIPTION_EXPIRED";
  })(CdvPurchase2.ErrorCode || (CdvPurchase2.ErrorCode = {}));
  function storeError(code, message, platform, productId) {
    return { isError: true, code, message, platform, productId };
  }
  CdvPurchase2.storeError = storeError;
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  class Iaptic {
    constructor(config, store) {
      this.config = config;
      if (!config.url) {
        config.url = "https://validator.iaptic.com";
      }
      this.store = store !== null && store !== void 0 ? store : CdvPurchase2.store;
      this.log = this.store.log.child("Iaptic");
    }
    get braintreeClientTokenProvider() {
      return (callback) => {
        this.log.info("Calling Braintree clientTokenProvider");
        CdvPurchase2.Utils.ajax(this.log, {
          url: `${this.config.url}/v3/braintree/client-token?appName=${this.config.appName}&apiKey=${this.config.apiKey}`,
          method: "POST",
          data: {
            applicationUsername: CdvPurchase2.store.getApplicationUsername(),
            customerId: CdvPurchase2.Braintree.customerId
          },
          success: (body) => {
            this.log.info("clientTokenProvider success: " + JSON.stringify(body));
            callback(body.clientToken);
          },
          error: (err) => {
            this.log.info("clientTokenProvider error: " + JSON.stringify(err));
            callback(CdvPurchase2.storeError(err, "ERROR " + err, CdvPurchase2.Platform.BRAINTREE, null));
          }
        });
      };
    }
    get appStoreDiscountEligibilityDeterminer() {
      let latestReceipt;
      this.log.debug("AppStore eligibility determiner is listening...");
      this.store.when().verified((receipt) => {
        if (receipt.platform === CdvPurchase2.Platform.APPLE_APPSTORE) {
          this.log.debug("Got a verified AppStore receipt.");
          latestReceipt = receipt;
        }
      });
      const determiner = (_appStoreReceipt, requests, callback) => {
        this.log.debug("AppStore eligibility determiner");
        if (latestReceipt) {
          this.log.debug("Using cached receipt");
          return callback(analyzeReceipt(latestReceipt, requests));
        }
        const onVerified = (receipt) => {
          if (receipt.platform === CdvPurchase2.Platform.APPLE_APPSTORE) {
            this.log.debug("Receipt is verified, let's analyze the content and respond.");
            this.store.off(onVerified);
            callback(analyzeReceipt(receipt, requests));
          }
        };
        this.log.debug("Waiting for receipt");
        this.store.when().verified(onVerified);
      };
      determiner.cacheReceipt = function(receipt) {
        latestReceipt = receipt;
      };
      return determiner;
      function analyzeReceipt(receipt, requests) {
        const ineligibleIntro = receipt.raw.ineligible_for_intro_price;
        return requests.map((request) => {
          var _a;
          if (request.discountType === "Introductory" && ineligibleIntro && ineligibleIntro.find((id2) => request.productId === id2)) {
            return false;
          } else if (request.discountType === "Subscription") {
            const matchingPurchase = (_a = receipt.raw.collection) === null || _a === void 0 ? void 0 : _a.find((purchase) => purchase.id === request.productId);
            return matchingPurchase ? true : false;
          } else {
            return true;
          }
        });
      }
    }
    get validator() {
      return `${this.config.url}/v1/validate?appName=${this.config.appName}&apiKey=${this.config.apiKey}`;
    }
  }
  CdvPurchase2.Iaptic = Iaptic;
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  let LogLevel;
  (function(LogLevel2) {
    LogLevel2[LogLevel2["QUIET"] = 0] = "QUIET";
    LogLevel2[LogLevel2["ERROR"] = 1] = "ERROR";
    LogLevel2[LogLevel2["WARNING"] = 2] = "WARNING";
    LogLevel2[LogLevel2["INFO"] = 3] = "INFO";
    LogLevel2[LogLevel2["DEBUG"] = 4] = "DEBUG";
  })(LogLevel = CdvPurchase2.LogLevel || (CdvPurchase2.LogLevel = {}));
  class Logger {
    constructor(store, prefix = "") {
      this.prefix = "";
      this.store = store;
      this.prefix = prefix || "CdvPurchase";
    }
    child(prefix) {
      return new Logger(this.store, this.prefix + "." + prefix);
    }
    error(o) {
      log(this.store.verbosity, LogLevel.ERROR, this.prefix, o);
      try {
        throw new Error(toString(o));
      } catch (e) {
        log(this.store.verbosity, LogLevel.ERROR, this.prefix, e.stack);
      }
    }
    warn(o) {
      log(this.store.verbosity, LogLevel.WARNING, this.prefix, o);
    }
    info(o) {
      log(this.store.verbosity, LogLevel.INFO, this.prefix, o);
    }
    debug(o) {
      log(this.store.verbosity, LogLevel.DEBUG, this.prefix, o);
    }
    logCallbackException(context, err) {
      this.warn("A callback in '" + context + "' failed with an exception.");
      if (typeof err === "string")
        this.warn("           " + err);
      else if (err) {
        const errAny = err;
        if (errAny.fileName)
          this.warn("           " + errAny.fileName + ":" + errAny.lineNumber);
        if (err.message)
          this.warn("           " + err.message);
        if (err.stack)
          this.warn("           " + err.stack);
      }
    }
  }
  Logger.console = window.console;
  CdvPurchase2.Logger = Logger;
  const LOG_LEVEL_STRING = ["QUIET", "ERROR", "WARNING", "INFO", "DEBUG"];
  function toString(o) {
    if (typeof o !== "string")
      o = JSON.stringify(o);
    return o;
  }
  function log(verbosity, level, prefix, o) {
    var maxLevel = verbosity === true ? 1 : verbosity;
    if (level > maxLevel)
      return;
    if (typeof o !== "string")
      o = JSON.stringify(o);
    const fullPrefix = prefix ? `[${prefix}] ` : "";
    const logStr = level === LogLevel.ERROR ? (str) => Logger.console.error(str) : level === LogLevel.WARNING ? (str) => Logger.console.warn(str) : (str) => Logger.console.log(str);
    if (LOG_LEVEL_STRING[level])
      logStr(`${fullPrefix}${LOG_LEVEL_STRING[level]}: ${o}`);
    else
      logStr(`${fullPrefix}${o}`);
  }
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Utils) {
    Utils.nonEnumerable = (target, name, desc) => {
      if (desc) {
        desc.enumerable = false;
        return desc;
      }
      Object.defineProperty(target, name, {
        set(value) {
          Object.defineProperty(this, name, {
            value,
            writable: true,
            configurable: true
          });
        },
        configurable: true
      });
    };
  })(CdvPurchase2.Utils || (CdvPurchase2.Utils = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  class Product {
    constructor(p, decorator) {
      this.className = "Product";
      this.title = "";
      this.description = "";
      this.platform = p.platform;
      this.type = p.type;
      this.id = p.id;
      this.group = p.group;
      this.offers = [];
      Object.defineProperty(this, "pricing", { enumerable: false, get: () => {
        var _a;
        return (_a = this.offers[0]) === null || _a === void 0 ? void 0 : _a.pricingPhases[0];
      } });
      Object.defineProperty(this, "canPurchase", { enumerable: false, get: () => decorator.canPurchase(this) });
      Object.defineProperty(this, "owned", { enumerable: false, get: () => decorator.owned(this) });
    }
    get pricing() {
      var _a;
      return (_a = this.offers[0]) === null || _a === void 0 ? void 0 : _a.pricingPhases[0];
    }
    get canPurchase() {
      return false;
    }
    get owned() {
      return false;
    }
    getOffer(id2 = "") {
      if (!id2)
        return this.offers[0];
      return this.offers.find((o) => o.id === id2);
    }
    addOffer(offer) {
      if (this.getOffer(offer.id))
        return this;
      this.offers.push(offer);
      return this;
    }
  }
  CdvPurchase2.Product = Product;
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Utils) {
    function objectValues(obj) {
      const ret = [];
      for (let key in obj) {
        if (obj.hasOwnProperty(key)) {
          ret.push(obj[key]);
        }
      }
      return ret;
    }
    Utils.objectValues = objectValues;
  })(CdvPurchase2.Utils || (CdvPurchase2.Utils = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Internal) {
    class ReceiptsToValidate {
      constructor() {
        this.array = [];
      }
      get length() {
        return this.array.length;
      }
      get() {
        return this.array.concat();
      }
      add(receipt) {
        if (!this.has(receipt))
          this.array.push(receipt);
      }
      clear() {
        while (this.array.length !== 0)
          this.array.pop();
      }
      has(receipt) {
        return !!this.array.find((el) => el === receipt);
      }
    }
    Internal.ReceiptsToValidate = ReceiptsToValidate;
    class Validator {
      constructor(controller, log) {
        this.receiptsToValidate = new ReceiptsToValidate();
        this.verifiedReceipts = [];
        this.numRequests = 0;
        this.numResponses = 0;
        this.cache = {};
        this.controller = controller;
        this.log = log.child("Validator");
      }
      incrRequestsCounter() {
        this.numRequests = this.numRequests + 1 | 0;
        this.log.debug(`Validation requests=${this.numRequests} responses=${this.numResponses}`);
      }
      incrResponsesCounter() {
        this.numResponses = this.numResponses + 1 | 0;
        this.log.debug(`Validation requests=${this.numRequests} responses=${this.numResponses}`);
      }
      addVerifiedReceipt(receipt, data) {
        for (const vr of this.verifiedReceipts) {
          if (vr.platform === receipt.platform && vr.id === data.id) {
            this.log.debug("Updating existing receipt.");
            vr.set(receipt, data);
            return vr;
          }
        }
        this.log.debug("Register a new verified receipt.");
        const newVR = new CdvPurchase2.VerifiedReceipt(receipt, data, this.controller);
        this.verifiedReceipts.push(newVR);
        return newVR;
      }
      add(receiptOrTransaction) {
        this.log.debug("Schedule validation: " + JSON.stringify(receiptOrTransaction));
        const receipt = receiptOrTransaction instanceof CdvPurchase2.Transaction ? receiptOrTransaction.parentReceipt : receiptOrTransaction;
        if (!this.receiptsToValidate.has(receipt)) {
          this.incrRequestsCounter();
          this.receiptsToValidate.add(receipt);
        }
      }
      run() {
        const receipts = this.receiptsToValidate.get();
        this.receiptsToValidate.clear();
        const onResponse = (r) => __awaiter(this, void 0, void 0, function* () {
          var _a;
          const { receipt, payload } = r;
          this.incrResponsesCounter();
          try {
            const adapter = this.controller.adapters.find(receipt.platform);
            yield adapter === null || adapter === void 0 ? void 0 : adapter.handleReceiptValidationResponse(receipt, payload);
            if (payload.ok) {
              const vr = this.addVerifiedReceipt(receipt, payload.data);
              this.controller.verifiedCallbacks.trigger(vr);
            } else if (payload.code === CdvPurchase2.ErrorCode.VALIDATOR_SUBSCRIPTION_EXPIRED) {
              const transactionId = (_a = receipt.lastTransaction()) === null || _a === void 0 ? void 0 : _a.transactionId;
              const vr = transactionId ? this.verifiedReceipts.find((r2) => {
                var _a2;
                return ((_a2 = r2.collection[0]) === null || _a2 === void 0 ? void 0 : _a2.transactionId) === transactionId;
              }) : void 0;
              if (vr) {
                vr === null || vr === void 0 ? void 0 : vr.collection.forEach((col) => {
                  if (col.transactionId === transactionId)
                    col.isExpired = true;
                });
                this.controller.verifiedCallbacks.trigger(vr);
              } else {
                this.controller.unverifiedCallbacks.trigger({ receipt, payload });
              }
            } else {
              this.controller.unverifiedCallbacks.trigger({ receipt, payload });
            }
          } catch (err) {
            this.log.error("Exception probably caused by an invalid response from the validator." + err.message);
            this.controller.unverifiedCallbacks.trigger({ receipt, payload: {
              ok: false,
              code: CdvPurchase2.ErrorCode.VERIFICATION_FAILED,
              message: err.message
            } });
          }
        });
        receipts.forEach((receipt) => this.runOnReceipt(receipt, onResponse));
      }
      runOnReceipt(receipt, callback) {
        return __awaiter(this, void 0, void 0, function* () {
          if (receipt.platform === CdvPurchase2.Platform.TEST) {
            this.log.debug("Using Test Adapter mock verify function.");
            return CdvPurchase2.Test.Adapter.verify(receipt, callback);
          }
          if (!this.controller.validator) {
            this.incrResponsesCounter();
            callback({
              receipt,
              payload: {
                ok: true,
                data: {
                  id: receipt.transactions[0].transactionId,
                  latest_receipt: true,
                  transaction: { type: "test" }
                }
              }
            });
            return;
          }
          const body = yield this.buildRequestBody(receipt);
          if (!body) {
            this.incrResponsesCounter();
            return;
          }
          if (typeof this.controller.validator === "function")
            return this.runValidatorFunction(this.controller.validator, receipt, body, callback);
          const target = typeof this.controller.validator === "string" ? {
            url: this.controller.validator,
            timeout: 2e4
          } : this.controller.validator;
          return this.runValidatorRequest(target, receipt, body, callback);
        });
      }
      runValidatorFunction(validator, receipt, body, callback) {
        try {
          validator(body, (payload) => callback({ receipt, payload }));
        } catch (error) {
          this.log.warn("user provided validator function failed with error: " + (error === null || error === void 0 ? void 0 : error.stack));
        }
      }
      buildRequestBody(receipt) {
        var _a, _b, _c;
        return __awaiter(this, void 0, void 0, function* () {
          const adapter = this.controller.adapters.find(receipt.platform);
          const body = yield adapter === null || adapter === void 0 ? void 0 : adapter.receiptValidationBody(receipt);
          if (!body)
            return;
          body.additionalData = Object.assign(Object.assign({}, (_a = body.additionalData) !== null && _a !== void 0 ? _a : {}), { applicationUsername: this.controller.getApplicationUsername() });
          if (!body.additionalData.applicationUsername)
            delete body.additionalData.applicationUsername;
          body.device = Object.assign(Object.assign({}, (_b = body.device) !== null && _b !== void 0 ? _b : {}), CdvPurchase2.Validator.Internal.getDeviceInfo(this.controller));
          if (((_c = body.offers) === null || _c === void 0 ? void 0 : _c.length) === 1) {
            const offer = body.offers[0];
            if (offer.pricingPhases.length === 1) {
              const pricing = offer.pricingPhases[0];
              body.currency = pricing.currency;
              body.priceMicros = pricing.priceMicros;
            } else if (offer.pricingPhases.length === 2) {
              const pricing = offer.pricingPhases[1];
              body.currency = pricing.currency;
              body.priceMicros = pricing.priceMicros;
              const intro = offer.pricingPhases[0];
              body.introPriceMicros = intro.priceMicros;
            }
          }
          return body;
        });
      }
      removeExpiredCache() {
        const now = +new Date();
        const deleteList = [];
        for (const hash in this.cache) {
          if (this.cache[hash].expires < now) {
            deleteList.push(hash);
          }
        }
        for (const hash of deleteList) {
          delete this.cache[hash];
        }
      }
      runValidatorRequest(target, receipt, body, callback) {
        this.removeExpiredCache();
        const bodyTransactionHash = CdvPurchase2.Utils.md5(JSON.stringify(body.transaction));
        const cached = this.cache[bodyTransactionHash];
        if (cached) {
          return callback({ receipt, payload: cached.payload });
        }
        CdvPurchase2.Utils.ajax(this.log.child("Ajax"), {
          url: target.url,
          method: "POST",
          customHeaders: target.headers,
          timeout: target.timeout,
          data: body,
          success: (response) => {
            var _a;
            this.log.debug("validator success, response: " + JSON.stringify(response));
            if (!isValidatorResponsePayload(response))
              return callback({
                receipt,
                payload: {
                  ok: false,
                  code: CdvPurchase2.ErrorCode.BAD_RESPONSE,
                  message: "Validator responded with invalid data",
                  data: { latest_receipt: (_a = response === null || response === void 0 ? void 0 : response.data) === null || _a === void 0 ? void 0 : _a.latest_receipt }
                }
              });
            this.cache[bodyTransactionHash] = {
              payload: response,
              expires: +new Date() + 12e4
            };
            callback({ receipt, payload: response });
          },
          error: (status, message, data) => {
            var fullMessage = "Error " + status + ": " + message;
            this.log.debug("validator failed, response: " + JSON.stringify(fullMessage));
            this.log.debug("body => " + JSON.stringify(data));
            callback({
              receipt,
              payload: {
                ok: false,
                message: fullMessage,
                code: CdvPurchase2.ErrorCode.COMMUNICATION,
                status,
                data: {}
              }
            });
          }
        });
      }
    }
    Internal.Validator = Validator;
    function isValidatorResponsePayload(payload) {
      return !!payload && typeof payload === "object" && "ok" in payload && typeof payload.ok === "boolean";
    }
  })(CdvPurchase2.Internal || (CdvPurchase2.Internal = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Internal) {
    class Adapters {
      constructor() {
        this.list = [];
      }
      add(log, adapters, context) {
        adapters.forEach((po) => {
          log.info("");
          if (this.find(po.platform))
            return;
          switch (po.platform) {
            case CdvPurchase2.Platform.APPLE_APPSTORE:
              return this.list.push(new CdvPurchase2.AppleAppStore.Adapter(context, po.options || {}));
            case CdvPurchase2.Platform.GOOGLE_PLAY:
              return this.list.push(new CdvPurchase2.GooglePlay.Adapter(context));
            case CdvPurchase2.Platform.BRAINTREE:
              if (!po.options) {
                log.error("Options missing for Braintree initialization. Use {platform: Platform.BRAINTREE, options: {...}} in your call to store.initialize");
              }
              return this.list.push(new CdvPurchase2.Braintree.Adapter(context, po.options));
            case CdvPurchase2.Platform.TEST:
            default:
              return this.list.push(new CdvPurchase2.Test.Adapter(context));
          }
        });
      }
      initialize(platforms, context) {
        return __awaiter(this, void 0, void 0, function* () {
          const newPlatforms = platforms.map((p) => typeof p === "string" ? { platform: p } : p).filter((p) => !this.find(p.platform));
          const log = context.log.child("Adapters");
          log.info("Adding platforms: " + JSON.stringify(newPlatforms));
          this.add(log, newPlatforms, context);
          const products = context.registeredProducts.byPlatform();
          const result = yield Promise.all(newPlatforms.map((platformToInit) => __awaiter(this, void 0, void 0, function* () {
            var _a, _b, _c;
            const platformProducts = (_c = (_b = (_a = products.filter((p) => p.platform === platformToInit.platform)) === null || _a === void 0 ? void 0 : _a[0]) === null || _b === void 0 ? void 0 : _b.products) !== null && _c !== void 0 ? _c : [];
            const adapter = this.find(platformToInit.platform);
            if (!adapter)
              return;
            log.info(`${adapter.name} initializing...`);
            if (!adapter.isSupported) {
              log.info(`${adapter.name} is not supported.`);
              return;
            }
            const initResult = yield adapter.initialize();
            adapter.ready = true;
            log.info(`${adapter.name} initialized. ${initResult ? JSON.stringify(initResult) : ""}`);
            if (initResult === null || initResult === void 0 ? void 0 : initResult.code)
              return initResult;
            log.info(`${adapter.name} products: ${JSON.stringify(platformProducts)}`);
            if (platformProducts.length === 0)
              return;
            let loadProductsResult = [];
            let loadReceiptsResult = [];
            if (adapter.supportsParallelLoading) {
              [loadProductsResult, loadReceiptsResult] = yield Promise.all([
                adapter.loadProducts(platformProducts),
                adapter.loadReceipts()
              ]);
            } else {
              loadProductsResult = yield adapter.loadProducts(platformProducts);
              loadReceiptsResult = yield adapter.loadReceipts();
            }
            log.info(`${adapter.name} products loaded: ${JSON.stringify(loadProductsResult)}`);
            const loadedProducts = loadProductsResult.filter((p) => p instanceof CdvPurchase2.Product);
            context.listener.productsUpdated(platformToInit.platform, loadedProducts);
            log.info(`${adapter.name} receipts loaded: ${JSON.stringify(loadReceiptsResult)}`);
            return loadProductsResult.filter((lr) => "code" in lr && "message" in lr)[0];
          })));
          return result.filter((err) => err);
        });
      }
      find(platform) {
        return this.list.filter((a) => a.id === platform)[0];
      }
      findReady(platform) {
        return this.list.filter((adapter) => (!platform || adapter.id === platform) && adapter.ready)[0];
      }
    }
    Internal.Adapters = Adapters;
  })(CdvPurchase2.Internal || (CdvPurchase2.Internal = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Internal) {
    class StoreAdapterListener {
      constructor(delegate, log) {
        this.supportedPlatforms = [];
        this.platformWithReceiptsReady = [];
        this.lastTransactionState = {};
        this.lastCallTimeForState = {};
        this.delegate = delegate;
        this.log = log.child("AdapterListener");
      }
      static makeTransactionToken(transaction) {
        return transaction.platform + "|" + transaction.transactionId;
      }
      setSupportedPlatforms(platforms) {
        this.log.debug("setSupportedPlatforms: " + platforms.join(","));
        this.supportedPlatforms = platforms;
        if (this.supportedPlatforms.length === this.platformWithReceiptsReady.length) {
          this.delegate.receiptsReadyCallbacks.trigger();
        }
      }
      receiptsReady(platform) {
        if (this.supportedPlatforms.length > 0 && this.platformWithReceiptsReady.length === this.supportedPlatforms.length) {
          return;
        }
        if (this.platformWithReceiptsReady.indexOf(platform) < 0) {
          this.log.debug("receiptsReady: " + platform);
          this.platformWithReceiptsReady.push(platform);
          if (this.platformWithReceiptsReady.length === this.supportedPlatforms.length) {
            this.log.debug("calling receiptsReady()");
            this.delegate.receiptsReadyCallbacks.trigger();
          }
        }
      }
      productsUpdated(platform, products) {
        products.forEach((product) => this.delegate.updatedCallbacks.trigger(product));
      }
      receiptsUpdated(platform, receipts) {
        const now = +new Date();
        receipts.forEach((receipt) => {
          this.delegate.updatedReceiptCallbacks.trigger(receipt);
          receipt.transactions.forEach((transaction) => {
            const transactionToken = StoreAdapterListener.makeTransactionToken(transaction);
            const tokenWithState = transactionToken + "@" + transaction.state;
            const lastState = this.lastTransactionState[transactionToken];
            if (transaction.state === CdvPurchase2.TransactionState.APPROVED) {
              if ((this.lastCallTimeForState[tokenWithState] | 0) < now - 5e3) {
                this.delegate.approvedCallbacks.trigger(transaction);
                this.lastCallTimeForState[tokenWithState] = now;
              }
            } else if (lastState !== transaction.state) {
              if (transaction.state === CdvPurchase2.TransactionState.FINISHED) {
                this.delegate.finishedCallbacks.trigger(transaction);
                this.lastCallTimeForState[tokenWithState] = now;
              } else if (transaction.state === CdvPurchase2.TransactionState.PENDING) {
                this.delegate.pendingCallbacks.trigger(transaction);
                this.lastCallTimeForState[tokenWithState] = now;
              }
            }
            this.lastTransactionState[transactionToken] = transaction.state;
          });
        });
      }
    }
    Internal.StoreAdapterListener = StoreAdapterListener;
  })(CdvPurchase2.Internal || (CdvPurchase2.Internal = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Internal) {
    class Callbacks {
      constructor(logger, className, finalStateMode = false) {
        this.callbacks = [];
        this.numTriggers = 0;
        this.logger = logger;
        this.className = className;
        this.finalStateMode = finalStateMode;
      }
      push(callback) {
        if (this.finalStateMode && this.numTriggers > 0) {
          callback(this.lastTriggerArgument);
        } else {
          for (const existing of this.callbacks) {
            if (existing === callback) {
              throw new Error("REGISTERING THE SAME CALLBACK TWICE? This is indicative of a bug in your integration.");
            }
          }
          this.callbacks.push(callback);
        }
      }
      trigger(value) {
        this.lastTriggerArgument = value;
        this.numTriggers++;
        const callbacks = this.callbacks;
        if (this.finalStateMode) {
          this.callbacks = [];
        }
        callbacks.forEach((callback) => {
          CdvPurchase2.Utils.safeCall(this.logger, this.className, callback, value);
        });
      }
      remove(callback) {
        this.callbacks = this.callbacks.filter((el) => el !== callback);
      }
    }
    Internal.Callbacks = Callbacks;
  })(CdvPurchase2.Internal || (CdvPurchase2.Internal = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Internal) {
    class ReadyCallbacks {
      constructor(logger) {
        this.isReady = false;
        this.readyCallbacks = [];
        this.logger = logger;
      }
      add(cb) {
        if (this.isReady)
          return setTimeout(cb, 0);
        this.readyCallbacks.push(cb);
      }
      trigger() {
        this.isReady = true;
        this.readyCallbacks.forEach((cb) => CdvPurchase2.Utils.safeCall(this.logger, "ready()", cb, void 0));
        this.readyCallbacks = [];
      }
      remove(cb) {
        this.readyCallbacks = this.readyCallbacks.filter((el) => el !== cb);
      }
    }
    Internal.ReadyCallbacks = ReadyCallbacks;
  })(CdvPurchase2.Internal || (CdvPurchase2.Internal = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Internal) {
    function isValidRegisteredProduct(product) {
      if (typeof product !== "object")
        return false;
      return product.hasOwnProperty("platform") && product.hasOwnProperty("id") && product.hasOwnProperty("type");
    }
    class RegisteredProducts {
      constructor() {
        this.list = [];
      }
      find(platform, id2) {
        return this.list.find((rp) => rp.platform === platform && rp.id === id2);
      }
      add(product) {
        const errors = [];
        const products = Array.isArray(product) ? product : [product];
        const newProducts = products.filter((p) => !this.find(p.platform, p.id));
        for (const p of newProducts) {
          if (isValidRegisteredProduct(p))
            this.list.push(p);
          else
            errors.push(CdvPurchase2.storeError(CdvPurchase2.ErrorCode.LOAD, 'Invalid parameter to "register", expected "id", "type" and "platform". Got: ' + JSON.stringify(p), null, null));
        }
        return errors;
      }
      byPlatform() {
        const byPlatform = {};
        this.list.forEach((p) => {
          byPlatform[p.platform] = (byPlatform[p.platform] || []).concat(p);
        });
        return Object.keys(byPlatform).map((platform) => ({
          platform,
          products: byPlatform[platform]
        }));
      }
    }
    Internal.RegisteredProducts = RegisteredProducts;
  })(CdvPurchase2.Internal || (CdvPurchase2.Internal = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Internal) {
    class TransactionStateMonitors {
      constructor(when) {
        this.monitors = [];
        when.approved((transaction) => this.callOnChange(transaction)).finished((transaction) => this.callOnChange(transaction));
      }
      findMonitors(transaction) {
        return this.monitors.filter((monitor) => monitor.transaction.platform === transaction.platform && monitor.transaction.transactionId === transaction.transactionId);
      }
      callOnChange(transaction) {
        this.findMonitors(transaction).forEach((monitor) => {
          if (monitor.lastChange !== transaction.state) {
            monitor.lastChange = transaction.state;
            monitor.onChange(transaction.state);
          }
        });
      }
      start(transaction, onChange) {
        const monitorId = CdvPurchase2.Utils.uuidv4();
        this.monitors.push({ monitorId, transaction, onChange, lastChange: transaction.state });
        setTimeout(onChange, 0, transaction.state);
        return {
          transaction,
          stop: () => this.stop(monitorId)
        };
      }
      stop(monitorId) {
        this.monitors = this.monitors.filter((m) => m.monitorId !== monitorId);
      }
    }
    Internal.TransactionStateMonitors = TransactionStateMonitors;
  })(CdvPurchase2.Internal || (CdvPurchase2.Internal = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Internal) {
    class ReceiptsMonitor {
      constructor(controller) {
        this.hasCalledReceiptsVerified = false;
        this.controller = controller;
        this.log = controller.log.child("ReceiptsMonitor");
      }
      callReceiptsVerified() {
        if (this.hasCalledReceiptsVerified)
          return;
        this.hasCalledReceiptsVerified = true;
        this.log.info("receiptsVerified()");
        this.controller.when().receiptsReady(() => {
          setTimeout(() => {
            this.controller.receiptsVerified();
          }, 0);
        });
      }
      launch() {
        const check = () => {
          this.log.debug(`check(${this.controller.numValidationResponses()}/${this.controller.numValidationRequests()})`);
          if (this.controller.numValidationRequests() === this.controller.numValidationResponses()) {
            if (this.intervalChecker !== void 0) {
              clearInterval(this.intervalChecker);
              this.intervalChecker = void 0;
            }
            this.controller.off(check);
            this.callReceiptsVerified();
          }
        };
        this.controller.when().verified(check).unverified(check).receiptsReady(() => {
          this.log.debug("receiptsReady...");
          if (!this.controller.hasLocalReceipts() || !this.controller.hasValidator()) {
            setTimeout(() => {
              check();
            }, 0);
          }
          this.intervalChecker = setInterval(() => {
            this.log.debug("keep checking every 10s...");
            check();
          }, 1e4);
        });
      }
    }
    Internal.ReceiptsMonitor = ReceiptsMonitor;
  })(CdvPurchase2.Internal || (CdvPurchase2.Internal = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Internal) {
    class ExpiryMonitor {
      constructor(controller) {
        this.activePurchases = {};
        this.notifiedPurchases = {};
        this.controller = controller;
      }
      launch() {
        this.interval = setInterval(() => {
          var _a, _b;
          const now = +new Date();
          for (const receipt of this.controller.verifiedReceipts) {
            const gracePeriod = (_a = ExpiryMonitor.GRACE_PERIOD_MS[receipt.platform]) !== null && _a !== void 0 ? _a : ExpiryMonitor.GRACE_PERIOD_MS.DEFAULT;
            for (const purchase of receipt.collection) {
              if (purchase.expiryDate) {
                const expiryDate = purchase.expiryDate + gracePeriod;
                const transactionId = (_b = purchase.transactionId) !== null && _b !== void 0 ? _b : `${expiryDate}`;
                if (expiryDate > now) {
                  this.activePurchases[transactionId] = true;
                }
                if (expiryDate < now && this.activePurchases[transactionId] && !this.notifiedPurchases[transactionId]) {
                  this.notifiedPurchases[transactionId] = true;
                  this.controller.onVerifiedPurchaseExpired(purchase, receipt);
                }
              }
            }
          }
        }, ExpiryMonitor.INTERVAL_MS);
      }
    }
    ExpiryMonitor.INTERVAL_MS = 1e4;
    ExpiryMonitor.GRACE_PERIOD_MS = {
      DEFAULT: 1e4,
      "ios-appstore": 6e4
    };
    Internal.ExpiryMonitor = ExpiryMonitor;
  })(CdvPurchase2.Internal || (CdvPurchase2.Internal = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  CdvPurchase2.PLUGIN_VERSION = "13.8.5";
  class Store {
    constructor() {
      this.adapters = new CdvPurchase2.Internal.Adapters();
      this.registeredProducts = new CdvPurchase2.Internal.RegisteredProducts();
      this.log = new CdvPurchase2.Logger(this);
      this.verbosity = CdvPurchase2.LogLevel.ERROR;
      this._readyCallbacks = new CdvPurchase2.Internal.ReadyCallbacks(this.log);
      this.updatedCallbacks = new CdvPurchase2.Internal.Callbacks(this.log, "productUpdated()");
      this.updatedReceiptsCallbacks = new CdvPurchase2.Internal.Callbacks(this.log, "receiptUpdated()");
      this.approvedCallbacks = new CdvPurchase2.Internal.Callbacks(this.log, "approved()");
      this.finishedCallbacks = new CdvPurchase2.Internal.Callbacks(this.log, "finished()");
      this.pendingCallbacks = new CdvPurchase2.Internal.Callbacks(this.log, "pending()");
      this.verifiedCallbacks = new CdvPurchase2.Internal.Callbacks(this.log, "verified()");
      this.unverifiedCallbacks = new CdvPurchase2.Internal.Callbacks(this.log, "unverified()");
      this.receiptsReadyCallbacks = new CdvPurchase2.Internal.Callbacks(this.log, "receiptsReady()", true);
      this.receiptsVerifiedCallbacks = new CdvPurchase2.Internal.Callbacks(this.log, "receiptsVerified()", true);
      this.errorCallbacks = new CdvPurchase2.Internal.Callbacks(this.log, "error()");
      this.initializedHasBeenCalled = false;
      this.lastUpdate = 0;
      this.minTimeBetweenUpdates = 6e5;
      this.version = CdvPurchase2.PLUGIN_VERSION;
      const store = this;
      this.listener = new CdvPurchase2.Internal.StoreAdapterListener({
        updatedCallbacks: this.updatedCallbacks,
        updatedReceiptCallbacks: this.updatedReceiptsCallbacks,
        approvedCallbacks: this.approvedCallbacks,
        finishedCallbacks: this.finishedCallbacks,
        pendingCallbacks: this.pendingCallbacks,
        receiptsReadyCallbacks: this.receiptsReadyCallbacks
      }, this.log);
      this.transactionStateMonitors = new CdvPurchase2.Internal.TransactionStateMonitors(this.when());
      this._validator = new CdvPurchase2.Internal.Validator({
        adapters: this.adapters,
        getApplicationUsername: this.getApplicationUsername.bind(this),
        get localReceipts() {
          return store.localReceipts;
        },
        get validator() {
          return store.validator;
        },
        get validator_privacy_policy() {
          return store.validator_privacy_policy;
        },
        verifiedCallbacks: this.verifiedCallbacks,
        unverifiedCallbacks: this.unverifiedCallbacks,
        finish: (receipt) => this.finish(receipt)
      }, this.log);
      new CdvPurchase2.Internal.ReceiptsMonitor({
        hasLocalReceipts: () => this.localReceipts.length > 0,
        hasValidator: () => !!this.validator,
        numValidationRequests: () => this._validator.numRequests,
        numValidationResponses: () => this._validator.numResponses,
        off: this.off.bind(this),
        when: this.when.bind(this),
        receiptsVerified: () => {
          store.receiptsVerifiedCallbacks.trigger();
        },
        log: this.log
      }).launch();
      this.expiryMonitor = new CdvPurchase2.Internal.ExpiryMonitor({
        get verifiedReceipts() {
          return store.verifiedReceipts;
        },
        onVerifiedPurchaseExpired(verifiedPurchase, receipt) {
          store.verify(receipt.sourceReceipt);
        }
      });
      this.expiryMonitor.launch();
    }
    getAdapter(platform) {
      return this.adapters.find(platform);
    }
    getApplicationUsername() {
      if (this.applicationUsername instanceof Function)
        return this.applicationUsername();
      return this.applicationUsername;
    }
    register(product) {
      const errors = this.registeredProducts.add(product);
      errors.forEach((error) => {
        CdvPurchase2.store.errorCallbacks.trigger(error);
        this.log.error(error);
      });
    }
    initialize(platforms = [this.defaultPlatform()]) {
      return __awaiter(this, void 0, void 0, function* () {
        if (this.initializedHasBeenCalled) {
          this.log.warn("store.initialized() has been called already.");
          return [];
        }
        this.log.info("initialize()");
        this.initializedHasBeenCalled = true;
        this.lastUpdate = +new Date();
        const store = this;
        const ret = this.adapters.initialize(platforms, {
          error: this.triggerError.bind(this),
          get verbosity() {
            return store.verbosity;
          },
          getApplicationUsername() {
            return store.getApplicationUsername();
          },
          get listener() {
            return store.listener;
          },
          get log() {
            return store.log;
          },
          get registeredProducts() {
            return store.registeredProducts;
          },
          apiDecorators: {
            canPurchase: this.canPurchase.bind(this),
            owned: this.owned.bind(this),
            finish: this.finish.bind(this),
            order: this.order.bind(this),
            verify: this.verify.bind(this)
          }
        });
        ret.then(() => {
          this._readyCallbacks.trigger();
          this.listener.setSupportedPlatforms(this.adapters.list.filter((a) => a.isSupported).map((a) => a.id));
        });
        return ret;
      });
    }
    refresh() {
      throw new Error("use store.initialize() or store.update()");
    }
    update() {
      var _a;
      return __awaiter(this, void 0, void 0, function* () {
        this.log.info("update()");
        if (!this._readyCallbacks.isReady) {
          this.log.warn("Do not call store.update() at startup! It is meant to reload the price of products (if needed) long after initialization.");
          return;
        }
        const now = +new Date();
        if (this.lastUpdate > now - this.minTimeBetweenUpdates) {
          this.log.info("Skipping store.update() as the last call occurred less than store.minTimeBetweenUpdates millis ago.");
          return;
        }
        this.lastUpdate = now;
        for (const registration of this.registeredProducts.byPlatform()) {
          const products = yield (_a = this.adapters.findReady(registration.platform)) === null || _a === void 0 ? void 0 : _a.loadProducts(registration.products);
          products === null || products === void 0 ? void 0 : products.forEach((p) => {
            if (p instanceof CdvPurchase2.Product)
              this.updatedCallbacks.trigger(p);
          });
        }
      });
    }
    ready(cb) {
      this._readyCallbacks.add(cb);
    }
    get isReady() {
      return this._readyCallbacks.isReady;
    }
    when() {
      const ret = {
        productUpdated: (cb) => (this.updatedCallbacks.push(cb), ret),
        receiptUpdated: (cb) => (this.updatedReceiptsCallbacks.push(cb), ret),
        updated: (cb) => (this.updatedCallbacks.push(cb), this.updatedReceiptsCallbacks.push(cb), ret),
        approved: (cb) => (this.approvedCallbacks.push(cb), ret),
        pending: (cb) => (this.pendingCallbacks.push(cb), ret),
        finished: (cb) => (this.finishedCallbacks.push(cb), ret),
        verified: (cb) => (this.verifiedCallbacks.push(cb), ret),
        unverified: (cb) => (this.unverifiedCallbacks.push(cb), ret),
        receiptsReady: (cb) => (this.receiptsReadyCallbacks.push(cb), ret),
        receiptsVerified: (cb) => (this.receiptsVerifiedCallbacks.push(cb), ret)
      };
      return ret;
    }
    off(callback) {
      this.updatedCallbacks.remove(callback);
      this.updatedReceiptsCallbacks.remove(callback);
      this.approvedCallbacks.remove(callback);
      this.finishedCallbacks.remove(callback);
      this.pendingCallbacks.remove(callback);
      this.verifiedCallbacks.remove(callback);
      this.unverifiedCallbacks.remove(callback);
      this.receiptsReadyCallbacks.remove(callback);
      this.receiptsVerifiedCallbacks.remove(callback);
      this.errorCallbacks.remove(callback);
      this._readyCallbacks.remove(callback);
    }
    monitor(transaction, onChange) {
      return this.transactionStateMonitors.start(transaction, CdvPurchase2.Utils.safeCallback(this.log, "monitor()", onChange));
    }
    get products() {
      return [].concat(...this.adapters.list.map((a) => a.products));
    }
    get(productId, platform) {
      var _a;
      return (_a = this.adapters.findReady(platform)) === null || _a === void 0 ? void 0 : _a.products.find((p) => p.id === productId);
    }
    get localReceipts() {
      return [].concat(...this.adapters.list.map((a) => a.receipts));
    }
    get localTransactions() {
      const ret = [];
      for (const receipt of this.localReceipts) {
        ret.push(...receipt.transactions);
      }
      return ret;
    }
    get verifiedReceipts() {
      return this._validator.verifiedReceipts;
    }
    get verifiedPurchases() {
      return CdvPurchase2.Internal.VerifiedReceipts.getVerifiedPurchases(this.verifiedReceipts);
    }
    findInVerifiedReceipts(product) {
      return CdvPurchase2.Internal.VerifiedReceipts.find(this.verifiedReceipts, product);
    }
    findInLocalReceipts(product) {
      return CdvPurchase2.Internal.LocalReceipts.find(this.localReceipts, product);
    }
    canPurchase(offer) {
      const product = offer instanceof CdvPurchase2.Offer ? this.get(offer.productId, offer.platform) : offer;
      const adapter = this.adapters.findReady(offer.platform);
      if (!(adapter === null || adapter === void 0 ? void 0 : adapter.checkSupport("order")))
        return false;
      return CdvPurchase2.Internal.LocalReceipts.canPurchase(this.localReceipts, product);
    }
    owned(product) {
      return CdvPurchase2.Internal.owned({
        product: typeof product === "string" ? { id: product } : product,
        verifiedReceipts: this.validator ? this.verifiedReceipts : void 0,
        localReceipts: this.localReceipts
      });
    }
    order(offer, additionalData) {
      return __awaiter(this, void 0, void 0, function* () {
        this.log.info(`order(${offer.productId})`);
        const adapter = this.adapters.findReady(offer.platform);
        if (!adapter)
          return CdvPurchase2.storeError(CdvPurchase2.ErrorCode.PAYMENT_NOT_ALLOWED, "Adapter not found or not ready (" + offer.platform + ")", offer.platform, null);
        const ret = yield adapter.order(offer, additionalData || {});
        if (ret && "isError" in ret)
          CdvPurchase2.store.triggerError(ret);
        return ret;
      });
    }
    requestPayment(paymentRequest, additionalData) {
      var _a, _b, _c, _d, _e;
      const adapter = this.adapters.findReady(paymentRequest.platform);
      if (!adapter)
        return CdvPurchase2.PaymentRequestPromise.failed(CdvPurchase2.ErrorCode.PAYMENT_NOT_ALLOWED, "Adapter not found or not ready (" + paymentRequest.platform + ")", paymentRequest.platform, null);
      if (!paymentRequest.amountMicros) {
        paymentRequest.amountMicros = 0;
        for (const item of paymentRequest.items) {
          paymentRequest.amountMicros += (_b = (_a = item === null || item === void 0 ? void 0 : item.pricing) === null || _a === void 0 ? void 0 : _a.priceMicros) !== null && _b !== void 0 ? _b : 0;
        }
      }
      if (!paymentRequest.currency) {
        for (const item of paymentRequest.items) {
          if ((_c = item === null || item === void 0 ? void 0 : item.pricing) === null || _c === void 0 ? void 0 : _c.currency) {
            paymentRequest.currency = item.pricing.currency;
          }
        }
      } else {
        for (const item of paymentRequest.items) {
          if ((_d = item === null || item === void 0 ? void 0 : item.pricing) === null || _d === void 0 ? void 0 : _d.currency) {
            if (paymentRequest.currency !== item.pricing.currency) {
              return CdvPurchase2.PaymentRequestPromise.failed(CdvPurchase2.ErrorCode.PAYMENT_INVALID, "Currencies do not match", paymentRequest.platform, item.id);
            }
          } else if (item === null || item === void 0 ? void 0 : item.pricing) {
            item.pricing.currency = paymentRequest.currency;
          }
        }
      }
      if (paymentRequest.items.length === 1) {
        const item = paymentRequest.items[0];
        if (item && !item.pricing) {
          item.pricing = {
            priceMicros: (_e = paymentRequest.amountMicros) !== null && _e !== void 0 ? _e : 0,
            currency: paymentRequest.currency
          };
        }
      }
      const promise = new CdvPurchase2.PaymentRequestPromise();
      adapter.requestPayment(paymentRequest, additionalData).then((result) => {
        promise.trigger(result);
        if (result instanceof CdvPurchase2.Transaction) {
          const onStateChange = (state) => {
            promise.trigger(result);
            if (result.state === CdvPurchase2.TransactionState.FINISHED)
              monitor.stop();
          };
          const monitor = this.monitor(result, onStateChange);
        }
      });
      return promise;
    }
    checkSupport(platform, functionality) {
      const adapter = this.adapters.find(platform);
      if (!adapter)
        return false;
      return adapter.checkSupport(functionality);
    }
    verify(receiptOrTransaction) {
      return __awaiter(this, void 0, void 0, function* () {
        this.log.info(`verify(${receiptOrTransaction.className})`);
        this._validator.add(receiptOrTransaction);
        setTimeout(() => this._validator.run(), 200);
      });
    }
    finish(receipt) {
      return __awaiter(this, void 0, void 0, function* () {
        this.log.info(`finish(${receipt.className})`);
        const transactions = receipt instanceof CdvPurchase2.VerifiedReceipt ? receipt.sourceReceipt.transactions : receipt instanceof CdvPurchase2.Receipt ? receipt.transactions : [receipt];
        transactions.forEach((transaction) => {
          var _a;
          (_a = this.adapters.findReady(transaction.platform)) === null || _a === void 0 ? void 0 : _a.finish(transaction);
        });
      });
    }
    restorePurchases() {
      return __awaiter(this, void 0, void 0, function* () {
        for (const adapter of this.adapters.list) {
          if (adapter.ready)
            yield adapter.restorePurchases();
        }
      });
    }
    manageSubscriptions(platform) {
      return __awaiter(this, void 0, void 0, function* () {
        this.log.info("manageSubscriptions()");
        const adapter = this.adapters.findReady(platform);
        if (!adapter)
          return CdvPurchase2.storeError(CdvPurchase2.ErrorCode.SETUP, "Found no adapter ready to handle 'manageSubscription'", platform !== null && platform !== void 0 ? platform : null, null);
        return adapter.manageSubscriptions();
      });
    }
    manageBilling(platform) {
      return __awaiter(this, void 0, void 0, function* () {
        this.log.info("manageBilling()");
        const adapter = this.adapters.findReady(platform);
        if (!adapter)
          return CdvPurchase2.storeError(CdvPurchase2.ErrorCode.SETUP, "Found no adapter ready to handle 'manageBilling'", platform !== null && platform !== void 0 ? platform : null, null);
        return adapter.manageBilling();
      });
    }
    defaultPlatform() {
      switch (window.cordova.platformId) {
        case "android":
          return CdvPurchase2.Platform.GOOGLE_PLAY;
        case "ios":
          return CdvPurchase2.Platform.APPLE_APPSTORE;
        default:
          return CdvPurchase2.Platform.TEST;
      }
    }
    error(error) {
      this.errorCallbacks.push(error);
    }
    triggerError(error) {
      this.errorCallbacks.trigger(error);
    }
  }
  CdvPurchase2.Store = Store;
})(CdvPurchase || (CdvPurchase = {}));
if (window.cordova) {
  setTimeout(initCDVPurchase, 0);
} else {
  initCDVPurchase();
}
function initCDVPurchase() {
  console.log("Create CdvPurchase...");
  window.CdvPurchase = CdvPurchase;
  window.CdvPurchase.store = new CdvPurchase.Store();
  Object.assign(window.CdvPurchase.store, CdvPurchase.LogLevel, CdvPurchase.ProductType, CdvPurchase.ErrorCode, CdvPurchase.Platform);
}
var CdvPurchase;
(function(CdvPurchase2) {
  (function(ProductType) {
    ProductType["CONSUMABLE"] = "consumable";
    ProductType["NON_CONSUMABLE"] = "non consumable";
    ProductType["FREE_SUBSCRIPTION"] = "free subscription";
    ProductType["PAID_SUBSCRIPTION"] = "paid subscription";
    ProductType["NON_RENEWING_SUBSCRIPTION"] = "non renewing subscription";
    ProductType["APPLICATION"] = "application";
  })(CdvPurchase2.ProductType || (CdvPurchase2.ProductType = {}));
  (function(RecurrenceMode) {
    RecurrenceMode["NON_RECURRING"] = "NON_RECURRING";
    RecurrenceMode["FINITE_RECURRING"] = "FINITE_RECURRING";
    RecurrenceMode["INFINITE_RECURRING"] = "INFINITE_RECURRING";
  })(CdvPurchase2.RecurrenceMode || (CdvPurchase2.RecurrenceMode = {}));
  (function(PaymentMode) {
    PaymentMode["PAY_AS_YOU_GO"] = "PayAsYouGo";
    PaymentMode["UP_FRONT"] = "UpFront";
    PaymentMode["FREE_TRIAL"] = "FreeTrial";
  })(CdvPurchase2.PaymentMode || (CdvPurchase2.PaymentMode = {}));
  (function(Platform) {
    Platform["APPLE_APPSTORE"] = "ios-appstore";
    Platform["GOOGLE_PLAY"] = "android-playstore";
    Platform["WINDOWS_STORE"] = "windows-store-transaction";
    Platform["BRAINTREE"] = "braintree";
    Platform["TEST"] = "test";
  })(CdvPurchase2.Platform || (CdvPurchase2.Platform = {}));
  (function(TransactionState) {
    TransactionState["INITIATED"] = "initiated";
    TransactionState["PENDING"] = "pending";
    TransactionState["APPROVED"] = "approved";
    TransactionState["CANCELLED"] = "cancelled";
    TransactionState["FINISHED"] = "finished";
    TransactionState["UNKNOWN_STATE"] = "";
  })(CdvPurchase2.TransactionState || (CdvPurchase2.TransactionState = {}));
  (function(RenewalIntent) {
    RenewalIntent["LAPSE"] = "Lapse";
    RenewalIntent["RENEW"] = "Renew";
  })(CdvPurchase2.RenewalIntent || (CdvPurchase2.RenewalIntent = {}));
  (function(PriceConsentStatus) {
    PriceConsentStatus["NOTIFIED"] = "Notified";
    PriceConsentStatus["AGREED"] = "Agreed";
  })(CdvPurchase2.PriceConsentStatus || (CdvPurchase2.PriceConsentStatus = {}));
  (function(CancelationReason) {
    CancelationReason["NOT_CANCELED"] = "";
    CancelationReason["DEVELOPER"] = "Developer";
    CancelationReason["SYSTEM"] = "System";
    CancelationReason["SYSTEM_REPLACED"] = "System.Replaced";
    CancelationReason["SYSTEM_PRODUCT_UNAVAILABLE"] = "System.ProductUnavailable";
    CancelationReason["SYSTEM_BILLING_ERROR"] = "System.BillingError";
    CancelationReason["SYSTEM_DELETED"] = "System.Deleted";
    CancelationReason["CUSTOMER"] = "Customer";
    CancelationReason["CUSTOMER_TECHNICAL_ISSUES"] = "Customer.TechnicalIssues";
    CancelationReason["CUSTOMER_PRICE_INCREASE"] = "Customer.PriceIncrease";
    CancelationReason["CUSTOMER_COST"] = "Customer.Cost";
    CancelationReason["CUSTOMER_FOUND_BETTER_APP"] = "Customer.FoundBetterApp";
    CancelationReason["CUSTOMER_NOT_USEFUL_ENOUGH"] = "Customer.NotUsefulEnough";
    CancelationReason["CUSTOMER_OTHER_REASON"] = "Customer.OtherReason";
    CancelationReason["UNKNOWN"] = "Unknown";
  })(CdvPurchase2.CancelationReason || (CdvPurchase2.CancelationReason = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  class Offer {
    constructor(options, decorator) {
      this.className = "Offer";
      this.id = options.id;
      this.pricingPhases = options.pricingPhases;
      Object.defineProperty(this, "productId", { enumerable: true, get: () => options.product.id });
      Object.defineProperty(this, "productType", { enumerable: true, get: () => options.product.type });
      Object.defineProperty(this, "productGroup", { enumerable: true, get: () => options.product.group });
      Object.defineProperty(this, "platform", { enumerable: true, get: () => options.product.platform });
      Object.defineProperty(this, "order", { enumerable: false, get: () => (additionalData) => decorator.order(this, additionalData) });
      Object.defineProperty(this, "canPurchase", { enumerable: false, get: () => decorator.canPurchase(this) });
    }
    get productId() {
      return "";
    }
    get productType() {
      return CdvPurchase2.ProductType.APPLICATION;
    }
    get productGroup() {
      return void 0;
    }
    get platform() {
      return CdvPurchase2.Platform.TEST;
    }
    order(additionalData) {
      return __awaiter(this, void 0, void 0, function* () {
        return;
      });
    }
    get canPurchase() {
      return false;
    }
  }
  CdvPurchase2.Offer = Offer;
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  class PaymentRequestPromise {
    constructor() {
      this.failedCallbacks = new CdvPurchase2.Internal.PromiseLike();
      this.initiatedCallbacks = new CdvPurchase2.Internal.PromiseLike();
      this.approvedCallbacks = new CdvPurchase2.Internal.PromiseLike();
      this.finishedCallbacks = new CdvPurchase2.Internal.PromiseLike();
      this.cancelledCallback = new CdvPurchase2.Internal.PromiseLike();
    }
    failed(callback) {
      this.failedCallbacks.push(callback);
      return this;
    }
    initiated(callback) {
      this.initiatedCallbacks.push(callback);
      return this;
    }
    approved(callback) {
      this.approvedCallbacks.push(callback);
      return this;
    }
    finished(callback) {
      this.finishedCallbacks.push(callback);
      return this;
    }
    cancelled(callback) {
      this.cancelledCallback.push(callback);
      return this;
    }
    trigger(argument) {
      if (!argument) {
        this.cancelledCallback.resolve();
      } else if ("isError" in argument) {
        this.failedCallbacks.resolve(argument);
      } else {
        switch (argument.state) {
          case CdvPurchase2.TransactionState.INITIATED:
            this.initiatedCallbacks.resolve(argument);
            break;
          case CdvPurchase2.TransactionState.APPROVED:
            this.approvedCallbacks.resolve(argument);
            break;
          case CdvPurchase2.TransactionState.FINISHED:
            this.finishedCallbacks.resolve(argument);
            break;
        }
      }
      return this;
    }
    static failed(code, message, platform, productId) {
      return new PaymentRequestPromise().trigger(CdvPurchase2.storeError(code, message, platform, productId));
    }
    static cancelled() {
      return new PaymentRequestPromise().trigger();
    }
    static initiated(transaction) {
      return new PaymentRequestPromise().trigger(transaction);
    }
  }
  CdvPurchase2.PaymentRequestPromise = PaymentRequestPromise;
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  class Receipt {
    constructor(platform, decorator) {
      this.className = "Receipt";
      this.transactions = [];
      this.platform = platform;
      Object.defineProperty(this, "verify", { "enumerable": false, get() {
        return () => decorator.verify(this);
      } });
      Object.defineProperty(this, "finish", { "enumerable": false, get() {
        return () => decorator.finish(this);
      } });
    }
    verify() {
      return __awaiter(this, void 0, void 0, function* () {
      });
    }
    finish() {
      return __awaiter(this, void 0, void 0, function* () {
      });
    }
    hasTransaction(value) {
      return !!this.transactions.find((t) => t === value);
    }
    lastTransaction() {
      return this.transactions[this.transactions.length - 1];
    }
  }
  CdvPurchase2.Receipt = Receipt;
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  class Transaction {
    constructor(platform, parentReceipt, decorator) {
      this.className = "Transaction";
      this.transactionId = "";
      this.state = CdvPurchase2.TransactionState.UNKNOWN_STATE;
      this.products = [];
      this.platform = platform;
      Object.defineProperty(this, "finish", { "enumerable": false, get() {
        return () => decorator.finish(this);
      } });
      Object.defineProperty(this, "verify", { "enumerable": false, get() {
        return () => decorator.verify(this);
      } });
      Object.defineProperty(this, "parentReceipt", { "enumerable": false, get() {
        return parentReceipt;
      } });
    }
    finish() {
      return __awaiter(this, void 0, void 0, function* () {
      });
    }
    verify() {
      return __awaiter(this, void 0, void 0, function* () {
      });
    }
    get parentReceipt() {
      return {};
    }
  }
  CdvPurchase2.Transaction = Transaction;
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Internal) {
    class LocalReceipts {
      static find(localReceipts, product) {
        var _a, _b;
        if (!product)
          return void 0;
        let found;
        for (const receipt of localReceipts) {
          if (product.platform && receipt.platform !== product.platform)
            continue;
          for (const transaction of receipt.transactions) {
            for (const trProducts of transaction.products) {
              if (trProducts.id === product.id) {
                if (!found || ((_a = transaction.purchaseDate) !== null && _a !== void 0 ? _a : 0) < ((_b = found.purchaseDate) !== null && _b !== void 0 ? _b : 1))
                  found = transaction;
              }
            }
          }
        }
        return found;
      }
      static isOwned(localReceipts, product) {
        if (!product)
          return false;
        const transaction = LocalReceipts.find(localReceipts, product);
        if (!transaction)
          return false;
        if (transaction.isConsumed)
          return false;
        if (transaction.isPending)
          return false;
        if (transaction.expirationDate)
          return transaction.expirationDate.getTime() > +new Date();
        return true;
      }
      static canPurchase(localReceipts, product) {
        if (!product)
          return false;
        const transaction = LocalReceipts.find(localReceipts, product);
        if (!transaction)
          return true;
        if (transaction.isConsumed)
          return true;
        if (transaction.expirationDate)
          return transaction.expirationDate.getTime() <= +new Date();
        return true;
      }
    }
    Internal.LocalReceipts = LocalReceipts;
  })(CdvPurchase2.Internal || (CdvPurchase2.Internal = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Internal) {
    function owned(options) {
      if (options.verifiedReceipts !== void 0) {
        return Internal.VerifiedReceipts.isOwned(options.verifiedReceipts, options.product);
      } else if (options.localReceipts !== void 0) {
        return Internal.LocalReceipts.isOwned(options.localReceipts, options.product);
      } else {
        return false;
      }
    }
    Internal.owned = owned;
  })(CdvPurchase2.Internal || (CdvPurchase2.Internal = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Internal) {
    class PromiseLike {
      constructor() {
        this.resolved = false;
        this.callbacks = [];
      }
      push(callback) {
        if (this.resolved)
          setTimeout(callback, 0, this.resolvedArgument);
        else
          this.callbacks.push(callback);
      }
      resolve(value) {
        if (this.resolved)
          return;
        this.resolved = true;
        this.resolvedArgument = value;
        this.callbacks.forEach((cb) => setTimeout(cb, 0, value));
        this.callbacks = [];
      }
    }
    Internal.PromiseLike = PromiseLike;
  })(CdvPurchase2.Internal || (CdvPurchase2.Internal = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Internal) {
    class Retry {
      constructor(minTimeout = 5e3, maxTimeout = 12e4) {
        this.maxTimeout = 12e4;
        this.minTimeout = 5e3;
        this.retryTimeout = 5e3;
        this.retries = [];
        this.minTimeout = minTimeout;
        this.maxTimeout = maxTimeout;
        this.retryTimeout = minTimeout;
        document.addEventListener("online", () => {
          const a = this.retries;
          this.retries = [];
          this.retryTimeout = this.minTimeout;
          for (var i = 0; i < a.length; ++i) {
            clearTimeout(a[i].tid);
            a[i].fn.call(this);
          }
        }, false);
      }
      retry(fn) {
        var tid = setTimeout(() => {
          this.retries = this.retries.filter(function(o) {
            return tid !== o.tid;
          });
          fn();
        }, this.retryTimeout);
        this.retries.push({ tid, fn });
        this.retryTimeout *= 2;
        if (this.retryTimeout > this.maxTimeout)
          this.retryTimeout = this.maxTimeout;
      }
    }
    Internal.Retry = Retry;
  })(CdvPurchase2.Internal || (CdvPurchase2.Internal = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Internal) {
    class VerifiedReceipts {
      static find(verifiedReceipts, product) {
        var _a, _b;
        if (!product)
          return void 0;
        let found;
        for (const receipt of verifiedReceipts) {
          if (product.platform && receipt.platform !== product.platform)
            continue;
          for (const purchase of receipt.collection) {
            if (purchase.id === product.id) {
              if (((_a = found === null || found === void 0 ? void 0 : found.purchaseDate) !== null && _a !== void 0 ? _a : 0) < ((_b = purchase.purchaseDate) !== null && _b !== void 0 ? _b : 1))
                found = purchase;
            }
          }
        }
        return found;
      }
      static isOwned(verifiedReceipts, product) {
        if (!product)
          return false;
        const purchase = VerifiedReceipts.find(verifiedReceipts, product);
        if (!purchase)
          return false;
        if (purchase === null || purchase === void 0 ? void 0 : purchase.isExpired)
          return false;
        if (purchase === null || purchase === void 0 ? void 0 : purchase.expiryDate) {
          return purchase.expiryDate > +new Date();
        }
        return true;
      }
      static getVerifiedPurchases(verifiedReceipts) {
        var _a, _b, _c, _d;
        const indexed = {};
        for (const receipt of verifiedReceipts) {
          for (const purchase of receipt.collection) {
            const key = receipt.platform + ":" + purchase.id;
            const existing = indexed[key];
            if (!existing || existing && ((_b = (_a = existing.lastRenewalDate) !== null && _a !== void 0 ? _a : existing.purchaseDate) !== null && _b !== void 0 ? _b : 0) < ((_d = (_c = purchase.lastRenewalDate) !== null && _c !== void 0 ? _c : purchase.purchaseDate) !== null && _d !== void 0 ? _d : 0)) {
              indexed[key] = Object.assign(Object.assign({}, purchase), { platform: receipt.platform });
            }
          }
        }
        return Object.keys(indexed).map((key) => indexed[key]);
      }
    }
    Internal.VerifiedReceipts = VerifiedReceipts;
  })(CdvPurchase2.Internal || (CdvPurchase2.Internal = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(ApplePay) {
    (function(ContactField) {
      ContactField["Name"] = "name";
      ContactField["EmailAddress"] = "emailAddress";
      ContactField["PhoneNumber"] = "phoneNumber";
      ContactField["PostalAddress"] = "postalAddress";
      ContactField["PhoneticName"] = "phoneticName";
    })(ApplePay.ContactField || (ApplePay.ContactField = {}));
    (function(PaymentNetwork) {
      PaymentNetwork["Amex"] = "Amex";
      PaymentNetwork["Barcode"] = "Barcode";
      PaymentNetwork["CartesBancaires"] = "CartesBancaires";
      PaymentNetwork["ChinaUnionPay"] = "ChinaUnionPay";
      PaymentNetwork["Dankort"] = "Dankort";
      PaymentNetwork["Discover"] = "Discover";
      PaymentNetwork["Eftpos"] = "Eftpos";
      PaymentNetwork["Electron"] = "Electron";
      PaymentNetwork["Elo"] = "Elo";
      PaymentNetwork["Girocard"] = "Girocard";
      PaymentNetwork["IDCredit"] = "IDCredit";
      PaymentNetwork["Interac"] = "Interac";
      PaymentNetwork["JCB"] = "JCB";
      PaymentNetwork["Mada"] = "Mada";
      PaymentNetwork["Maestro"] = "Maestro";
      PaymentNetwork["MasterCard"] = "MasterCard";
      PaymentNetwork["Mir"] = "Mir";
      PaymentNetwork["Nanaco"] = "Nanaco";
      PaymentNetwork["PrivateLabel"] = "PrivateLabel";
      PaymentNetwork["QuicPay"] = "QuicPay";
      PaymentNetwork["Suica"] = "Suica";
      PaymentNetwork["Visa"] = "Visa";
      PaymentNetwork["VPay"] = "VPay";
      PaymentNetwork["Waon"] = "Waon";
    })(ApplePay.PaymentNetwork || (ApplePay.PaymentNetwork = {}));
    (function(MerchantCapability) {
      MerchantCapability["ThreeDS"] = "3DS";
      MerchantCapability["EMV"] = "EMV";
      MerchantCapability["Credit"] = "Credit";
      MerchantCapability["Debit"] = "Debit";
    })(ApplePay.MerchantCapability || (ApplePay.MerchantCapability = {}));
  })(CdvPurchase2.ApplePay || (CdvPurchase2.ApplePay = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(AppleAppStore) {
    function virtualTransactionId(productId) {
      return `virtual.${productId}`;
    }
    class Adapter {
      constructor(context, options) {
        var _a, _b;
        this.id = CdvPurchase2.Platform.APPLE_APPSTORE;
        this.name = "AppStore";
        this.ready = false;
        this._canMakePayments = false;
        this.forceReceiptReload = false;
        this._products = [];
        this.validProducts = {};
        this._paymentMonitor = () => {
        };
        this.supportsParallelLoading = true;
        this._appStoreReceiptLoading = false;
        this._appStoreReceiptCallbacks = [];
        this.context = context;
        this.bridge = new AppleAppStore.Bridge.Bridge();
        this.log = context.log.child("AppleAppStore");
        this.discountEligibilityDeterminer = options.discountEligibilityDeterminer;
        this.needAppReceipt = (_a = options.needAppReceipt) !== null && _a !== void 0 ? _a : true;
        this.autoFinish = (_b = options.autoFinish) !== null && _b !== void 0 ? _b : false;
        this.pseudoReceipt = new CdvPurchase2.Receipt(CdvPurchase2.Platform.APPLE_APPSTORE, this.context.apiDecorators);
        this.receiptsUpdated = CdvPurchase2.Utils.debounce(() => {
          this._receiptsUpdated();
        }, 300);
      }
      get products() {
        return this._products;
      }
      getProduct(id2) {
        return this._products.find((p) => p.id === id2);
      }
      get receipts() {
        if (!this.isSupported)
          return [];
        return (this._receipt ? [this._receipt] : []).concat(this.pseudoReceipt ? this.pseudoReceipt : []);
      }
      addValidProducts(registerProducts, validProducts) {
        validProducts.forEach((vp) => {
          const rp = registerProducts.find((p) => p.id === vp.id);
          if (!rp)
            return;
          this.validProducts[vp.id] = Object.assign(Object.assign({}, vp), rp);
        });
      }
      get isSupported() {
        return window.cordova.platformId === "ios";
      }
      upsertTransactionInProgress(productId, state) {
        const transactionId = virtualTransactionId(productId);
        return new Promise((resolve) => {
          const existing = this.pseudoReceipt.transactions.find((t) => t.transactionId === transactionId);
          if (existing) {
            existing.state = state;
            existing.refresh(productId);
            resolve(existing);
          } else {
            const tr = new AppleAppStore.SKTransaction(CdvPurchase2.Platform.APPLE_APPSTORE, this.pseudoReceipt, this.context.apiDecorators);
            tr.state = state;
            tr.transactionId = transactionId;
            tr.refresh(productId);
            this.pseudoReceipt.transactions.push(tr);
            resolve(tr);
          }
        });
      }
      removeTransactionInProgress(productId) {
        const transactionId = virtualTransactionId(productId);
        this.pseudoReceipt.transactions = this.pseudoReceipt.transactions.filter((t) => t.transactionId !== transactionId);
      }
      upsertTransaction(productId, transactionId, state) {
        return __awaiter(this, void 0, void 0, function* () {
          return new Promise((resolve) => {
            this.initializeAppReceipt(() => {
              var _a;
              if (!this._receipt) {
                this.log.warn("Failed to load the application receipt, cannot proceed with handling the purchase");
                return;
              }
              const existing = (_a = this._receipt) === null || _a === void 0 ? void 0 : _a.transactions.find((t) => t.transactionId === transactionId);
              if (existing) {
                existing.state = state;
                existing.refresh(productId);
                resolve(existing);
              } else {
                const tr = new AppleAppStore.SKTransaction(CdvPurchase2.Platform.APPLE_APPSTORE, this._receipt, this.context.apiDecorators);
                tr.state = state;
                tr.transactionId = transactionId;
                tr.refresh(productId);
                this._receipt.transactions.push(tr);
                resolve(tr);
              }
            });
          });
        });
      }
      removeTransaction(transactionId) {
        if (this._receipt) {
          this._receipt.transactions = this._receipt.transactions.filter((t) => t.transactionId !== transactionId);
        }
      }
      _receiptsUpdated() {
        if (this._receipt) {
          this.log.debug("receipt updated and ready.");
          this.context.listener.receiptsUpdated(CdvPurchase2.Platform.APPLE_APPSTORE, [this._receipt, this.pseudoReceipt]);
          this.context.listener.receiptsReady(CdvPurchase2.Platform.APPLE_APPSTORE);
        } else {
          this.log.debug("receipt updated.");
          this.context.listener.receiptsUpdated(CdvPurchase2.Platform.APPLE_APPSTORE, [this.pseudoReceipt]);
        }
      }
      setPaymentMonitor(fn) {
        this._paymentMonitor = fn;
      }
      callPaymentMonitor(status, code, message) {
        this._paymentMonitor(status);
      }
      initialize() {
        return new Promise((resolve) => {
          this.log.info("bridge.init");
          const bridgeLogger = this.log.child("Bridge");
          this.bridge.init({
            autoFinish: this.autoFinish,
            debug: this.context.verbosity === CdvPurchase2.LogLevel.DEBUG,
            log: (msg) => bridgeLogger.debug(msg),
            error: (code, message, options) => {
              this.log.error("ERROR: " + code + " - " + message);
              if (code === CdvPurchase2.ErrorCode.PAYMENT_CANCELLED) {
                this.callPaymentMonitor("cancelled", CdvPurchase2.ErrorCode.PAYMENT_CANCELLED, message);
                return;
              } else {
                this.context.error(appStoreError(code, message, (options === null || options === void 0 ? void 0 : options.productId) || null));
              }
            },
            ready: () => {
              this.log.info("ready");
            },
            purchased: (transactionIdentifier, productId, originalTransactionIdentifier, transactionDate, discountId) => __awaiter(this, void 0, void 0, function* () {
              this.log.info("purchase: id:" + transactionIdentifier + " product:" + productId + " originalTransaction:" + originalTransactionIdentifier + " - date:" + transactionDate + " - discount:" + discountId);
              const transaction = yield this.upsertTransaction(productId, transactionIdentifier, CdvPurchase2.TransactionState.APPROVED);
              transaction.refresh(productId, originalTransactionIdentifier, transactionDate, discountId);
              this.removeTransactionInProgress(productId);
              this.receiptsUpdated();
              this.callPaymentMonitor("purchased");
            }),
            purchaseEnqueued: (productId, quantity) => __awaiter(this, void 0, void 0, function* () {
              this.log.info("purchaseEnqueued: " + productId + " - " + quantity);
              yield this.upsertTransactionInProgress(productId, CdvPurchase2.TransactionState.INITIATED);
              this.context.listener.receiptsUpdated(CdvPurchase2.Platform.APPLE_APPSTORE, [this.pseudoReceipt]);
            }),
            purchaseFailed: (productId, code, message) => {
              this.log.info("purchaseFailed: " + productId + " - " + code + " - " + message);
              this.removeTransactionInProgress(productId);
              this.context.listener.receiptsUpdated(CdvPurchase2.Platform.APPLE_APPSTORE, [this.pseudoReceipt]);
              this.callPaymentMonitor("failed", code, message);
            },
            purchasing: (productId) => __awaiter(this, void 0, void 0, function* () {
              this.log.info("purchasing: " + productId);
              yield this.upsertTransactionInProgress(productId, CdvPurchase2.TransactionState.INITIATED);
              this.context.listener.receiptsUpdated(CdvPurchase2.Platform.APPLE_APPSTORE, [this.pseudoReceipt]);
            }),
            deferred: (productId) => __awaiter(this, void 0, void 0, function* () {
              this.log.info("deferred: " + productId);
              yield this.upsertTransactionInProgress(productId, CdvPurchase2.TransactionState.PENDING);
              this.context.listener.receiptsUpdated(CdvPurchase2.Platform.APPLE_APPSTORE, [this.pseudoReceipt]);
              this.callPaymentMonitor("deferred");
            }),
            finished: (transactionIdentifier, productId) => __awaiter(this, void 0, void 0, function* () {
              this.log.info("finish: " + transactionIdentifier + " - " + productId);
              this.removeTransactionInProgress(productId);
              yield this.upsertTransaction(productId, transactionIdentifier, CdvPurchase2.TransactionState.FINISHED);
              this.receiptsUpdated();
            }),
            restored: (transactionIdentifier, productId) => __awaiter(this, void 0, void 0, function* () {
              this.log.info("restore: " + transactionIdentifier + " - " + productId);
              yield this.upsertTransaction(productId, transactionIdentifier, CdvPurchase2.TransactionState.APPROVED);
              this.receiptsUpdated();
            }),
            receiptsRefreshed: (receipt) => {
              this.log.info("receiptsRefreshed");
              if (this._receipt)
                this._receipt.refresh(receipt, this.needAppReceipt, this.context.apiDecorators);
            },
            restoreFailed: (errorCode) => {
              this.log.info("restoreFailed: " + errorCode);
            },
            restoreCompleted: () => {
              this.log.info("restoreCompleted");
            }
          }, () => __awaiter(this, void 0, void 0, function* () {
            this.log.info("bridge.init done");
            yield this.canMakePayments();
            resolve(void 0);
          }), (code, message) => {
            this.log.info("bridge.init failed: " + code + " - " + message);
            resolve(appStoreError(code, message, null));
          });
        });
      }
      loadReceipts() {
        return new Promise((resolve) => {
          setTimeout(() => {
            this.initializeAppReceipt(() => {
              this.receiptsUpdated();
              if (this._receipt) {
                resolve([this._receipt, this.pseudoReceipt]);
              } else {
                resolve([this.pseudoReceipt]);
              }
            });
          }, 300);
        });
      }
      canMakePayments() {
        return __awaiter(this, void 0, void 0, function* () {
          return new Promise((resolve) => {
            this.bridge.canMakePayments(() => {
              this._canMakePayments = true;
              resolve(true);
            }, (message) => {
              this.log.warn(`canMakePayments: ${message}`);
              this._canMakePayments = false;
              resolve(false);
            });
          });
        });
      }
      initializeAppReceipt(callback) {
        return __awaiter(this, void 0, void 0, function* () {
          if (this._receipt) {
            this.log.debug("initializeAppReceipt() => already initialized.");
            return callback(void 0);
          }
          this._appStoreReceiptCallbacks.push(callback);
          if (this._appStoreReceiptLoading) {
            this.log.debug("initializeAppReceipt() => already loading.");
            return;
          }
          this._appStoreReceiptLoading = true;
          const nativeData = yield this.loadAppStoreReceipt();
          const callCallbacks = (arg) => {
            const callbacks = this._appStoreReceiptCallbacks;
            this._appStoreReceiptCallbacks = [];
            callbacks.forEach((cb) => {
              cb(arg);
            });
          };
          if (!(nativeData === null || nativeData === void 0 ? void 0 : nativeData.appStoreReceipt)) {
            this.log.warn("no appStoreReceipt");
            this._appStoreReceiptLoading = false;
            callCallbacks(appStoreError(CdvPurchase2.ErrorCode.REFRESH, "No appStoreReceipt", null));
            return;
          }
          this._receipt = new AppleAppStore.SKApplicationReceipt(nativeData, this.needAppReceipt, this.context.apiDecorators);
          callCallbacks(void 0);
        });
      }
      prepareReceipt(nativeData) {
        if (nativeData === null || nativeData === void 0 ? void 0 : nativeData.appStoreReceipt) {
          if (!this._receipt) {
            this._receipt = new AppleAppStore.SKApplicationReceipt(nativeData, this.needAppReceipt, this.context.apiDecorators);
          } else {
            this._receipt.refresh(nativeData, this.needAppReceipt, this.context.apiDecorators);
          }
        }
      }
      loadAppStoreReceipt() {
        return __awaiter(this, void 0, void 0, function* () {
          let resolved = false;
          return new Promise((resolve) => {
            var _a;
            if ((_a = this.bridge.appStoreReceipt) === null || _a === void 0 ? void 0 : _a.appStoreReceipt) {
              this.log.debug("using cached appstore receipt");
              return resolve(this.bridge.appStoreReceipt);
            }
            this.log.debug("loading appstore receipt...");
            this.bridge.loadReceipts((receipt) => {
              this.log.debug("appstore receipt loaded");
              if (!resolved)
                resolve(receipt);
              resolved = true;
            }, (code, message) => {
              this.log.warn("Failed to load appStoreReceipt: " + code + " - " + message);
              if (!resolved)
                resolve(void 0);
              resolved = true;
            });
            setTimeout(function() {
              if (!resolved)
                resolve(void 0);
              resolved = true;
            }, 5e3);
          }).then((result) => {
            this.context.listener.receiptsReady(CdvPurchase2.Platform.APPLE_APPSTORE);
            return result;
          }).catch((reason) => {
            this.context.listener.receiptsReady(CdvPurchase2.Platform.APPLE_APPSTORE);
            return reason;
          });
        });
      }
      loadEligibility(validProducts) {
        return __awaiter(this, void 0, void 0, function* () {
          this.log.debug("load eligibility: " + JSON.stringify(validProducts));
          if (!this.discountEligibilityDeterminer) {
            this.log.debug("No discount eligibility determiner, skipping...");
            return new AppleAppStore.Internal.DiscountEligibilities([], []);
          }
          const eligibilityRequests = [];
          validProducts.forEach((valid) => {
            var _a, _b, _c;
            (_a = valid.discounts) === null || _a === void 0 ? void 0 : _a.forEach((discount) => {
              eligibilityRequests.push({
                productId: valid.id,
                discountId: discount.id,
                discountType: discount.type
              });
            });
            if (((_c = (_b = valid.discounts) === null || _b === void 0 ? void 0 : _b.length) !== null && _c !== void 0 ? _c : 0) === 0 && valid.introPrice) {
              eligibilityRequests.push({
                productId: valid.id,
                discountId: "intro",
                discountType: "Introductory"
              });
            }
          });
          if (eligibilityRequests.length > 0) {
            const applicationReceipt = yield this.loadAppStoreReceipt();
            if (!applicationReceipt || !applicationReceipt.appStoreReceipt) {
              this.log.debug("no receipt, assuming introductory price are available.");
              return new AppleAppStore.Internal.DiscountEligibilities(eligibilityRequests, eligibilityRequests.map((r) => r.discountType === "Introductory"));
            } else {
              this.log.debug("calling discount eligibility determiner.");
              const response = yield this.callDiscountEligibilityDeterminer(applicationReceipt, eligibilityRequests);
              this.log.debug("response: " + JSON.stringify(response));
              return new AppleAppStore.Internal.DiscountEligibilities(eligibilityRequests, response);
            }
          } else {
            return new AppleAppStore.Internal.DiscountEligibilities([], []);
          }
        });
      }
      callDiscountEligibilityDeterminer(applicationReceipt, eligibilityRequests) {
        return new Promise((resolve) => {
          if (!this.discountEligibilityDeterminer)
            return resolve([]);
          this.discountEligibilityDeterminer(applicationReceipt, eligibilityRequests, resolve);
        });
      }
      loadProducts(products) {
        return new Promise((resolve) => {
          this.log.info("bridge.load");
          this.bridge.load(products.map((p) => p.id), (validProducts, invalidProducts) => __awaiter(this, void 0, void 0, function* () {
            this.log.info("bridge.loaded: " + JSON.stringify({ validProducts, invalidProducts }));
            this.addValidProducts(products, validProducts);
            const eligibilities = yield this.loadEligibility(validProducts);
            this.log.info("eligibilities ready: " + JSON.stringify(eligibilities));
            const ret = products.map((p) => {
              if (invalidProducts.indexOf(p.id) >= 0) {
                this.log.debug(`${p.id} is invalid`);
                return appStoreError(CdvPurchase2.ErrorCode.INVALID_PRODUCT_ID, "Product not found in AppStore. #400", p.id);
              } else {
                const valid = validProducts.find((v) => v.id === p.id);
                this.log.debug(`${p.id} is valid: ${JSON.stringify(valid)}`);
                if (!valid)
                  return appStoreError(CdvPurchase2.ErrorCode.INVALID_PRODUCT_ID, "Product not found in AppStore. #404", p.id);
                let product = this.getProduct(p.id);
                if (product) {
                  this.log.debug("refreshing existing product");
                  product === null || product === void 0 ? void 0 : product.refresh(valid, this.context.apiDecorators, eligibilities);
                } else {
                  this.log.debug("registering new product");
                  product = new AppleAppStore.SKProduct(valid, p, this.context.apiDecorators, eligibilities);
                  this._products.push(product);
                }
                return product;
              }
            });
            this.log.debug(`Products loaded: ${JSON.stringify(ret)}`);
            resolve(ret);
          }), (code, message) => {
            return products.map((p) => appStoreError(code, message, null));
          });
        });
      }
      order(offer, additionalData) {
        return __awaiter(this, void 0, void 0, function* () {
          let resolved = false;
          return new Promise((resolve) => {
            var _a;
            const callResolve = (result) => {
              if (resolved)
                return;
              this.setPaymentMonitor(() => {
              });
              resolved = true;
              resolve(result);
            };
            this.log.info("order");
            const discountId = offer.id !== AppleAppStore.DEFAULT_OFFER_ID ? offer.id : void 0;
            const discount = (_a = additionalData === null || additionalData === void 0 ? void 0 : additionalData.appStore) === null || _a === void 0 ? void 0 : _a.discount;
            if (discountId && !discount) {
              return callResolve(appStoreError(CdvPurchase2.ErrorCode.MISSING_OFFER_PARAMS, "Missing additionalData.appStore.discount when ordering a discount offer", offer.productId));
            }
            if (discountId && (discount === null || discount === void 0 ? void 0 : discount.id) !== discountId) {
              return callResolve(appStoreError(CdvPurchase2.ErrorCode.INVALID_OFFER_IDENTIFIER, "Offer identifier does not match additionalData.appStore.discount.id", offer.productId));
            }
            this.setPaymentMonitor((status, code, message) => {
              this.log.info("order.paymentMonitor => " + status + " " + (code !== null && code !== void 0 ? code : "") + " " + (message !== null && message !== void 0 ? message : ""));
              if (resolved)
                return;
              switch (status) {
                case "cancelled":
                  callResolve(appStoreError(code !== null && code !== void 0 ? code : CdvPurchase2.ErrorCode.PAYMENT_CANCELLED, message !== null && message !== void 0 ? message : "The user cancelled the order.", offer.productId));
                  break;
                case "failed":
                  setTimeout(() => {
                    callResolve(appStoreError(code !== null && code !== void 0 ? code : CdvPurchase2.ErrorCode.PURCHASE, message !== null && message !== void 0 ? message : "Purchase failed", offer.productId));
                  }, 500);
                  break;
                case "purchased":
                case "deferred":
                  callResolve(void 0);
                  break;
              }
            });
            const success = () => {
              this.log.info("order.success");
            };
            const error = () => {
              this.log.info("order.error");
              callResolve(appStoreError(CdvPurchase2.ErrorCode.PURCHASE, "Failed to place order", offer.productId));
            };
            this.forceReceiptReload = true;
            this.bridge.purchase(offer.productId, 1, this.context.getApplicationUsername(), discount, success, error);
          });
        });
      }
      finish(transaction) {
        return new Promise((resolve) => {
          this.log.info("finish(" + transaction.transactionId + ")");
          if (transaction.transactionId === AppleAppStore.APPLICATION_VIRTUAL_TRANSACTION_ID || transaction.transactionId === virtualTransactionId(transaction.products[0].id)) {
            transaction.state = CdvPurchase2.TransactionState.FINISHED;
            this.context.listener.receiptsUpdated(CdvPurchase2.Platform.APPLE_APPSTORE, [transaction.parentReceipt]);
            return resolve(void 0);
          }
          const success = () => {
            transaction.state = CdvPurchase2.TransactionState.FINISHED;
            this.context.listener.receiptsUpdated(CdvPurchase2.Platform.APPLE_APPSTORE, [transaction.parentReceipt]);
            resolve(void 0);
          };
          const error = (msg) => {
            var _a, _b;
            if (msg === null || msg === void 0 ? void 0 : msg.includes("[#CdvPurchase:100]")) {
              success();
            } else {
              resolve(appStoreError(CdvPurchase2.ErrorCode.FINISH, "Failed to finish transaction", (_b = (_a = transaction.products[0]) === null || _a === void 0 ? void 0 : _a.id) !== null && _b !== void 0 ? _b : null));
            }
          };
          this.bridge.finish(transaction.transactionId, success, error);
        });
      }
      refreshReceipt() {
        return new Promise((resolve) => {
          const success = (receipt) => {
            resolve(receipt);
          };
          const error = (code, message) => {
            resolve(appStoreError(code, message, null));
          };
          this.bridge.refreshReceipts(success, error);
        });
      }
      receiptValidationBody(receipt) {
        return __awaiter(this, void 0, void 0, function* () {
          if (receipt.platform !== CdvPurchase2.Platform.APPLE_APPSTORE)
            return;
          if (receipt !== this._receipt)
            return;
          const skReceipt = receipt;
          let applicationReceipt = skReceipt.nativeData;
          if (this.forceReceiptReload) {
            this.forceReceiptReload = false;
            const nativeData = yield this.loadAppStoreReceipt();
            if (nativeData) {
              applicationReceipt = nativeData;
              this.prepareReceipt(nativeData);
            }
          }
          if (!skReceipt.nativeData.appStoreReceipt) {
            this.log.info("Cannot prepare the receipt validation body, because appStoreReceipt is missing. Refreshing...");
            const result = yield this.refreshReceipt();
            if (!result || "isError" in result) {
              this.log.warn("Failed to refresh receipt, cannot run receipt validation.");
              if (result)
                this.log.error(result);
              return;
            }
            this.log.info("Receipt refreshed.");
            applicationReceipt = result;
          }
          const transaction = skReceipt.transactions.slice(-1)[0];
          return {
            id: applicationReceipt.bundleIdentifier,
            type: CdvPurchase2.ProductType.APPLICATION,
            products: CdvPurchase2.Utils.objectValues(this.validProducts).map((vp) => new AppleAppStore.SKProduct(vp, vp, this.context.apiDecorators, { isEligible: () => true })),
            transaction: {
              type: "ios-appstore",
              id: transaction === null || transaction === void 0 ? void 0 : transaction.transactionId,
              appStoreReceipt: applicationReceipt.appStoreReceipt
            }
          };
        });
      }
      handleReceiptValidationResponse(_receipt, response) {
        var _a, _b;
        return __awaiter(this, void 0, void 0, function* () {
          let localReceiptUpdated = false;
          if (response.ok) {
            const vTransaction = (_a = response.data) === null || _a === void 0 ? void 0 : _a.transaction;
            if ((vTransaction === null || vTransaction === void 0 ? void 0 : vTransaction.type) === "ios-appstore" && "original_application_version" in vTransaction) {
              (_b = this._receipt) === null || _b === void 0 ? void 0 : _b.transactions.forEach((t) => {
                if (t.transactionId === AppleAppStore.APPLICATION_VIRTUAL_TRANSACTION_ID) {
                  if (vTransaction.original_purchase_date_ms) {
                    t.purchaseDate = new Date(parseInt(vTransaction.original_purchase_date_ms));
                    localReceiptUpdated = true;
                  }
                }
              });
            }
          }
          if (localReceiptUpdated)
            this.context.listener.receiptsUpdated(CdvPurchase2.Platform.APPLE_APPSTORE, [_receipt]);
        });
      }
      requestPayment(payment, additionalData) {
        return __awaiter(this, void 0, void 0, function* () {
          return appStoreError(CdvPurchase2.ErrorCode.UNKNOWN, "requestPayment not supported", null);
        });
      }
      manageSubscriptions() {
        return __awaiter(this, void 0, void 0, function* () {
          this.bridge.manageSubscriptions();
          return;
        });
      }
      manageBilling() {
        return __awaiter(this, void 0, void 0, function* () {
          this.bridge.manageBilling();
          return;
        });
      }
      checkSupport(functionality) {
        if (functionality === "order")
          return this._canMakePayments;
        const supported = [
          "order",
          "manageBilling",
          "manageSubscriptions"
        ];
        return supported.indexOf(functionality) >= 0;
      }
      restorePurchases() {
        return new Promise((resolve) => {
          this.forceReceiptReload = true;
          this.bridge.restore();
          this.bridge.refreshReceipts((obj) => {
            resolve();
          }, (code, message) => {
            resolve();
          });
        });
      }
      presentCodeRedemptionSheet() {
        return new Promise((resolve) => {
          this.bridge.presentCodeRedemptionSheet(resolve);
        });
      }
    }
    AppleAppStore.Adapter = Adapter;
    function appStoreError(code, message, productId) {
      return CdvPurchase2.storeError(code, message, CdvPurchase2.Platform.APPLE_APPSTORE, productId);
    }
  })(CdvPurchase2.AppleAppStore || (CdvPurchase2.AppleAppStore = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(AppleAppStore) {
    (function(Bridge_1) {
      const noop2 = (args) => {
      };
      let log = noop2;
      function exec(methodName, options, success, error) {
        window.cordova.exec(success, error, "InAppPurchase", methodName, options);
      }
      function protectCall(callback, context, ...args) {
        if (!callback) {
          return;
        }
        try {
          callback.apply(this, args);
        } catch (err) {
          log("exception in " + context + ': "' + err + '"');
        }
      }
      class Bridge {
        constructor() {
          this.transactionsForProduct = {};
          this.initialized = false;
          this.registeredProducts = [];
          this.needRestoreNotification = false;
          this.pendingUpdates = [];
          this.onPurchased = false;
          this.onFailed = false;
          this.onRestored = false;
          window.storekit = this;
          this.options = {
            error: noop2,
            ready: noop2,
            purchased: noop2,
            purchaseEnqueued: noop2,
            purchasing: noop2,
            purchaseFailed: noop2,
            deferred: noop2,
            finished: noop2,
            restored: noop2,
            receiptsRefreshed: noop2,
            restoreFailed: noop2,
            restoreCompleted: noop2
          };
        }
        init(options, success, error) {
          this.options = {
            error: options.error || noop2,
            ready: options.ready || noop2,
            purchased: options.purchased || noop2,
            purchaseEnqueued: options.purchaseEnqueued || noop2,
            purchasing: options.purchasing || noop2,
            purchaseFailed: options.purchaseFailed || noop2,
            deferred: options.deferred || noop2,
            finished: options.finished || noop2,
            restored: options.restored || noop2,
            receiptsRefreshed: options.receiptsRefreshed || noop2,
            restoreFailed: options.restoreFailed || noop2,
            restoreCompleted: options.restoreCompleted || noop2
          };
          if (options.debug) {
            exec("debug", [], noop2, noop2);
            log = options.log || function(msg) {
              console.log("[CdvPurchase.AppAppStore.Bridge] " + msg);
            };
          }
          if (options.autoFinish) {
            exec("autoFinish", [], noop2, noop2);
          }
          const setupOk = () => {
            log("setup ok");
            protectCall(this.options.ready, "options.ready");
            protectCall(success, "init.success");
            this.initialized = true;
            setTimeout(() => this.processPendingTransactions(), 50);
          };
          const setupFailed = () => {
            log("setup failed");
            protectCall(error, "init.error", CdvPurchase2.ErrorCode.SETUP, "Setup failed");
          };
          exec("setup", [], setupOk, setupFailed);
        }
        processPendingTransactions() {
          log("processing pending transactions");
          exec("processPendingTransactions", [], () => {
            this.finalizeTransactionUpdates();
          }, void 0);
        }
        purchase(productId, quantity, applicationUsername, discount, success, error) {
          quantity = quantity | 0 || 1;
          const options = this.options;
          if (this.registeredProducts.indexOf(productId) < 0) {
            const msg = "Purchasing " + productId + " failed.  Ensure the product was loaded first with Bridge.load(...)!";
            log(msg);
            if (typeof options.error === "function") {
              protectCall(options.error, "options.error", CdvPurchase2.ErrorCode.PURCHASE, "Trying to purchase a unknown product.", { productId, quantity });
            }
            return;
          }
          const purchaseOk = () => {
            log("Purchase enqueued " + productId);
            if (typeof options.purchaseEnqueued === "function") {
              protectCall(options.purchaseEnqueued, "options.purchaseEnqueued", productId, quantity);
            }
            protectCall(success, "purchase.success");
          };
          const purchaseFailed = () => {
            const errMsg = "Purchase failed: " + productId;
            log(errMsg);
            if (typeof options.error === "function") {
              protectCall(options.error, "options.error", CdvPurchase2.ErrorCode.PURCHASE, errMsg, { productId, quantity });
            }
            protectCall(error, "purchase.error");
          };
          exec("purchase", [productId, quantity, applicationUsername, discount || {}], purchaseOk, purchaseFailed);
        }
        canMakePayments(success, error) {
          return exec("canMakePayments", [], success, error);
        }
        restore(callback) {
          this.needRestoreNotification = true;
          exec("restoreCompletedTransactions", [], callback, callback);
        }
        manageSubscriptions(callback) {
          exec("manageSubscriptions", [], callback, callback);
        }
        manageBilling(callback) {
          exec("manageBilling", [], callback, callback);
        }
        presentCodeRedemptionSheet(callback) {
          exec("presentCodeRedemptionSheet", [], callback, callback);
        }
        load(productIds, success, error) {
          const options = this.options;
          if (typeof productIds === "string") {
            productIds = [productIds];
          }
          if (!productIds) {
            protectCall(success, "load.success", [], []);
          } else if (!productIds.length) {
            protectCall(success, "load.success", [], []);
          } else {
            if (typeof productIds[0] !== "string") {
              const msg = "invalid productIds given to store.load: " + JSON.stringify(productIds);
              log(msg);
              protectCall(options.error, "options.error", CdvPurchase2.ErrorCode.LOAD, msg);
              protectCall(error, "load.error", CdvPurchase2.ErrorCode.LOAD, msg);
              return;
            }
            log("load " + JSON.stringify(productIds));
            const loadOk = (array) => {
              const valid = array[0];
              const invalid = array[1];
              log("load ok: { valid:" + JSON.stringify(valid) + " invalid:" + JSON.stringify(invalid) + " }");
              protectCall(success, "load.success", valid, invalid);
            };
            const loadFailed = (errMessage) => {
              log("load failed");
              log(errMessage);
              const message = "Load failed: " + errMessage;
              protectCall(options.error, "options.error", CdvPurchase2.ErrorCode.LOAD, message);
              protectCall(error, "load.error", CdvPurchase2.ErrorCode.LOAD, message);
            };
            this.registeredProducts = this.registeredProducts.concat(productIds);
            exec("load", [productIds], loadOk, loadFailed);
          }
        }
        finish(transactionId, success, error) {
          exec("finishTransaction", [transactionId], success, error);
        }
        finalizeTransactionUpdates() {
          for (let i = 0; i < this.pendingUpdates.length; ++i) {
            const args = this.pendingUpdates[i];
            this.transactionUpdated(args.state, args.errorCode, args.errorText, args.transactionIdentifier, args.productId, args.transactionReceipt, args.originalTransactionIdentifier, args.transactionDate, args.discountId);
          }
          this.pendingUpdates = [];
        }
        lastTransactionUpdated() {
        }
        transactionUpdated(state, errorCode, errorText, transactionIdentifier, productId, transactionReceipt, originalTransactionIdentifier, transactionDate, discountId) {
          if (!this.initialized) {
            this.pendingUpdates.push({ state, errorCode, errorText, transactionIdentifier, productId, transactionReceipt, originalTransactionIdentifier, transactionDate, discountId });
            return;
          }
          log("transaction updated:" + transactionIdentifier + " state:" + state + " product:" + productId);
          if (productId && transactionIdentifier) {
            if (this.transactionsForProduct[productId]) {
              this.transactionsForProduct[productId].push(transactionIdentifier);
            } else {
              this.transactionsForProduct[productId] = [transactionIdentifier];
            }
          }
          switch (state) {
            case "PaymentTransactionStatePurchasing":
              protectCall(this.options.purchasing, "options.purchasing", productId);
              return;
            case "PaymentTransactionStatePurchased":
              protectCall(this.options.purchased, "options.purchase", transactionIdentifier, productId, originalTransactionIdentifier, transactionDate, discountId);
              return;
            case "PaymentTransactionStateDeferred":
              protectCall(this.options.deferred, "options.deferred", productId);
              return;
            case "PaymentTransactionStateFailed":
              protectCall(this.options.purchaseFailed, "options.purchaseFailed", productId, errorCode || CdvPurchase2.ErrorCode.UNKNOWN, errorText || "ERROR");
              protectCall(this.options.error, "options.error", errorCode || CdvPurchase2.ErrorCode.UNKNOWN, errorText || "ERROR", { productId });
              return;
            case "PaymentTransactionStateRestored":
              protectCall(this.options.restored, "options.restore", transactionIdentifier, productId);
              return;
            case "PaymentTransactionStateFinished":
              protectCall(this.options.finished, "options.finish", transactionIdentifier, productId);
              return;
          }
        }
        restoreCompletedTransactionsFinished() {
          if (!this.needRestoreNotification)
            return;
          this.needRestoreNotification = false;
          protectCall(this.options.restoreCompleted, "options.restoreCompleted");
        }
        restoreCompletedTransactionsFailed(errorCode) {
          if (!this.needRestoreNotification)
            return;
          this.needRestoreNotification = false;
          protectCall(this.options.restoreFailed, "options.restoreFailed", errorCode);
        }
        parseReceiptArgs(args) {
          const base64 = args[0];
          const bundleIdentifier = args[1];
          const bundleShortVersion = args[2];
          const bundleNumericVersion = args[3];
          const bundleSignature = args[4];
          log("infoPlist: " + bundleIdentifier + "," + bundleShortVersion + "," + bundleNumericVersion + "," + bundleSignature);
          return {
            appStoreReceipt: base64,
            bundleIdentifier,
            bundleShortVersion,
            bundleNumericVersion,
            bundleSignature
          };
        }
        refreshReceipts(successCb, errorCb) {
          const loaded = (args) => {
            const data = this.parseReceiptArgs(args);
            this.appStoreReceipt = data;
            protectCall(this.options.receiptsRefreshed, "options.receiptsRefreshed", data);
            protectCall(successCb, "refreshReceipts.success", data);
          };
          const error = (errMessage) => {
            log("refresh receipt failed: " + errMessage);
            if (errMessage.includes("(@AMSErrorDomain:100)")) {
              log('authentication failed, indicated by the string "(@AMSErrorDomain:100)"');
            }
            protectCall(this.options.error, "options.error", CdvPurchase2.ErrorCode.REFRESH_RECEIPTS, "Failed to refresh receipt: " + errMessage);
            protectCall(errorCb, "refreshReceipts.error", CdvPurchase2.ErrorCode.REFRESH_RECEIPTS, "Failed to refresh receipt: " + errMessage);
          };
          this.appStoreReceipt = null;
          log("refreshing appStoreReceipt");
          exec("appStoreRefreshReceipt", [], loaded, error);
        }
        loadReceipts(callback, errorCb) {
          const loaded = (args) => {
            const data = this.parseReceiptArgs(args);
            this.appStoreReceipt = data;
            protectCall(callback, "loadReceipts.callback", data);
          };
          const error = (errMessage) => {
          };
          log("loading appStoreReceipt");
          exec("appStoreReceipt", [], loaded, error);
        }
      }
      Bridge_1.Bridge = Bridge;
    })(AppleAppStore.Bridge || (AppleAppStore.Bridge = {}));
  })(CdvPurchase2.AppleAppStore || (CdvPurchase2.AppleAppStore = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(AppleAppStore) {
    (function(Internal) {
      class DiscountEligibilities {
        constructor(request, response) {
          this.request = request;
          this.response = response;
        }
        isEligible(productId, discountType, discountId) {
          var _a;
          for (let i = 0; i < this.request.length; ++i) {
            const req = this.request[i];
            if (req.productId === productId && req.discountId === discountId && req.discountType === discountType) {
              return (_a = this.response[i]) !== null && _a !== void 0 ? _a : false;
            }
          }
          return true;
        }
      }
      Internal.DiscountEligibilities = DiscountEligibilities;
    })(AppleAppStore.Internal || (AppleAppStore.Internal = {}));
  })(CdvPurchase2.AppleAppStore || (CdvPurchase2.AppleAppStore = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(AppleAppStore) {
    AppleAppStore.DEFAULT_OFFER_ID = "$";
    class SKOffer extends CdvPurchase2.Offer {
      constructor(options, decorator) {
        super(options, decorator);
        this.offerType = options.offerType;
      }
    }
    AppleAppStore.SKOffer = SKOffer;
    class SKProduct extends CdvPurchase2.Product {
      constructor(validProduct, p, decorator, eligibilities) {
        super(p, decorator);
        this.raw = validProduct;
        this.refresh(validProduct, decorator, eligibilities);
      }
      removeIneligibleDiscounts(eligibilities) {
        this.offers = this.offers.filter((offer) => {
          const skOffer = offer;
          if (skOffer.offerType === "Default")
            return true;
          return eligibilities.isEligible(this.id, skOffer.offerType, offer.id);
        });
      }
      refresh(valid, decorator, eligibilities) {
        var _a;
        this.raw = valid;
        this.title = valid.title;
        this.description = valid.description;
        this.countryCode = valid.countryCode;
        if (valid.group)
          this.group = valid.group;
        this.removeIneligibleDiscounts(eligibilities);
        const finalPhase = {
          price: valid.price,
          priceMicros: valid.priceMicros,
          currency: valid.currency,
          billingPeriod: formatBillingPeriod(valid.billingPeriod, valid.billingPeriodUnit),
          paymentMode: this.type === CdvPurchase2.ProductType.PAID_SUBSCRIPTION ? CdvPurchase2.PaymentMode.PAY_AS_YOU_GO : CdvPurchase2.PaymentMode.UP_FRONT,
          recurrenceMode: this.type === CdvPurchase2.ProductType.PAID_SUBSCRIPTION ? CdvPurchase2.RecurrenceMode.INFINITE_RECURRING : CdvPurchase2.RecurrenceMode.NON_RECURRING
        };
        (_a = valid.discounts) === null || _a === void 0 ? void 0 : _a.forEach((discount) => {
          if (eligibilities.isEligible(valid.id, discount.type, discount.id)) {
            const pricingPhases = [];
            const numCycles = discount.paymentMode === CdvPurchase2.PaymentMode.PAY_AS_YOU_GO ? discount.period : 1;
            const numPeriods = discount.paymentMode === CdvPurchase2.PaymentMode.PAY_AS_YOU_GO ? 1 : discount.period;
            const discountPhase = {
              price: discount.price,
              priceMicros: discount.priceMicros,
              currency: valid.currency,
              billingPeriod: formatBillingPeriod(numPeriods, discount.periodUnit),
              billingCycles: numCycles,
              paymentMode: discount.paymentMode,
              recurrenceMode: CdvPurchase2.RecurrenceMode.FINITE_RECURRING
            };
            pricingPhases.push(discountPhase);
            pricingPhases.push(finalPhase);
            this.addOffer(new SKOffer({ id: discount.id, product: this, pricingPhases, offerType: discount.type }, decorator));
          }
        });
        if (!hasIntroductoryOffer(this)) {
          const defaultPhases = [];
          if (valid.introPrice && valid.introPriceMicros !== void 0 && eligibilities.isEligible(valid.id, "Introductory", "intro")) {
            const introPrice = {
              price: valid.introPrice,
              priceMicros: valid.introPriceMicros,
              currency: valid.currency,
              billingPeriod: formatBillingPeriod(valid.introPricePeriod, valid.introPricePeriodUnit),
              paymentMode: valid.introPricePaymentMode,
              recurrenceMode: CdvPurchase2.RecurrenceMode.FINITE_RECURRING,
              billingCycles: 1
            };
            defaultPhases.push(introPrice);
          }
          defaultPhases.push(finalPhase);
          this.addOffer(new SKOffer({
            id: AppleAppStore.DEFAULT_OFFER_ID,
            product: this,
            pricingPhases: defaultPhases,
            offerType: "Default"
          }, decorator));
        }
        function hasIntroductoryOffer(product) {
          return product.offers.filter((offer) => {
            const skOffer = offer;
            return skOffer.offerType === "Introductory" || skOffer.offerType === "Default" && skOffer.pricingPhases.length > 1;
          }).length > 0;
        }
        function formatBillingPeriod(numPeriods, period) {
          if (numPeriods && period)
            return `P${numPeriods}${period[0]}`;
          else
            return void 0;
        }
      }
    }
    AppleAppStore.SKProduct = SKProduct;
  })(CdvPurchase2.AppleAppStore || (CdvPurchase2.AppleAppStore = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(AppleAppStore) {
    AppleAppStore.APPLICATION_VIRTUAL_TRANSACTION_ID = "appstore.application";
    class SKApplicationReceipt extends CdvPurchase2.Receipt {
      constructor(applicationReceipt, needApplicationReceipt, decorator) {
        super(CdvPurchase2.Platform.APPLE_APPSTORE, decorator);
        this.nativeData = applicationReceipt;
        this.refresh(this.nativeData, needApplicationReceipt, decorator);
      }
      refresh(nativeData, needApplicationReceipt, decorator) {
        this.nativeData = nativeData;
        if (needApplicationReceipt) {
          const existing = this.transactions.find((t2) => t2.transactionId === AppleAppStore.APPLICATION_VIRTUAL_TRANSACTION_ID);
          if (existing) {
            return;
          }
          const t = new CdvPurchase2.Transaction(CdvPurchase2.Platform.APPLE_APPSTORE, this, decorator);
          t.transactionId = AppleAppStore.APPLICATION_VIRTUAL_TRANSACTION_ID;
          t.state = CdvPurchase2.TransactionState.APPROVED;
          t.products.push({
            id: nativeData.bundleIdentifier
          });
          this.transactions.push(t);
        }
      }
    }
    AppleAppStore.SKApplicationReceipt = SKApplicationReceipt;
    class SKTransaction extends CdvPurchase2.Transaction {
      refresh(productId, originalTransactionIdentifier, transactionDate, discountId) {
        if (productId)
          this.products = [{ id: productId, offerId: discountId }];
        if (originalTransactionIdentifier)
          this.originalTransactionId = originalTransactionIdentifier;
        if (transactionDate)
          this.purchaseDate = new Date(+transactionDate);
      }
    }
    AppleAppStore.SKTransaction = SKTransaction;
  })(CdvPurchase2.AppleAppStore || (CdvPurchase2.AppleAppStore = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(AppleAppStore) {
    (function(VerifyReceipt) {
      (function(AppleExpirationIntent) {
        AppleExpirationIntent["CANCELED"] = "1";
        AppleExpirationIntent["BILLING_ERROR"] = "2";
        AppleExpirationIntent["PRICE_INCREASE"] = "3";
        AppleExpirationIntent["PRODUCT_NOT_AVAILABLE"] = "4";
        AppleExpirationIntent["UNKNOWN"] = "5";
      })(VerifyReceipt.AppleExpirationIntent || (VerifyReceipt.AppleExpirationIntent = {}));
    })(AppleAppStore.VerifyReceipt || (AppleAppStore.VerifyReceipt = {}));
  })(CdvPurchase2.AppleAppStore || (CdvPurchase2.AppleAppStore = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Braintree) {
    class BraintreeReceipt extends CdvPurchase2.Receipt {
      constructor(paymentRequest, dropInResult, decorator) {
        var _a, _b, _c;
        super(CdvPurchase2.Platform.BRAINTREE, decorator);
        const transaction = new CdvPurchase2.Transaction(CdvPurchase2.Platform.BRAINTREE, this, decorator);
        transaction.purchaseDate = new Date();
        transaction.products = ((_a = paymentRequest.items) === null || _a === void 0 ? void 0 : _a.filter((p) => p).map((product) => ({ id: (product === null || product === void 0 ? void 0 : product.id) || "" }))) || [];
        transaction.state = CdvPurchase2.TransactionState.APPROVED;
        transaction.transactionId = (_c = (_b = dropInResult.paymentMethodNonce) === null || _b === void 0 ? void 0 : _b.nonce) !== null && _c !== void 0 ? _c : `UNKNOWN_${dropInResult.paymentMethodType}_${dropInResult.paymentDescription}`;
        this.transactions = [transaction];
        this.dropInResult = dropInResult;
        this.paymentRequest = paymentRequest;
        this.refresh(paymentRequest, dropInResult, decorator);
      }
      refresh(paymentRequest, dropInResult, decorator) {
        var _a, _b;
        this.dropInResult = dropInResult;
        this.paymentRequest = paymentRequest;
        const transaction = new CdvPurchase2.Transaction(CdvPurchase2.Platform.BRAINTREE, this, decorator);
        transaction.products = paymentRequest.items.filter((p) => p).map((product) => ({ id: (product === null || product === void 0 ? void 0 : product.id) || "" }));
        transaction.state = CdvPurchase2.TransactionState.APPROVED;
        transaction.transactionId = (_b = (_a = dropInResult.paymentMethodNonce) === null || _a === void 0 ? void 0 : _a.nonce) !== null && _b !== void 0 ? _b : `UNKNOWN_${dropInResult.paymentMethodType}_${dropInResult.paymentDescription}`;
        transaction.amountMicros = paymentRequest.amountMicros;
        transaction.currency = paymentRequest.currency;
        this.transactions = [transaction];
      }
    }
    Braintree.BraintreeReceipt = BraintreeReceipt;
    class Adapter {
      constructor(context, options) {
        this.id = CdvPurchase2.Platform.BRAINTREE;
        this.name = "BrainTree";
        this.ready = false;
        this.products = [];
        this._receipts = [];
        this.supportsParallelLoading = false;
        this.context = context;
        this.log = context.log.child("Braintree");
        this.options = options;
      }
      get receipts() {
        return this._receipts;
      }
      get isSupported() {
        return Braintree.IosBridge.Bridge.isSupported() || Braintree.AndroidBridge.Bridge.isSupported();
      }
      initialize() {
        return new Promise((resolve) => {
          this.log.info("initialize()");
          if (Braintree.IosBridge.Bridge.isSupported()) {
            this.log.info("instantiating ios bridge...");
            this.iosBridge = new Braintree.IosBridge.Bridge(this.log, (callback) => {
              if (this.options.tokenizationKey)
                callback(this.options.tokenizationKey);
              else if (this.options.clientTokenProvider)
                this.options.clientTokenProvider(callback);
              else
                callback(braintreeError(CdvPurchase2.ErrorCode.CLIENT_INVALID, "Braintree iOS Bridge requires a clientTokenProvider or tokenizationKey"));
            }, this.options.applePay);
            this.iosBridge.initialize(this.context, resolve);
          } else if (Braintree.AndroidBridge.Bridge.isSupported() && !this.androidBridge) {
            this.log.info("instantiating android bridge...");
            this.androidBridge = new Braintree.AndroidBridge.Bridge(this.log);
            this.log.info("calling android bridge -> initialize...");
            const auth = this.options.tokenizationKey ? this.options.tokenizationKey : this.options.clientTokenProvider ? this.options.clientTokenProvider : "";
            this.androidBridge.initialize(auth, resolve);
          } else {
            this.log.info("platform not supported...");
            resolve(void 0);
          }
          this.context.listener.receiptsReady(CdvPurchase2.Platform.BRAINTREE);
        });
      }
      loadProducts(products) {
        return __awaiter(this, void 0, void 0, function* () {
          return products.map((p) => braintreeError(CdvPurchase2.ErrorCode.PRODUCT_NOT_AVAILABLE, "N/A"));
        });
      }
      loadReceipts() {
        return __awaiter(this, void 0, void 0, function* () {
          this.context.listener.receiptsReady(CdvPurchase2.Platform.BRAINTREE);
          return [];
        });
      }
      order(offer) {
        return __awaiter(this, void 0, void 0, function* () {
          return braintreeError(CdvPurchase2.ErrorCode.UNKNOWN, "N/A: Not implemented with Braintree");
        });
      }
      finish(transaction) {
        return __awaiter(this, void 0, void 0, function* () {
          transaction.state = CdvPurchase2.TransactionState.FINISHED;
          this.context.listener.receiptsUpdated(CdvPurchase2.Platform.TEST, [transaction.parentReceipt]);
          return;
        });
      }
      manageSubscriptions() {
        return __awaiter(this, void 0, void 0, function* () {
          this.log.info("N/A: manageSubscriptions() is not available with Braintree");
          return;
        });
      }
      manageBilling() {
        return __awaiter(this, void 0, void 0, function* () {
          this.log.info("N/A: manageBilling() is not available with Braintree");
          return;
        });
      }
      launchDropIn(paymentRequest, dropInRequest) {
        return __awaiter(this, void 0, void 0, function* () {
          if (this.androidBridge)
            return this.androidBridge.launchDropIn(dropInRequest);
          if (this.iosBridge)
            return this.iosBridge.launchDropIn(paymentRequest, dropInRequest);
          return braintreeError(CdvPurchase2.ErrorCode.PURCHASE, "Braintree is not available");
        });
      }
      requestPayment(paymentRequest, additionalData) {
        var _a, _b, _c, _d, _e, _f, _g, _h, _j;
        return __awaiter(this, void 0, void 0, function* () {
          this.log.info("requestPayment()" + JSON.stringify(paymentRequest));
          const dropInRequest = ((_a = additionalData === null || additionalData === void 0 ? void 0 : additionalData.braintree) === null || _a === void 0 ? void 0 : _a.dropInRequest) || {};
          if (!(yield Braintree.IosBridge.ApplePayPlugin.isSupported(this.log))) {
            this.log.info("Apple Pay is not supported.");
            dropInRequest.applePayDisabled = true;
          }
          if (this.options.googlePay || dropInRequest.googlePayRequest) {
            const googlePay = Object.assign(Object.assign({}, (_b = this.options.googlePay) !== null && _b !== void 0 ? _b : {}), (_c = dropInRequest.googlePayRequest) !== null && _c !== void 0 ? _c : {});
            if (!googlePay.transactionInfo) {
              googlePay.transactionInfo = {
                currencyCode: (_d = paymentRequest.currency) !== null && _d !== void 0 ? _d : "",
                totalPrice: ((_e = paymentRequest.amountMicros) !== null && _e !== void 0 ? _e : 0) / 1e6,
                totalPriceStatus: Braintree.GooglePay.TotalPriceStatus.FINAL
              };
            }
            dropInRequest.googlePayRequest = googlePay;
          }
          if (this.options.threeDSecure || dropInRequest.threeDSecureRequest) {
            const threeDS = Object.assign(Object.assign({}, (_f = this.options.threeDSecure) !== null && _f !== void 0 ? _f : {}), (_g = dropInRequest.threeDSecureRequest) !== null && _g !== void 0 ? _g : {});
            if (!threeDS.amount) {
              threeDS.amount = asDecimalString((_h = paymentRequest.amountMicros) !== null && _h !== void 0 ? _h : 0);
            }
            if (!threeDS.billingAddress && paymentRequest.billingAddress) {
              threeDS.billingAddress = {
                givenName: paymentRequest.billingAddress.givenName,
                surname: paymentRequest.billingAddress.surname,
                countryCodeAlpha2: paymentRequest.billingAddress.countryCode,
                postalCode: paymentRequest.billingAddress.postalCode,
                locality: paymentRequest.billingAddress.locality,
                streetAddress: paymentRequest.billingAddress.streetAddress1,
                extendedAddress: paymentRequest.billingAddress.streetAddress2,
                line3: paymentRequest.billingAddress.streetAddress3,
                phoneNumber: paymentRequest.billingAddress.phoneNumber,
                region: paymentRequest.billingAddress.region
              };
            }
            if (!threeDS.email) {
              threeDS.email = paymentRequest.email;
            }
            dropInRequest.threeDSecureRequest = threeDS;
          }
          const response = yield this.launchDropIn(paymentRequest, dropInRequest);
          if (!dropInResponseIsOK(response))
            return dropInResponseError(this.log, response);
          const dropInResult = response;
          this.log.info("launchDropIn success: " + JSON.stringify({ paymentRequest, dropInResult }));
          if (!((_j = dropInResult.paymentMethodNonce) === null || _j === void 0 ? void 0 : _j.nonce)) {
            return braintreeError(CdvPurchase2.ErrorCode.BAD_RESPONSE, "launchDropIn returned no paymentMethodNonce");
          }
          let receipt = this._receipts.find((r) => {
            var _a2, _b2;
            return ((_a2 = r.dropInResult.paymentMethodNonce) === null || _a2 === void 0 ? void 0 : _a2.nonce) === ((_b2 = dropInResult.paymentMethodNonce) === null || _b2 === void 0 ? void 0 : _b2.nonce);
          });
          if (receipt) {
            receipt.refresh(paymentRequest, dropInResult, this.context.apiDecorators);
          } else {
            receipt = new BraintreeReceipt(paymentRequest, dropInResult, this.context.apiDecorators);
            this.receipts.push(receipt);
          }
          this.context.listener.receiptsUpdated(CdvPurchase2.Platform.BRAINTREE, [receipt]);
          return receipt.transactions[0];
        });
      }
      receiptValidationBody(receipt) {
        var _a, _b, _c, _d, _e;
        return __awaiter(this, void 0, void 0, function* () {
          if (!isBraintreeReceipt(receipt)) {
            this.log.error("Unexpected error, expecting a BraintreeReceipt: " + JSON.stringify(receipt));
            return;
          }
          this.log.info("create receiptValidationBody for: " + JSON.stringify(receipt));
          return {
            id: (_c = (_b = (_a = receipt.paymentRequest.items) === null || _a === void 0 ? void 0 : _a[0]) === null || _b === void 0 ? void 0 : _b.id) !== null && _c !== void 0 ? _c : "unknown",
            type: CdvPurchase2.ProductType.CONSUMABLE,
            priceMicros: receipt.paymentRequest.amountMicros,
            currency: receipt.paymentRequest.currency,
            products: [],
            transaction: {
              type: CdvPurchase2.Platform.BRAINTREE,
              deviceData: receipt.dropInResult.deviceData,
              id: "nonce",
              paymentMethodNonce: (_e = (_d = receipt.dropInResult.paymentMethodNonce) === null || _d === void 0 ? void 0 : _d.nonce) !== null && _e !== void 0 ? _e : "",
              paymentDescription: receipt.dropInResult.paymentDescription,
              paymentMethodType: receipt.dropInResult.paymentMethodType
            }
          };
        });
      }
      handleReceiptValidationResponse(receipt, response) {
        var _a;
        return __awaiter(this, void 0, void 0, function* () {
          this.log.info("receipt validation response: " + JSON.stringify(response));
          if ((response === null || response === void 0 ? void 0 : response.data) && "transaction" in response.data) {
            if (response.data.transaction.type === "braintree") {
              const lCustomerId = (_a = response.data.transaction.data.transaction) === null || _a === void 0 ? void 0 : _a.customer.id;
              if (lCustomerId && !Braintree.customerId) {
                this.log.info("customerId updated: " + lCustomerId);
                Braintree.customerId = lCustomerId;
              }
            }
          }
        });
      }
      checkSupport(functionality) {
        return functionality === "requestPayment";
      }
      restorePurchases() {
        return __awaiter(this, void 0, void 0, function* () {
        });
      }
    }
    Braintree.Adapter = Adapter;
    function asDecimalString(amountMicros) {
      const amountCents = "" + amountMicros / 1e4;
      return (amountCents.slice(0, -2) || "0") + "." + (amountCents.slice(-2, -1) || "0") + (amountCents.slice(-1) || "0");
    }
    function isBraintreeReceipt(receipt) {
      return receipt.platform === CdvPurchase2.Platform.BRAINTREE;
    }
    const dropInResponseIsOK = (response) => {
      return !!response && !("code" in response && "message" in response);
    };
    const dropInResponseError = (log, response) => {
      if (!response) {
        log.warn("launchDropIn failed: no response");
        return braintreeError(CdvPurchase2.ErrorCode.BAD_RESPONSE, "Braintree failed to launch drop in");
      } else {
        if (response.code === CdvPurchase2.ErrorCode.PAYMENT_CANCELLED) {
          log.info("User cancelled the payment request");
          return void 0;
        }
        log.warn("launchDropIn failed: " + JSON.stringify(response));
        return response;
      }
    };
    function braintreeError(code, message) {
      return CdvPurchase2.storeError(code, message, CdvPurchase2.Platform.BRAINTREE, null);
    }
    Braintree.braintreeError = braintreeError;
  })(CdvPurchase2.Braintree || (CdvPurchase2.Braintree = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Braintree) {
    const PLUGIN_ID = "BraintreePlugin";
    (function(AndroidBridge) {
      class Bridge {
        constructor(log) {
          this.log = log.child("AndroidBridge");
        }
        listener(msg) {
          this.log.debug("listener: " + JSON.stringify(msg));
          if (!msg || !msg.type) {
            return;
          }
          if (msg.type === "getClientToken") {
            this.getClientToken();
          } else if (msg.type === "ready")
            ;
        }
        initialize(clientTokenProvider, callback) {
          try {
            if (typeof clientTokenProvider === "string") {
              const token = clientTokenProvider;
              this.clientTokenProvider = (callback2) => {
                callback2(token);
              };
            } else {
              this.clientTokenProvider = clientTokenProvider;
            }
            this.log.info("exec.setListener()");
            const listener = this.listener.bind(this);
            window.cordova.exec(listener, null, PLUGIN_ID, "setListener", []);
            callback(void 0);
          } catch (err) {
            this.log.warn("initialization failed: " + (err === null || err === void 0 ? void 0 : err.message));
            callback(Braintree.braintreeError(CdvPurchase2.ErrorCode.SETUP, "Failed to initialize Braintree Android Bridge: " + (err === null || err === void 0 ? void 0 : err.message)));
          }
        }
        getClientToken() {
          this.log.info("getClientToken()");
          if (this.clientTokenProvider) {
            this.log.debug("clientTokenProvider set, calling.");
            this.clientTokenProvider((value) => {
              if (typeof value === "string") {
                window.cordova.exec(null, null, PLUGIN_ID, "onClientTokenSuccess", [value]);
              } else {
                window.cordova.exec(null, null, PLUGIN_ID, "onClientTokenFailure", [value.code, value.message]);
              }
            });
          } else {
            this.log.debug("clientTokenProvider not set, retrying later...");
            setTimeout(() => this.getClientToken(), 1e3);
          }
        }
        static isSupported() {
          return window.cordova.platformId === "android";
        }
        isApplePaySupported() {
          return __awaiter(this, void 0, void 0, function* () {
            return false;
          });
        }
        launchDropIn(dropInRequest) {
          return new Promise((resolve) => {
            window.cordova.exec((result) => {
              this.log.info("dropInSuccess: " + JSON.stringify(result));
              resolve(result);
            }, (err) => {
              this.log.info("dropInFailure: " + err);
              const errCode = err.split("|")[0];
              const errMessage = err.split("|").slice(1).join("");
              if (errCode === "UserCanceledException") {
                resolve(Braintree.braintreeError(CdvPurchase2.ErrorCode.PAYMENT_CANCELLED, errMessage));
              } else if (errCode === "AuthorizationException") {
                resolve(Braintree.braintreeError(CdvPurchase2.ErrorCode.UNAUTHORIZED_REQUEST_DATA, errMessage));
              } else {
                resolve(Braintree.braintreeError(CdvPurchase2.ErrorCode.UNKNOWN, err));
              }
            }, PLUGIN_ID, "launchDropIn", [dropInRequest]);
          });
        }
      }
      AndroidBridge.Bridge = Bridge;
    })(Braintree.AndroidBridge || (Braintree.AndroidBridge = {}));
  })(CdvPurchase2.Braintree || (CdvPurchase2.Braintree = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Braintree) {
    (function(IosBridge) {
      const PLUGIN_ID = "BraintreeApplePayPlugin";
      class ApplePayPlugin {
        static get() {
          return window.CdvPurchaseBraintreeApplePay;
        }
        static requestPayment(request) {
          return new Promise((resolve) => {
            var _a;
            if (!((_a = ApplePayPlugin.get()) === null || _a === void 0 ? void 0 : _a.installed)) {
              return resolve(Braintree.braintreeError(CdvPurchase2.ErrorCode.SETUP, "cordova-plugin-purchase-braintree-applepay does not appear to be installed."));
            } else {
              const success = (result) => {
                resolve(result);
              };
              const failure = (err) => {
                const message = err !== null && err !== void 0 ? err : "payment request failed";
                resolve(Braintree.braintreeError(CdvPurchase2.ErrorCode.PURCHASE, "Braintree+ApplePay ERROR: " + message));
              };
              window.cordova.exec(success, failure, PLUGIN_ID, "presentDropInPaymentUI", [request]);
            }
          });
        }
        static isSupported(log) {
          return new Promise((resolve) => {
            var _a;
            if (window.cordova.platformId !== "ios") {
              log.info("BraintreeApplePayPlugin is only available for ios.");
              return resolve(false);
            }
            if (!((_a = ApplePayPlugin.get()) === null || _a === void 0 ? void 0 : _a.installed)) {
              log.info("BraintreeApplePayPlugin does not appear to be installed.");
              return resolve(false);
            }
            try {
              window.cordova.exec((result) => {
                resolve(result);
              }, () => {
                log.info("BraintreeApplePayPlugin is not available.");
                resolve(false);
              }, PLUGIN_ID, "isApplePaySupported", []);
            } catch (err) {
              log.info("BraintreeApplePayPlugin is not installed.");
              resolve(false);
            }
          });
        }
      }
      IosBridge.ApplePayPlugin = ApplePayPlugin;
    })(Braintree.IosBridge || (Braintree.IosBridge = {}));
  })(CdvPurchase2.Braintree || (CdvPurchase2.Braintree = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Braintree) {
    (function(IosBridge) {
      class Bridge {
        constructor(log, clientTokenProvider, applePayOptions) {
          this.log = log.child("IosBridge");
          this.clientTokenProvider = clientTokenProvider;
          this.applePayOptions = applePayOptions;
        }
        initialize(verbosity, callback) {
          window.cordova.exec(null, null, "BraintreePlugin", "setVerbosity", [verbosity.verbosity]);
          window.cordova.exec((message) => this.log.debug("(Native) " + message), null, "BraintreePlugin", "setLogger", []);
          setTimeout(() => callback(void 0), 0);
        }
        continueDropInForApplePay(paymentRequest, DropInRequest, dropInResult) {
          var _a, _b, _c, _d, _e, _f, _g, _h, _j;
          return __awaiter(this, void 0, void 0, function* () {
            const request = ((_b = (_a = this.applePayOptions) === null || _a === void 0 ? void 0 : _a.preparePaymentRequest) === null || _b === void 0 ? void 0 : _b.call(_a, paymentRequest)) || {
              merchantCapabilities: [CdvPurchase2.ApplePay.MerchantCapability.ThreeDS]
            };
            if (!request.paymentSummaryItems) {
              const items = paymentRequest.items.filter((p) => p).map((product, index) => {
                var _a2, _b2, _c2;
                return {
                  type: "final",
                  label: (product === null || product === void 0 ? void 0 : product.title) || (product === null || product === void 0 ? void 0 : product.id) || `Item #${index + 1}`,
                  amount: `${Math.round(((_c2 = (_b2 = (_a2 = product === null || product === void 0 ? void 0 : product.pricing) === null || _a2 === void 0 ? void 0 : _a2.priceMicros) !== null && _b2 !== void 0 ? _b2 : paymentRequest.amountMicros) !== null && _c2 !== void 0 ? _c2 : 0) / 1e4) / 100}`
                };
              });
              const total = {
                type: "final",
                label: (_d = (_c = this.applePayOptions) === null || _c === void 0 ? void 0 : _c.companyName) !== null && _d !== void 0 ? _d : "Total",
                amount: `${Math.round(((_e = paymentRequest.amountMicros) !== null && _e !== void 0 ? _e : 0) / 1e4) / 100}`
              };
              request.paymentSummaryItems = [...items, total];
            }
            const result = yield IosBridge.ApplePayPlugin.requestPayment(request);
            this.log.info("Result from Apple Pay: " + JSON.stringify(result));
            if ("isError" in result)
              return result;
            if (result.userCancelled) {
              return Braintree.braintreeError(CdvPurchase2.ErrorCode.PAYMENT_CANCELLED, "User cancelled the payment request");
            }
            return {
              paymentMethodNonce: {
                isDefault: false,
                nonce: (_g = (_f = result.applePayCardNonce) === null || _f === void 0 ? void 0 : _f.nonce) !== null && _g !== void 0 ? _g : "",
                type: (_j = (_h = result.applePayCardNonce) === null || _h === void 0 ? void 0 : _h.type) !== null && _j !== void 0 ? _j : ""
              },
              paymentMethodType: dropInResult.paymentMethodType,
              deviceData: dropInResult.deviceData,
              paymentDescription: dropInResult.paymentDescription
            };
          });
        }
        launchDropIn(paymentRequest, dropInRequest) {
          return new Promise((resolve) => __awaiter(this, void 0, void 0, function* () {
            const onSuccess = (result) => {
              this.log.info("dropInSuccess: " + JSON.stringify(result));
              if (result.paymentMethodType === Braintree.DropIn.PaymentMethod.APPLE_PAY) {
                this.log.info("it's an ApplePay request, we have to process it.");
                this.continueDropInForApplePay(paymentRequest, dropInRequest, result).then(resolve);
              } else {
                resolve(result);
              }
            };
            const onError = (errorString) => {
              this.log.info("dropInFailure: " + errorString);
              const [errCode, errMessage] = errorString.split("|");
              if (errCode === "UserCanceledException") {
                resolve(Braintree.braintreeError(CdvPurchase2.ErrorCode.PAYMENT_CANCELLED, errMessage));
              } else {
                resolve(Braintree.braintreeError(CdvPurchase2.ErrorCode.UNKNOWN, "ERROR " + errCode + ": " + errMessage));
              }
            };
            this.clientTokenProvider((clientToken) => {
              if (typeof clientToken === "string")
                window.cordova.exec(onSuccess, onError, "BraintreePlugin", "launchDropIn", [clientToken, dropInRequest]);
              else
                resolve(clientToken);
            });
          }));
        }
        braintreePlugin() {
          return window.CdvPurchaseBraintree;
        }
        static isSupported() {
          return window.cordova.platformId === "ios";
        }
      }
      IosBridge.Bridge = Bridge;
    })(Braintree.IosBridge || (Braintree.IosBridge = {}));
  })(CdvPurchase2.Braintree || (CdvPurchase2.Braintree = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Braintree) {
    (function(DropIn) {
      (function(CardFormFieldStatus) {
        CardFormFieldStatus[CardFormFieldStatus["DISABLED"] = 0] = "DISABLED";
        CardFormFieldStatus[CardFormFieldStatus["OPTIONAL"] = 1] = "OPTIONAL";
        CardFormFieldStatus[CardFormFieldStatus["REQUIRED"] = 2] = "REQUIRED";
      })(DropIn.CardFormFieldStatus || (DropIn.CardFormFieldStatus = {}));
    })(Braintree.DropIn || (Braintree.DropIn = {}));
  })(CdvPurchase2.Braintree || (CdvPurchase2.Braintree = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Braintree) {
    (function(DropIn) {
      (function(PaymentMethod) {
        PaymentMethod["GOOGLE_PAY"] = "GOOGLE_PAY";
        PaymentMethod["LASER"] = "LASER";
        PaymentMethod["UK_MAESTRO"] = "UK_MAESTRO";
        PaymentMethod["SWITCH"] = "SWITCH";
        PaymentMethod["SOLOR"] = "SOLO";
        PaymentMethod["APPLE_PAY"] = "APPLE_PAY";
        PaymentMethod["AMEX"] = "AMEX";
        PaymentMethod["DINERS_CLUB"] = "DINERS_CLUB";
        PaymentMethod["DISCOVER"] = "DISCOVER";
        PaymentMethod["JCB"] = "JCB";
        PaymentMethod["MAESTRO"] = "MAESTRO";
        PaymentMethod["MASTERCARD"] = "MASTERCARD";
        PaymentMethod["PAYPAL"] = "PAYPAL";
        PaymentMethod["VISA"] = "VISA";
        PaymentMethod["VENMO"] = "VENMO";
        PaymentMethod["UNIONPAY"] = "UNIONPAY";
        PaymentMethod["HIPER"] = "HIPER";
        PaymentMethod["HIPERCARD"] = "HIPERCARD";
        PaymentMethod["UNKNOWN"] = "UNKNOWN";
      })(DropIn.PaymentMethod || (DropIn.PaymentMethod = {}));
    })(Braintree.DropIn || (Braintree.DropIn = {}));
  })(CdvPurchase2.Braintree || (CdvPurchase2.Braintree = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Braintree) {
    (function(GooglePay) {
      (function(BillingAddressFormat) {
        BillingAddressFormat[BillingAddressFormat["MIN"] = 0] = "MIN";
        BillingAddressFormat[BillingAddressFormat["FULL"] = 1] = "FULL";
      })(GooglePay.BillingAddressFormat || (GooglePay.BillingAddressFormat = {}));
      (function(TotalPriceStatus) {
        TotalPriceStatus[TotalPriceStatus["NOT_CURRENTLY_KNOWN"] = 1] = "NOT_CURRENTLY_KNOWN";
        TotalPriceStatus[TotalPriceStatus["ESTIMATED"] = 2] = "ESTIMATED";
        TotalPriceStatus[TotalPriceStatus["FINAL"] = 3] = "FINAL";
      })(GooglePay.TotalPriceStatus || (GooglePay.TotalPriceStatus = {}));
    })(Braintree.GooglePay || (Braintree.GooglePay = {}));
  })(CdvPurchase2.Braintree || (CdvPurchase2.Braintree = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Braintree) {
    (function(ThreeDSecure) {
      (function(AccountType) {
        AccountType["UNSPECIFIED"] = "00";
        AccountType["CREDIT"] = "01";
        AccountType["DEBIT"] = "02";
      })(ThreeDSecure.AccountType || (ThreeDSecure.AccountType = {}));
      (function(ShippingMethod) {
        ShippingMethod[ShippingMethod["UNSPECIFIED"] = 0] = "UNSPECIFIED";
        ShippingMethod[ShippingMethod["SAME_DAY"] = 1] = "SAME_DAY";
        ShippingMethod[ShippingMethod["EXPEDITED"] = 2] = "EXPEDITED";
        ShippingMethod[ShippingMethod["PRIORITY"] = 3] = "PRIORITY";
        ShippingMethod[ShippingMethod["GROUND"] = 4] = "GROUND";
        ShippingMethod[ShippingMethod["ELECTRONIC_DELIVERY"] = 5] = "ELECTRONIC_DELIVERY";
        ShippingMethod[ShippingMethod["SHIP_TO_STORE"] = 6] = "SHIP_TO_STORE";
      })(ThreeDSecure.ShippingMethod || (ThreeDSecure.ShippingMethod = {}));
      (function(Version) {
        Version[Version["V1"] = 0] = "V1";
        Version[Version["V2"] = 1] = "V2";
      })(ThreeDSecure.Version || (ThreeDSecure.Version = {}));
    })(Braintree.ThreeDSecure || (Braintree.ThreeDSecure = {}));
  })(CdvPurchase2.Braintree || (CdvPurchase2.Braintree = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(GooglePlay) {
    class Transaction extends CdvPurchase2.Transaction {
      constructor(purchase, parentReceipt, decorator) {
        super(CdvPurchase2.Platform.GOOGLE_PLAY, parentReceipt, decorator);
        this.nativePurchase = purchase;
        this.refresh(purchase);
      }
      static toState(state, isAcknowledged) {
        switch (state) {
          case GooglePlay.Bridge.PurchaseState.PENDING:
            return CdvPurchase2.TransactionState.INITIATED;
          case GooglePlay.Bridge.PurchaseState.PURCHASED:
            return CdvPurchase2.TransactionState.APPROVED;
          case GooglePlay.Bridge.PurchaseState.UNSPECIFIED_STATE:
            return CdvPurchase2.TransactionState.UNKNOWN_STATE;
        }
      }
      refresh(purchase) {
        this.nativePurchase = purchase;
        this.transactionId = `${purchase.orderId || purchase.purchaseToken}`;
        this.purchaseId = `${purchase.purchaseToken}`;
        this.products = purchase.productIds.map((productId) => ({ id: productId }));
        if (purchase.purchaseTime)
          this.purchaseDate = new Date(purchase.purchaseTime);
        this.isPending = purchase.getPurchaseState === GooglePlay.Bridge.PurchaseState.PENDING;
        if (typeof purchase.acknowledged !== "undefined")
          this.isAcknowledged = purchase.acknowledged;
        if (typeof purchase.autoRenewing !== "undefined")
          this.renewalIntent = purchase.autoRenewing ? CdvPurchase2.RenewalIntent.RENEW : CdvPurchase2.RenewalIntent.LAPSE;
        this.state = Transaction.toState(purchase.getPurchaseState, purchase.acknowledged);
      }
    }
    GooglePlay.Transaction = Transaction;
    class Receipt extends CdvPurchase2.Receipt {
      constructor(purchase, decorator) {
        super(CdvPurchase2.Platform.GOOGLE_PLAY, decorator);
        this.transactions = [new Transaction(purchase, this, decorator)];
        this.purchaseToken = purchase.purchaseToken;
        this.orderId = purchase.orderId;
      }
      refreshPurchase(purchase) {
        var _a;
        (_a = this.transactions[0]) === null || _a === void 0 ? void 0 : _a.refresh(purchase);
        this.orderId = purchase.orderId;
      }
    }
    GooglePlay.Receipt = Receipt;
    class Adapter {
      constructor(context, autoRefreshIntervalMillis = 1e3 * 3600 * 24) {
        this.id = CdvPurchase2.Platform.GOOGLE_PLAY;
        this.name = "GooglePlay";
        this.ready = false;
        this.supportsParallelLoading = false;
        this._receipts = [];
        this.bridge = new GooglePlay.Bridge.Bridge();
        this.initialized = false;
        this.retry = new CdvPurchase2.Internal.Retry();
        this.autoRefreshIntervalMillis = 0;
        if (Adapter._instance)
          throw new Error("GooglePlay adapter already initialized");
        this._products = new GooglePlay.Products(context.apiDecorators);
        this.autoRefreshIntervalMillis = autoRefreshIntervalMillis;
        this.context = context;
        this.log = context.log.child("GooglePlay");
        Adapter._instance = this;
      }
      get products() {
        return this._products.products;
      }
      get receipts() {
        return this._receipts;
      }
      get isSupported() {
        return window.cordova.platformId === "android";
      }
      initialize() {
        return __awaiter(this, void 0, void 0, function* () {
          this.log.info("Initialize");
          if (this.initializationPromise)
            return this.initializationPromise;
          return this.initializationPromise = new Promise((resolve) => {
            const bridgeLogger = this.log.child("Bridge");
            const iabOptions = {
              onSetPurchases: this.onSetPurchases.bind(this),
              onPurchasesUpdated: this.onPurchasesUpdated.bind(this),
              onPurchaseConsumed: this.onPurchaseConsumed.bind(this),
              showLog: this.context.verbosity >= CdvPurchase2.LogLevel.DEBUG ? true : false,
              log: (msg) => bridgeLogger.info(msg)
            };
            const iabReady = () => {
              this.log.debug("Ready");
              if (this.autoRefreshIntervalMillis > 0) {
                window.setInterval(() => this.getPurchases(), this.autoRefreshIntervalMillis);
              }
              resolve(void 0);
            };
            const iabError = (err) => {
              this.initialized = false;
              this.context.error(playStoreError(CdvPurchase2.ErrorCode.SETUP, "Init failed - " + err, null));
              this.retry.retry(() => this.initialize());
            };
            this.bridge.init(iabReady, iabError, iabOptions);
          });
        });
      }
      getSkusOf(products) {
        const inAppSkus = [];
        const subsSkus = [];
        for (const product of products) {
          if (product.type === CdvPurchase2.ProductType.PAID_SUBSCRIPTION)
            subsSkus.push(product.id);
          else
            inAppSkus.push(product.id);
        }
        return { inAppSkus, subsSkus };
      }
      loadReceipts() {
        return new Promise((resolve) => {
          this.getPurchases().then((err) => {
            resolve(this._receipts);
          });
        });
      }
      loadProducts(products) {
        return new Promise((resolve) => {
          this.log.debug("Load: " + JSON.stringify(products));
          const iabLoaded = (validProducts) => {
            this.log.debug("Loaded: " + JSON.stringify(validProducts));
            const ret = products.map((registeredProduct) => {
              const validProduct = validProducts.find((vp) => vp.productId === registeredProduct.id);
              if (validProduct && validProduct.productId) {
                return this._products.addProduct(registeredProduct, validProduct);
              } else {
                return playStoreError(CdvPurchase2.ErrorCode.INVALID_PRODUCT_ID, `Product with id ${registeredProduct.id} not found.`, registeredProduct.id);
              }
            });
            resolve(ret);
          };
          const go = () => {
            const { inAppSkus, subsSkus } = this.getSkusOf(products);
            this.log.debug("getAvailableProducts: " + JSON.stringify(inAppSkus) + " | " + JSON.stringify(subsSkus));
            this.bridge.getAvailableProducts(inAppSkus, subsSkus, iabLoaded, (err) => {
              this.retry.retry(go);
              this.context.error(playStoreError(CdvPurchase2.ErrorCode.LOAD, "Loading product info failed - " + err + " - retrying later...", null));
            });
          };
          go();
        });
      }
      finish(transaction) {
        return new Promise((resolve) => {
          const onSuccess = () => {
            if (transaction.state !== CdvPurchase2.TransactionState.FINISHED) {
              transaction.state = CdvPurchase2.TransactionState.FINISHED;
              this.context.listener.receiptsUpdated(CdvPurchase2.Platform.GOOGLE_PLAY, [transaction.parentReceipt]);
            }
            resolve(void 0);
          };
          const firstProduct = transaction.products[0];
          if (!firstProduct)
            return resolve(playStoreError(CdvPurchase2.ErrorCode.FINISH, "Cannot finish a transaction with no product", null));
          const product = this._products.getProduct(firstProduct.id);
          if (!product)
            return resolve(playStoreError(CdvPurchase2.ErrorCode.FINISH, "Cannot finish transaction, unknown product " + firstProduct.id, firstProduct.id));
          const receipt = this._receipts.find((r) => r.hasTransaction(transaction));
          if (!receipt)
            return resolve(playStoreError(CdvPurchase2.ErrorCode.FINISH, "Cannot finish transaction, linked receipt not found.", product.id));
          if (!receipt.purchaseToken)
            return resolve(playStoreError(CdvPurchase2.ErrorCode.FINISH, "Cannot finish transaction, linked receipt contains no purchaseToken.", product.id));
          const onFailure = (message, code) => resolve(playStoreError(code || CdvPurchase2.ErrorCode.UNKNOWN, message, product.id));
          if (product.type === CdvPurchase2.ProductType.NON_RENEWING_SUBSCRIPTION || product.type === CdvPurchase2.ProductType.CONSUMABLE) {
            if (!transaction.isConsumed)
              return this.bridge.consumePurchase(onSuccess, onFailure, receipt.purchaseToken);
          } else {
            if (!transaction.isAcknowledged)
              return this.bridge.acknowledgePurchase(onSuccess, onFailure, receipt.purchaseToken);
          }
          resolve(void 0);
        });
      }
      onPurchaseConsumed(purchase) {
        this.log.debug("onPurchaseConsumed: " + purchase.orderId);
        purchase.acknowledged = true;
        this.onPurchasesUpdated([purchase]);
      }
      onPurchasesUpdated(purchases) {
        this.log.debug("onPurchaseUpdated: " + purchases.map((p) => p.orderId).join(", "));
        purchases.forEach((purchase) => {
          const existingReceipt = this.receipts.find((r) => r.purchaseToken === purchase.purchaseToken);
          if (existingReceipt) {
            existingReceipt.refreshPurchase(purchase);
            this.context.listener.receiptsUpdated(CdvPurchase2.Platform.GOOGLE_PLAY, [existingReceipt]);
          } else {
            const newReceipt = new Receipt(purchase, this.context.apiDecorators);
            this.receipts.push(newReceipt);
            this.context.listener.receiptsUpdated(CdvPurchase2.Platform.GOOGLE_PLAY, [newReceipt]);
          }
        });
      }
      onSetPurchases(purchases) {
        this.log.debug("onSetPurchases: " + JSON.stringify(purchases));
        this.onPurchasesUpdated(purchases);
        this.context.listener.receiptsReady(CdvPurchase2.Platform.GOOGLE_PLAY);
      }
      onPriceChangeConfirmationResult(result) {
      }
      getPurchases() {
        return new Promise((resolve) => {
          this.log.debug("getPurchases");
          const success = () => {
            this.log.debug("getPurchases success");
            setTimeout(() => resolve(void 0), 0);
          };
          const failure = (message, code) => {
            this.log.warn("getPurchases failed: " + message + " (" + code + ")");
            setTimeout(() => resolve(playStoreError(code || CdvPurchase2.ErrorCode.UNKNOWN, message, null)), 0);
          };
          this.bridge.getPurchases(success, failure);
        });
      }
      order(offer, additionalData) {
        return __awaiter(this, void 0, void 0, function* () {
          return new Promise((resolve) => {
            this.log.info("Order - " + JSON.stringify(offer));
            const buySuccess = () => resolve(void 0);
            const buyFailed = (message, code) => {
              this.log.warn("Order failed: " + JSON.stringify({ message, code }));
              resolve(playStoreError(code !== null && code !== void 0 ? code : CdvPurchase2.ErrorCode.UNKNOWN, message, offer.productId));
            };
            if (offer.productType === CdvPurchase2.ProductType.PAID_SUBSCRIPTION) {
              const idAndToken = "token" in offer ? offer.productId + "@" + offer.token : offer.productId;
              const oldPurchaseToken = this.findOldPurchaseToken(offer.productId, offer.productGroup);
              if (oldPurchaseToken) {
                if (!additionalData.googlePlay)
                  additionalData.googlePlay = { oldPurchaseToken };
                else if (!additionalData.googlePlay.oldPurchaseToken) {
                  additionalData.googlePlay.oldPurchaseToken = oldPurchaseToken;
                }
              }
              this.bridge.subscribe(buySuccess, buyFailed, idAndToken, additionalData);
            } else {
              this.bridge.buy(buySuccess, buyFailed, offer.productId, additionalData);
            }
          });
        });
      }
      findOldPurchaseToken(productId, productGroup) {
        if (!productGroup)
          return void 0;
        const oldReceipt = this._receipts.find((r) => {
          return !!r.transactions.find((t) => {
            return !!t.products.find((p) => {
              const product = this._products.getProduct(p.id);
              if (!product)
                return false;
              if (!CdvPurchase2.Internal.LocalReceipts.isOwned([r], product))
                return false;
              return p.id === productId || productGroup && product.group === productGroup;
            });
          });
        });
        return oldReceipt === null || oldReceipt === void 0 ? void 0 : oldReceipt.purchaseToken;
      }
      receiptValidationBody(receipt) {
        var _a;
        return __awaiter(this, void 0, void 0, function* () {
          const transaction = receipt.transactions[0];
          if (!transaction)
            return;
          const productId = (_a = transaction.products[0]) === null || _a === void 0 ? void 0 : _a.id;
          if (!productId)
            return;
          const product = this._products.getProduct(productId);
          if (!product)
            return;
          const purchase = transaction.nativePurchase;
          return {
            id: productId,
            type: product.type,
            offers: product.offers,
            products: this._products.products,
            transaction: {
              type: CdvPurchase2.Platform.GOOGLE_PLAY,
              id: receipt.transactions[0].transactionId,
              purchaseToken: purchase.purchaseToken,
              signature: purchase.signature,
              receipt: purchase.receipt
            }
          };
        });
      }
      handleReceiptValidationResponse(receipt, response) {
        var _a;
        return __awaiter(this, void 0, void 0, function* () {
          if (response === null || response === void 0 ? void 0 : response.ok) {
            const transaction = (_a = response === null || response === void 0 ? void 0 : response.data) === null || _a === void 0 ? void 0 : _a.transaction;
            if ((transaction === null || transaction === void 0 ? void 0 : transaction.type) !== CdvPurchase2.Platform.GOOGLE_PLAY)
              return;
            switch (transaction.kind) {
            }
          }
          return;
        });
      }
      requestPayment(payment, additionalData) {
        return __awaiter(this, void 0, void 0, function* () {
          return playStoreError(CdvPurchase2.ErrorCode.UNKNOWN, "requestPayment not supported", null);
        });
      }
      manageSubscriptions() {
        return __awaiter(this, void 0, void 0, function* () {
          this.bridge.manageSubscriptions();
          return;
        });
      }
      manageBilling() {
        return __awaiter(this, void 0, void 0, function* () {
          this.bridge.manageBilling();
          return;
        });
      }
      checkSupport(functionality) {
        const supported = [
          "order",
          "manageBilling",
          "manageSubscriptions"
        ];
        return supported.indexOf(functionality) >= 0;
      }
      restorePurchases() {
        return new Promise((resolve) => {
          this.bridge.getPurchases(resolve, (message, code) => {
            this.log.warn("getPurchases() failed: " + (code !== null && code !== void 0 ? code : "ERROR") + ": " + message);
            resolve();
          });
        });
      }
    }
    Adapter.trimProductTitles = true;
    GooglePlay.Adapter = Adapter;
    function playStoreError(code, message, productId) {
      return CdvPurchase2.storeError(code, message, CdvPurchase2.Platform.GOOGLE_PLAY, productId);
    }
  })(CdvPurchase2.GooglePlay || (CdvPurchase2.GooglePlay = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(GooglePlay) {
    (function(Bridge) {
      (function(RecurrenceMode) {
        RecurrenceMode["FINITE_RECURRING"] = "FINITE_RECURRING";
        RecurrenceMode["INFINITE_RECURRING"] = "INFINITE_RECURRING";
        RecurrenceMode["NON_RECURRING"] = "NON_RECURRING";
      })(Bridge.RecurrenceMode || (Bridge.RecurrenceMode = {}));
    })(GooglePlay.Bridge || (GooglePlay.Bridge = {}));
  })(CdvPurchase2.GooglePlay || (CdvPurchase2.GooglePlay = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(GooglePlay) {
    (function(ProrationMode) {
      ProrationMode["IMMEDIATE_WITH_TIME_PRORATION"] = "IMMEDIATE_WITH_TIME_PRORATION";
      ProrationMode["IMMEDIATE_AND_CHARGE_PRORATED_PRICE"] = "IMMEDIATE_AND_CHARGE_PRORATED_PRICE";
      ProrationMode["IMMEDIATE_WITHOUT_PRORATION"] = "IMMEDIATE_WITHOUT_PRORATION";
      ProrationMode["DEFERRED"] = "DEFERRED";
      ProrationMode["IMMEDIATE_AND_CHARGE_FULL_PRICE"] = "IMMEDIATE_AND_CHARGE_FULL_PRICE";
    })(GooglePlay.ProrationMode || (GooglePlay.ProrationMode = {}));
    (function(Bridge_2) {
      let log = function log2(msg) {
        console.log("InAppBilling[js]: " + msg);
      };
      (function(PurchaseState) {
        PurchaseState[PurchaseState["UNSPECIFIED_STATE"] = 0] = "UNSPECIFIED_STATE";
        PurchaseState[PurchaseState["PURCHASED"] = 1] = "PURCHASED";
        PurchaseState[PurchaseState["PENDING"] = 2] = "PENDING";
      })(Bridge_2.PurchaseState || (Bridge_2.PurchaseState = {}));
      class Bridge {
        constructor() {
          this.options = {};
        }
        init(success, fail, options) {
          if (!options)
            options = {};
          if (options.log)
            log = options.log;
          this.options = {
            showLog: options.showLog !== false,
            onPurchaseConsumed: options.onPurchaseConsumed,
            onPurchasesUpdated: options.onPurchasesUpdated,
            onSetPurchases: options.onSetPurchases
          };
          if (this.options.showLog) {
            log("setup ok");
          }
          const listener = this.listener.bind(this);
          window.cordova.exec(listener, function(err) {
          }, "InAppBillingPlugin", "setListener", []);
          window.cordova.exec(success, errorCb(fail), "InAppBillingPlugin", "init", []);
        }
        load(success, fail, skus, inAppSkus, subsSkus) {
          if (typeof skus !== "undefined") {
            if (typeof skus === "string") {
              skus = [skus];
            }
            if (skus.length > 0) {
              if (typeof skus[0] !== "string") {
                var msg = "invalid productIds: " + JSON.stringify(skus);
                if (this.options.showLog) {
                  log(msg);
                }
                fail(msg, CdvPurchase2.ErrorCode.INVALID_PRODUCT_ID);
                return;
              }
              if (this.options.showLog) {
                log("load " + JSON.stringify(skus));
              }
            }
          }
          window.cordova.exec(success, errorCb(fail), "InAppBillingPlugin", "load", [skus, inAppSkus, subsSkus]);
        }
        listener(msg) {
          if (this.options.showLog) {
            log("listener: " + JSON.stringify(msg));
          }
          if (!msg || !msg.type) {
            return;
          }
          if (msg.type === "setPurchases" && this.options.onSetPurchases) {
            this.options.onSetPurchases(msg.data.purchases);
          }
          if (msg.type === "purchasesUpdated" && this.options.onPurchasesUpdated) {
            this.options.onPurchasesUpdated(msg.data.purchases);
          }
          if (msg.type === "purchaseConsumed" && this.options.onPurchaseConsumed) {
            this.options.onPurchaseConsumed(msg.data.purchase);
          }
          if (msg.type === "onPriceChangeConfirmationResultOK" && this.options.onPriceChangeConfirmationResult) {
            this.options.onPriceChangeConfirmationResult("OK");
          }
          if (msg.type === "onPriceChangeConfirmationResultUserCanceled" && this.options.onPriceChangeConfirmationResult) {
            this.options.onPriceChangeConfirmationResult("UserCanceled");
          }
          if (msg.type === "onPriceChangeConfirmationResultUnknownSku" && this.options.onPriceChangeConfirmationResult) {
            this.options.onPriceChangeConfirmationResult("UnknownProduct");
          }
        }
        getPurchases(success, fail) {
          if (this.options.showLog) {
            log("getPurchases()");
          }
          return window.cordova.exec(success, errorCb(fail), "InAppBillingPlugin", "getPurchases", ["null"]);
        }
        buy(success, fail, productId, additionalData) {
          if (this.options.showLog) {
            log("buy()");
          }
          return window.cordova.exec(success, errorCb(fail), "InAppBillingPlugin", "buy", [
            productId,
            extendAdditionalData(additionalData)
          ]);
        }
        subscribe(success, fail, productId, additionalData) {
          var _a;
          if (this.options.showLog) {
            log("subscribe()");
          }
          if (((_a = additionalData.googlePlay) === null || _a === void 0 ? void 0 : _a.oldPurchaseToken) && this.options.showLog) {
            log("subscribe() -> upgrading from an old purchase");
          }
          return window.cordova.exec(success, errorCb(fail), "InAppBillingPlugin", "subscribe", [
            productId,
            extendAdditionalData(additionalData)
          ]);
        }
        consumePurchase(success, fail, purchaseToken) {
          if (this.options.showLog) {
            log("consumePurchase()");
          }
          return window.cordova.exec(success, errorCb(fail), "InAppBillingPlugin", "consumePurchase", [purchaseToken]);
        }
        acknowledgePurchase(success, fail, purchaseToken) {
          if (this.options.showLog) {
            log("acknowledgePurchase()");
          }
          return window.cordova.exec(success, errorCb(fail), "InAppBillingPlugin", "acknowledgePurchase", [purchaseToken]);
        }
        getAvailableProducts(inAppSkus, subsSkus, success, fail) {
          if (this.options.showLog) {
            log("getAvailableProducts()");
          }
          return window.cordova.exec(success, errorCb(fail), "InAppBillingPlugin", "getAvailableProducts", [inAppSkus, subsSkus]);
        }
        manageSubscriptions() {
          return window.cordova.exec(function() {
          }, function() {
          }, "InAppBillingPlugin", "manageSubscriptions", []);
        }
        manageBilling() {
          return window.cordova.exec(function() {
          }, function() {
          }, "InAppBillingPlugin", "manageBilling", []);
        }
        launchPriceChangeConfirmationFlow(productId) {
          return window.cordova.exec(function() {
          }, function() {
          }, "InAppBillingPlugin", "launchPriceChangeConfirmationFlow", [productId]);
        }
      }
      Bridge_2.Bridge = Bridge;
      function errorCb(fail) {
        return function(error) {
          if (!fail)
            return;
          const tokens = typeof error === "string" ? error.split("|") : [];
          if (tokens.length > 1 && /^[-+]?(\d+)$/.test(tokens[0])) {
            var code = tokens[0];
            var message = tokens[1];
            fail(message, +code);
          } else {
            fail(error);
          }
        };
      }
      function ensureObject(obj) {
        return !!obj && obj.constructor === Object ? obj : {};
      }
      function extendAdditionalData(ad) {
        const additionalData = ensureObject(ad === null || ad === void 0 ? void 0 : ad.googlePlay);
        if (!additionalData.accountId && (ad === null || ad === void 0 ? void 0 : ad.applicationUsername)) {
          additionalData.accountId = CdvPurchase2.Utils.md5(ad.applicationUsername);
        }
        return additionalData;
      }
    })(GooglePlay.Bridge || (GooglePlay.Bridge = {}));
  })(CdvPurchase2.GooglePlay || (CdvPurchase2.GooglePlay = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(GooglePlay) {
    class GProduct extends CdvPurchase2.Product {
    }
    GooglePlay.GProduct = GProduct;
    class InAppOffer extends CdvPurchase2.Offer {
      constructor() {
        super(...arguments);
        this.type = "inapp";
      }
    }
    GooglePlay.InAppOffer = InAppOffer;
    class SubscriptionOffer extends CdvPurchase2.Offer {
      constructor(options, decorator) {
        super(options, decorator);
        this.type = "subs";
        this.tags = options.tags;
        this.token = options.token;
      }
    }
    GooglePlay.SubscriptionOffer = SubscriptionOffer;
    class Products {
      constructor(decorator) {
        this.products = [];
        this.offers = [];
        this.decorator = decorator;
      }
      getProduct(id2) {
        return this.products.find((p) => p.id === id2);
      }
      getOffer(id2) {
        return this.offers.find((p) => p.id === id2);
      }
      addProduct(registeredProduct, vp) {
        const existingProduct = this.getProduct(registeredProduct.id);
        const p = existingProduct !== null && existingProduct !== void 0 ? existingProduct : new GProduct(registeredProduct, this.decorator);
        p.title = vp.title || vp.name || p.title;
        if (GooglePlay.Adapter.trimProductTitles)
          p.title = p.title.replace(/ \(.*\)$/, "");
        p.description = vp.description || p.description;
        if ("product_format" in vp && vp.product_format === "v12.0") {
          if (vp.product_type === "subs")
            this.onSubsV12Loaded(p, vp);
          else
            this.onInAppLoaded(p, vp);
        } else {
          this.onInAppLoaded(p, vp);
        }
        if (!existingProduct) {
          this.products.push(p);
        }
        return p;
      }
      onSubsV12Loaded(product, vp) {
        vp.offers.forEach((productOffer) => {
          const lastPhase = productOffer.pricing_phases.slice(-1)[0];
          if ((lastPhase === null || lastPhase === void 0 ? void 0 : lastPhase.recurrence_mode) === CdvPurchase2.RecurrenceMode.FINITE_RECURRING) {
            const baseOffer = findBasePlan(productOffer.base_plan_id);
            if (baseOffer && baseOffer !== productOffer) {
              productOffer.pricing_phases.push(...baseOffer.pricing_phases);
            }
          }
          const offer = this.iabSubsOfferV12Loaded(product, vp, productOffer);
          product.addOffer(offer);
        });
        function findBasePlan(basePlanId) {
          if (!basePlanId)
            return null;
          for (const offer of vp.offers) {
            if (offer.base_plan_id === basePlanId && !offer.offer_id) {
              return offer;
            }
          }
          return null;
        }
        return product;
      }
      makeOfferId(productId, productOffer) {
        if (productOffer.base_plan_id) {
          if (productOffer.offer_id) {
            return productId + "@" + productOffer.base_plan_id + "@" + productOffer.offer_id;
          }
          return productId + "@" + productOffer.base_plan_id;
        }
        return productId + "@" + productOffer.token;
      }
      iabSubsOfferV12Loaded(product, vp, productOffer) {
        const offerId = this.makeOfferId(vp.productId, productOffer);
        const existingOffer = this.getOffer(offerId);
        const pricingPhases = productOffer.pricing_phases.map((p) => this.toPricingPhase(p));
        if (existingOffer) {
          existingOffer.pricingPhases = pricingPhases;
          return existingOffer;
        } else {
          const offer = new SubscriptionOffer({ id: offerId, product, pricingPhases, token: productOffer.token, tags: productOffer.tags }, this.decorator);
          this.offers.push(offer);
          return offer;
        }
      }
      onInAppLoaded(p, vp) {
        var _a, _b, _c, _d;
        const existingOffer = this.getOffer(vp.productId);
        const pricingPhases = [{
          price: (_b = (_a = vp.formatted_price) !== null && _a !== void 0 ? _a : vp.price) !== null && _b !== void 0 ? _b : `${((_c = vp.price_amount_micros) !== null && _c !== void 0 ? _c : 0) / 1e6} ${vp.price_currency_code}`,
          priceMicros: (_d = vp.price_amount_micros) !== null && _d !== void 0 ? _d : 0,
          currency: vp.price_currency_code,
          recurrenceMode: CdvPurchase2.RecurrenceMode.NON_RECURRING
        }];
        if (existingOffer) {
          existingOffer.pricingPhases = pricingPhases;
          p.offers = [existingOffer];
        } else {
          const newOffer = new InAppOffer({ id: vp.productId, product: p, pricingPhases }, this.decorator);
          this.offers.push(newOffer);
          p.offers = [newOffer];
        }
        return p;
      }
      toPaymentMode(phase) {
        return phase.price_amount_micros === 0 ? CdvPurchase2.PaymentMode.FREE_TRIAL : phase.recurrence_mode === GooglePlay.Bridge.RecurrenceMode.NON_RECURRING ? CdvPurchase2.PaymentMode.UP_FRONT : CdvPurchase2.PaymentMode.PAY_AS_YOU_GO;
      }
      toRecurrenceMode(mode) {
        switch (mode) {
          case GooglePlay.Bridge.RecurrenceMode.FINITE_RECURRING:
            return CdvPurchase2.RecurrenceMode.FINITE_RECURRING;
          case GooglePlay.Bridge.RecurrenceMode.INFINITE_RECURRING:
            return CdvPurchase2.RecurrenceMode.INFINITE_RECURRING;
          case GooglePlay.Bridge.RecurrenceMode.NON_RECURRING:
            return CdvPurchase2.RecurrenceMode.NON_RECURRING;
        }
      }
      toPricingPhase(phase) {
        return {
          price: phase.formatted_price,
          priceMicros: phase.price_amount_micros,
          currency: phase.price_currency_code,
          billingPeriod: phase.billing_period,
          billingCycles: phase.billing_cycle_count,
          recurrenceMode: this.toRecurrenceMode(phase.recurrence_mode),
          paymentMode: this.toPaymentMode(phase)
        };
      }
    }
    GooglePlay.Products = Products;
  })(CdvPurchase2.GooglePlay || (CdvPurchase2.GooglePlay = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(GooglePlay) {
    (function(PublisherAPI) {
      (function(GoogleErrorReason) {
        GoogleErrorReason["SUBSCRIPTION_NO_LONGER_AVAILABLE"] = "subscriptionPurchaseNoLongerAvailable";
        GoogleErrorReason["PURCHASE_TOKEN_NO_LONGER_VALID"] = "purchaseTokenNoLongerValid";
      })(PublisherAPI.GoogleErrorReason || (PublisherAPI.GoogleErrorReason = {}));
      (function(ErrorCode) {
        ErrorCode[ErrorCode["GONE"] = 410] = "GONE";
      })(PublisherAPI.ErrorCode || (PublisherAPI.ErrorCode = {}));
    })(GooglePlay.PublisherAPI || (GooglePlay.PublisherAPI = {}));
  })(CdvPurchase2.GooglePlay || (CdvPurchase2.GooglePlay = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Test) {
    const platform = CdvPurchase2.Platform.TEST;
    let verifiedPurchases = [];
    function updateVerifiedPurchases(tr) {
      tr.products.forEach((p) => {
        var _a, _b, _c, _d;
        const existing = verifiedPurchases.find((v) => p.id === v.id);
        const attributes = {
          id: p.id,
          purchaseDate: (_a = tr.purchaseDate) === null || _a === void 0 ? void 0 : _a.getTime(),
          expiryDate: (_b = tr.expirationDate) === null || _b === void 0 ? void 0 : _b.getTime(),
          lastRenewalDate: (_c = tr.lastRenewalDate) === null || _c === void 0 ? void 0 : _c.getTime(),
          renewalIntent: tr.renewalIntent,
          renewalIntentChangeDate: (_d = tr.renewalIntentChangeDate) === null || _d === void 0 ? void 0 : _d.getTime()
        };
        if (existing) {
          Object.assign(existing, attributes);
        } else {
          verifiedPurchases.push(attributes);
        }
      });
    }
    class Adapter {
      constructor(context) {
        this.id = CdvPurchase2.Platform.TEST;
        this.name = "Test";
        this.ready = false;
        this.products = [];
        this.receipts = [];
        this.supportsParallelLoading = true;
        this.context = context;
        this.log = context.log.child("Test");
      }
      get isSupported() {
        return true;
      }
      initialize() {
        return __awaiter(this, void 0, void 0, function* () {
          return;
        });
      }
      loadReceipts() {
        return __awaiter(this, void 0, void 0, function* () {
          return new Promise((resolve) => {
            setTimeout(() => {
              this.context.listener.receiptsReady(CdvPurchase2.Platform.TEST);
              resolve(this.receipts);
            }, 600);
          });
        });
      }
      loadProducts(products) {
        return __awaiter(this, void 0, void 0, function* () {
          return products.map((registerProduct) => {
            if (!Test.testProductsArray.find((p) => p.id === registerProduct.id && p.type === registerProduct.type)) {
              return testStoreError(CdvPurchase2.ErrorCode.PRODUCT_NOT_AVAILABLE, "This product is not available", registerProduct.id);
            }
            const existingProduct = this.products.find((p) => p.id === registerProduct.id);
            if (existingProduct)
              return existingProduct;
            if (registerProduct.id === Test.testProducts.PAID_SUBSCRIPTION_ACTIVE.id) {
              setTimeout(() => {
                this.reportActiveSubscription();
              }, 500);
            }
            const product = Test.initTestProduct(registerProduct.id, this.context.apiDecorators);
            if (!product)
              return testStoreError(CdvPurchase2.ErrorCode.PRODUCT_NOT_AVAILABLE, "Could not load this product", registerProduct.id);
            this.products.push(product);
            this.context.listener.productsUpdated(CdvPurchase2.Platform.TEST, [product]);
            return product;
          });
        });
      }
      order(offer) {
        return __awaiter(this, void 0, void 0, function* () {
          if (offer.id.indexOf("-fail-") > 0) {
            return testStoreError(CdvPurchase2.ErrorCode.PURCHASE, "Purchase failed.", offer.productId);
          }
          const product = this.products.find((p) => p.id === offer.productId);
          if (!CdvPurchase2.Internal.LocalReceipts.canPurchase(this.receipts, product)) {
            return testStoreError(CdvPurchase2.ErrorCode.PURCHASE, "Product already owned", offer.productId);
          }
          const response = prompt(`Do you want to purchase ${offer.productId} for ${offer.pricingPhases[0].price}?
Enter "Y" to confirm.
Enter "E" to fail with an error.Anything else to cancel.`);
          if ((response === null || response === void 0 ? void 0 : response.toUpperCase()) === "E")
            return testStoreError(CdvPurchase2.ErrorCode.PURCHASE, "Purchase failed", offer.productId);
          if ((response === null || response === void 0 ? void 0 : response.toUpperCase()) !== "Y")
            return testStoreError(CdvPurchase2.ErrorCode.PAYMENT_CANCELLED, "Purchase flow has been cancelled by the user", offer.productId);
          const receipt = new CdvPurchase2.Receipt(platform, this.context.apiDecorators);
          const tr = new CdvPurchase2.Transaction(platform, receipt, this.context.apiDecorators);
          receipt.transactions = [tr];
          tr.products = [{
            id: offer.productId,
            offerId: offer.id
          }];
          tr.state = CdvPurchase2.TransactionState.APPROVED;
          tr.purchaseDate = new Date();
          tr.transactionId = offer.productId + "-" + new Date().getTime();
          tr.isAcknowledged = false;
          if (offer.productType === CdvPurchase2.ProductType.PAID_SUBSCRIPTION) {
            tr.expirationDate = new Date(+new Date() + 6048e5);
            tr.renewalIntent = CdvPurchase2.RenewalIntent.RENEW;
          }
          updateVerifiedPurchases(tr);
          this.receipts.push(receipt);
          this.context.listener.receiptsUpdated(CdvPurchase2.Platform.TEST, [receipt]);
        });
      }
      finish(transaction) {
        return new Promise((resolve) => {
          setTimeout(() => {
            transaction.state = CdvPurchase2.TransactionState.FINISHED;
            transaction.isAcknowledged = true;
            updateVerifiedPurchases(transaction);
            const product = this.products.find((p) => transaction.products[0].id === p.id);
            if ((product === null || product === void 0 ? void 0 : product.type) === CdvPurchase2.ProductType.CONSUMABLE)
              transaction.isConsumed = true;
            const receipts = this.receipts.filter((r) => r.hasTransaction(transaction));
            this.context.listener.receiptsUpdated(platform, receipts);
            resolve(void 0);
          }, 500);
        });
      }
      receiptValidationBody(receipt) {
        return __awaiter(this, void 0, void 0, function* () {
          return;
        });
      }
      handleReceiptValidationResponse(receipt, response) {
        return __awaiter(this, void 0, void 0, function* () {
          return;
        });
      }
      requestPayment(paymentRequest, additionalData) {
        var _a;
        return __awaiter(this, void 0, void 0, function* () {
          yield CdvPurchase2.Utils.asyncDelay(100);
          const response = prompt(`Mock payment of ${((_a = paymentRequest.amountMicros) !== null && _a !== void 0 ? _a : 0) / 1e6} ${paymentRequest.currency}. Enter "Y" to confirm. Enter "E" to trigger an error.`);
          if ((response === null || response === void 0 ? void 0 : response.toUpperCase()) === "E")
            return testStoreError(CdvPurchase2.ErrorCode.PAYMENT_NOT_ALLOWED, "Payment not allowed", null);
          if ((response === null || response === void 0 ? void 0 : response.toUpperCase()) !== "Y")
            return;
          const receipt = new CdvPurchase2.Receipt(platform, this.context.apiDecorators);
          const transaction = new CdvPurchase2.Transaction(CdvPurchase2.Platform.TEST, receipt, this.context.apiDecorators);
          transaction.purchaseDate = new Date();
          transaction.products = paymentRequest.items.filter((p) => p).map((product) => ({ id: (product === null || product === void 0 ? void 0 : product.id) || "" })), transaction.state = CdvPurchase2.TransactionState.APPROVED;
          transaction.transactionId = "payment-" + new Date().getTime();
          transaction.amountMicros = paymentRequest.amountMicros;
          transaction.currency = paymentRequest.currency;
          receipt.transactions = [transaction];
          this.receipts.push(receipt);
          setTimeout(() => {
            this.context.listener.receiptsUpdated(platform, [receipt]);
          }, 400);
          return transaction;
        });
      }
      manageSubscriptions() {
        return __awaiter(this, void 0, void 0, function* () {
          alert("Pseudo subscription management interface. Close it when you are done.");
          return;
        });
      }
      manageBilling() {
        return __awaiter(this, void 0, void 0, function* () {
          alert("Pseudo billing management interface. Close it when you are done.");
          return;
        });
      }
      reportActiveSubscription() {
        if (this.receipts.find((r) => r.transactions[0].transactionId === transactionId(1))) {
          return;
        }
        const RENEWS_EVERY_MS = 2 * 6e4;
        const receipt = new CdvPurchase2.Receipt(platform, this.context.apiDecorators);
        const makeTransaction = (n) => {
          var _a, _b;
          const tr = new CdvPurchase2.Transaction(platform, receipt, this.context.apiDecorators);
          tr.products = [{
            id: Test.testProducts.PAID_SUBSCRIPTION_ACTIVE.id,
            offerId: Test.testProducts.PAID_SUBSCRIPTION_ACTIVE.extra.offerId
          }];
          tr.state = CdvPurchase2.TransactionState.APPROVED;
          tr.transactionId = transactionId(n);
          tr.isAcknowledged = n == 1;
          tr.renewalIntent = CdvPurchase2.RenewalIntent.RENEW;
          const firstPurchase = +(((_b = (_a = receipt === null || receipt === void 0 ? void 0 : receipt.transactions) === null || _a === void 0 ? void 0 : _a[0]) === null || _b === void 0 ? void 0 : _b.purchaseDate) || new Date());
          tr.purchaseDate = new Date(firstPurchase);
          tr.lastRenewalDate = new Date(firstPurchase + RENEWS_EVERY_MS * (n - 1));
          tr.expirationDate = new Date(firstPurchase + RENEWS_EVERY_MS * n);
          updateVerifiedPurchases(tr);
          return tr;
        };
        receipt.transactions.push(makeTransaction(1));
        this.receipts.push(receipt);
        this.context.listener.receiptsUpdated(CdvPurchase2.Platform.TEST, [receipt]);
        function transactionId(n) {
          return "test-active-subscription-transaction-" + n;
        }
        let transactionNumber = 1;
        setInterval(() => {
          this.log.info("auto-renewing the mock subscription");
          transactionNumber += 1;
          receipt.transactions.push(makeTransaction(transactionNumber));
          this.context.listener.receiptsUpdated(CdvPurchase2.Platform.TEST, [receipt]);
        }, RENEWS_EVERY_MS);
      }
      static verify(receipt, callback) {
        setTimeout(() => {
          var _a, _b;
          callback({
            receipt,
            payload: {
              ok: true,
              data: {
                id: (_b = (_a = receipt.transactions[0]) === null || _a === void 0 ? void 0 : _a.products[0]) === null || _b === void 0 ? void 0 : _b.id,
                latest_receipt: true,
                transaction: { type: "test" },
                collection: verifiedPurchases
              }
            }
          });
        }, 500);
      }
      checkSupport(functionality) {
        return true;
      }
      restorePurchases() {
        return __awaiter(this, void 0, void 0, function* () {
        });
      }
    }
    Test.Adapter = Adapter;
    function testStoreError(code, message, productId) {
      return CdvPurchase2.storeError(code, message, CdvPurchase2.Platform.TEST, productId);
    }
  })(CdvPurchase2.Test || (CdvPurchase2.Test = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Test) {
    const platform = CdvPurchase2.Platform.TEST;
    Test.testProducts = {
      CONSUMABLE: {
        platform,
        id: "test-consumable",
        type: CdvPurchase2.ProductType.CONSUMABLE
      },
      CONSUMABLE_FAILING: {
        platform,
        id: "test-consumable-fail",
        type: CdvPurchase2.ProductType.CONSUMABLE
      },
      NON_CONSUMABLE: {
        platform,
        id: "test-non-consumable",
        type: CdvPurchase2.ProductType.NON_CONSUMABLE
      },
      PAID_SUBSCRIPTION: {
        platform,
        id: "test-subscription",
        type: CdvPurchase2.ProductType.PAID_SUBSCRIPTION
      },
      PAID_SUBSCRIPTION_ACTIVE: {
        platform,
        id: "test-subscription-active",
        type: CdvPurchase2.ProductType.PAID_SUBSCRIPTION,
        extra: {
          offerId: "test-paid-subscription-active-offer1"
        }
      }
    };
    Test.testProductsArray = CdvPurchase2.Utils.objectValues(Test.testProducts);
    function initTestProduct(productId, decorator) {
      const key = Object.keys(Test.testProducts).find((key2) => Test.testProducts[key2] && Test.testProducts[key2].id === productId);
      if (!key)
        return;
      const product = new CdvPurchase2.Product(Test.testProducts[key], decorator);
      switch (key) {
        case "CONSUMABLE":
          product.title = "Test Consumable";
          product.description = "A consumable product that you can purchase";
          product.addOffer(new CdvPurchase2.Offer({
            id: "test-consumable-offer1",
            pricingPhases: [{
              price: "$4.99",
              currency: "USD",
              priceMicros: 499e4,
              paymentMode: CdvPurchase2.PaymentMode.UP_FRONT,
              recurrenceMode: CdvPurchase2.RecurrenceMode.NON_RECURRING
            }],
            product
          }, decorator));
          break;
        case "CONSUMABLE_FAILING":
          product.title = "Failing Consumable";
          product.description = "A consumable product that cannot be purchased";
          product.addOffer(new CdvPurchase2.Offer({
            id: "test-consumable-fail-offer1",
            pricingPhases: [{
              price: "$1.99",
              currency: "USD",
              priceMicros: 199e4,
              paymentMode: CdvPurchase2.PaymentMode.UP_FRONT,
              recurrenceMode: CdvPurchase2.RecurrenceMode.NON_RECURRING
            }],
            product
          }, decorator));
          break;
        case "NON_CONSUMABLE":
          product.title = "Non Consumable";
          product.description = "A non consumable product";
          product.addOffer(new CdvPurchase2.Offer({
            id: "test-non-consumable-offer1",
            pricingPhases: [{
              price: "$9.99",
              currency: "USD",
              priceMicros: 999e4,
              paymentMode: CdvPurchase2.PaymentMode.UP_FRONT,
              recurrenceMode: CdvPurchase2.RecurrenceMode.NON_RECURRING
            }],
            product
          }, decorator));
          break;
        case "PAID_SUBSCRIPTION":
          product.title = "A subscription product";
          product.description = "An auto-renewing paid subscription with a trial period";
          product.addOffer(new CdvPurchase2.Offer({
            id: "test-paid-subscription-offer1",
            product,
            pricingPhases: [{
              price: "$0.00",
              currency: "USD",
              priceMicros: 0,
              paymentMode: CdvPurchase2.PaymentMode.FREE_TRIAL,
              recurrenceMode: CdvPurchase2.RecurrenceMode.FINITE_RECURRING,
              billingCycles: 3,
              billingPeriod: "P1W"
            }, {
              price: "$4.99",
              currency: "USD",
              priceMicros: 499e4,
              paymentMode: CdvPurchase2.PaymentMode.PAY_AS_YOU_GO,
              recurrenceMode: CdvPurchase2.RecurrenceMode.INFINITE_RECURRING,
              billingPeriod: "P1M"
            }]
          }, decorator));
          break;
        case "PAID_SUBSCRIPTION_ACTIVE":
          product.title = "An owned subscription product";
          product.description = "An active paid subscription";
          product.addOffer(new CdvPurchase2.Offer({
            id: Test.testProducts.PAID_SUBSCRIPTION_ACTIVE.extra.offerId,
            product,
            pricingPhases: [{
              price: "$19.99",
              currency: "USD",
              priceMicros: 1999e4,
              paymentMode: CdvPurchase2.PaymentMode.PAY_AS_YOU_GO,
              recurrenceMode: CdvPurchase2.RecurrenceMode.INFINITE_RECURRING,
              billingPeriod: "P1Y"
            }]
          }, decorator));
          break;
        default:
          const unhandledSwitchCase = key;
          throw new Error(`Unhandled enum case: ${unhandledSwitchCase}`);
      }
      return product;
    }
    Test.initTestProduct = initTestProduct;
  })(CdvPurchase2.Test || (CdvPurchase2.Test = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(WindowsStore) {
    class Adapter {
      constructor() {
        this.id = CdvPurchase2.Platform.WINDOWS_STORE;
        this.name = "WindowsStore";
        this.ready = false;
        this.supportsParallelLoading = false;
        this.products = [];
        this.receipts = [];
      }
      initialize() {
        return __awaiter(this, void 0, void 0, function* () {
          return;
        });
      }
      get isSupported() {
        return false;
      }
      loadProducts(products) {
        return __awaiter(this, void 0, void 0, function* () {
          return products.map((p) => windowsStoreError(CdvPurchase2.ErrorCode.PRODUCT_NOT_AVAILABLE, "TODO", p.id));
        });
      }
      loadReceipts() {
        return __awaiter(this, void 0, void 0, function* () {
          return [];
        });
      }
      order(offer) {
        return __awaiter(this, void 0, void 0, function* () {
          return windowsStoreError(CdvPurchase2.ErrorCode.UNKNOWN, "TODO: Not implemented", offer.productId);
        });
      }
      finish(transaction) {
        return __awaiter(this, void 0, void 0, function* () {
          return windowsStoreError(CdvPurchase2.ErrorCode.UNKNOWN, "TODO: Not implemented", null);
        });
      }
      handleReceiptValidationResponse(receipt, response) {
        return __awaiter(this, void 0, void 0, function* () {
          return;
        });
      }
      receiptValidationBody(receipt) {
        return __awaiter(this, void 0, void 0, function* () {
          return;
        });
      }
      requestPayment(payment, additionalData) {
        return __awaiter(this, void 0, void 0, function* () {
          return windowsStoreError(CdvPurchase2.ErrorCode.UNKNOWN, "requestPayment not supported", null);
        });
      }
      manageSubscriptions() {
        return __awaiter(this, void 0, void 0, function* () {
          return windowsStoreError(CdvPurchase2.ErrorCode.UNKNOWN, "manageSubscriptions not supported", null);
        });
      }
      manageBilling() {
        return __awaiter(this, void 0, void 0, function* () {
          return windowsStoreError(CdvPurchase2.ErrorCode.UNKNOWN, "manageBilling not supported", null);
        });
      }
      checkSupport(functionality) {
        return false;
      }
      restorePurchases() {
        return __awaiter(this, void 0, void 0, function* () {
        });
      }
    }
    WindowsStore.Adapter = Adapter;
    function windowsStoreError(code, message, productId) {
      return CdvPurchase2.storeError(code, message, CdvPurchase2.Platform.WINDOWS_STORE, productId);
    }
  })(CdvPurchase2.WindowsStore || (CdvPurchase2.WindowsStore = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Utils) {
    let Ajax;
    (function(Ajax2) {
      Ajax2.HTTP_REQUEST_TIMEOUT = 408;
    })(Ajax = Utils.Ajax || (Utils.Ajax = {}));
    function ajax(log, options) {
      if (typeof window !== "undefined" && window.cordova && window.cordova.plugin && window.cordova.plugin.http) {
        return ajaxWithHttpPlugin(log, options);
      }
      var doneCb = function() {
      };
      var xhr = new XMLHttpRequest();
      if (options.timeout) {
        xhr.timeout = options.timeout;
        xhr.ontimeout = function() {
          log.warn("ajax -> request to " + options.url + " timeout");
          Utils.callExternal(log, "ajax.error", options.error, Ajax.HTTP_REQUEST_TIMEOUT, "Timeout");
        };
      }
      xhr.open(options.method || "POST", options.url, true);
      xhr.onreadystatechange = function() {
        try {
          if (xhr.readyState === 4) {
            if (xhr.status === 200) {
              Utils.callExternal(log, "ajax.success", options.success, JSON.parse(xhr.responseText));
            } else {
              log.warn("ajax -> request to " + options.url + " failed with status " + xhr.status + " (" + xhr.statusText + ")");
              Utils.callExternal(log, "ajax.error", options.error, xhr.status, xhr.statusText);
            }
          }
        } catch (e) {
          log.warn("ajax -> request to " + options.url + " failed with an exception: " + e.message);
          if (options.error)
            options.error(417, e.message, null);
        }
        if (xhr.readyState === 4)
          Utils.callExternal(log, "ajax.done", doneCb);
      };
      const customHeaders = options.customHeaders;
      if (customHeaders) {
        Object.keys(customHeaders).forEach(function(header) {
          log.debug("ajax -> adding custom header: " + header);
          xhr.setRequestHeader(header, customHeaders[header]);
        });
      }
      xhr.setRequestHeader("Accept", "application/json");
      log.debug("ajax -> send request to " + options.url);
      if (options.data) {
        xhr.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
        xhr.send(JSON.stringify(options.data));
      } else {
        xhr.send();
      }
      return {
        done: function(cb) {
          doneCb = cb;
          return this;
        }
      };
    }
    Utils.ajax = ajax;
    function ajaxWithHttpPlugin(log, options) {
      let doneCb = function() {
      };
      const ajaxOptions = {
        method: (options.method || "get").toLowerCase(),
        data: options.data,
        serializer: "json"
      };
      if (options.customHeaders) {
        log.debug("ajax[http] -> adding custom headers: " + JSON.stringify(options.customHeaders));
        ajaxOptions.headers = options.customHeaders;
      }
      log.debug("ajax[http] -> send request to " + options.url);
      const ajaxDone = (response) => {
        try {
          if (response.status == 200) {
            Utils.callExternal(log, "ajax.success", options.success, JSON.parse(response.data));
          } else {
            log.warn("ajax[http] -> request to " + options.url + " failed with status " + response.status + " (" + response.error + ")");
            Utils.callExternal(log, "ajax.error", options.error, response.status, response.error);
          }
        } catch (e) {
          log.warn("ajax[http] -> request to " + options.url + " failed with an exception: " + e.message);
          if (options.error)
            Utils.callExternal(log, "ajax.error", options.error, 417, e.message);
        }
        Utils.callExternal(log, "ajax.done", doneCb);
      };
      window.cordova.plugin.http.sendRequest(options.url, ajaxOptions, ajaxDone, ajaxDone);
      return {
        done: function(cb) {
          doneCb = cb;
          return this;
        }
      };
    }
  })(CdvPurchase2.Utils || (CdvPurchase2.Utils = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Utils) {
    function callExternal(log, name, callback, ...args) {
      try {
        const args2 = Array.prototype.slice.call(arguments, 3);
        if (callback)
          callback.apply(CdvPurchase2.store, args2);
      } catch (e) {
        log.logCallbackException(name, e);
      }
    }
    Utils.callExternal = callExternal;
  })(CdvPurchase2.Utils || (CdvPurchase2.Utils = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Utils) {
    function delay(fn, milliseconds) {
      return setTimeout(fn, milliseconds);
    }
    Utils.delay = delay;
    function debounce(fn, milliseconds) {
      let timeout = null;
      const later = function(context, args) {
        timeout = null;
        fn();
      };
      const debounced = function() {
        if (timeout)
          window.clearTimeout(timeout);
        timeout = setTimeout(later, milliseconds);
      };
      return debounced;
    }
    Utils.debounce = debounce;
    function asyncDelay(milliseconds) {
      return new Promise((resolve) => setTimeout(resolve, milliseconds));
    }
    Utils.asyncDelay = asyncDelay;
  })(CdvPurchase2.Utils || (CdvPurchase2.Utils = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Utils) {
    function formatBillingCycleEN(pricingPhase) {
      switch (fixedRecurrenceMode(pricingPhase)) {
        case CdvPurchase2.RecurrenceMode.FINITE_RECURRING:
          return `${pricingPhase.billingCycles}x ${Utils.formatDurationEN(pricingPhase.billingPeriod)}`;
        case CdvPurchase2.RecurrenceMode.NON_RECURRING:
          return "for " + Utils.formatDurationEN(pricingPhase.billingPeriod);
        default:
          return "every " + Utils.formatDurationEN(pricingPhase.billingPeriod, { omitOne: true });
      }
    }
    Utils.formatBillingCycleEN = formatBillingCycleEN;
    function fixedRecurrenceMode(pricingPhase) {
      var _a;
      const cycles = (_a = pricingPhase.billingCycles) !== null && _a !== void 0 ? _a : 0;
      if (pricingPhase.recurrenceMode === CdvPurchase2.RecurrenceMode.FINITE_RECURRING) {
        if (cycles == 1)
          return CdvPurchase2.RecurrenceMode.NON_RECURRING;
        if (cycles <= 0)
          return CdvPurchase2.RecurrenceMode.INFINITE_RECURRING;
      }
      return pricingPhase.recurrenceMode;
    }
  })(CdvPurchase2.Utils || (CdvPurchase2.Utils = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Utils) {
    function formatDurationEN(iso, options) {
      if (!iso)
        return "";
      const l = iso.length;
      const n = iso.slice(1, l - 1);
      if (n === "1") {
        if (options === null || options === void 0 ? void 0 : options.omitOne) {
          return { "D": "day", "W": "week", "M": "month", "Y": "year" }[iso[l - 1]] || iso[l - 1];
        } else {
          return { "D": "1 day", "W": "1 week", "M": "1 month", "Y": "1 year" }[iso[l - 1]] || iso[l - 1];
        }
      } else {
        const u = { "D": "days", "W": "weeks", "M": "months", "Y": "years" }[iso[l - 1]] || iso[l - 1];
        return `${n} ${u}`;
      }
    }
    Utils.formatDurationEN = formatDurationEN;
  })(CdvPurchase2.Utils || (CdvPurchase2.Utils = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Utils) {
    const HEX2STR = "0123456789abcdef".split("");
    function toHexString(r) {
      for (var n = "", e = 0; e < 4; e++)
        n += HEX2STR[r >> 8 * e + 4 & 15] + HEX2STR[r >> 8 * e & 15];
      return n;
    }
    function hexStringFromArray(array) {
      const out = [];
      for (var arrayLength = array.length, i = 0; i < arrayLength; i++)
        out.push(toHexString(array[i]));
      return out.join("");
    }
    function add32(r, n) {
      return r + n & 4294967295;
    }
    function complexShift(r, n, e, t, o, u, shiftFunction) {
      function shiftAdd32(op0, op1, v1) {
        return add32(op0 << op1 | op0 >>> 32 - op1, v1);
      }
      function add32x4(i0, i1, j0, j1) {
        return add32(add32(i1, i0), add32(j0, j1));
      }
      return shiftAdd32(add32x4(r, n, t, u), o, e);
    }
    var step1Function = function(shiftFunction, n, e, t, o, u, f, a) {
      return complexShift(e & t | ~e & o, n, e, u, f, a);
    };
    var step2Function = function(shiftFunction, n, e, t, o, u, f, a) {
      return complexShift(e & o | t & ~o, n, e, u, f, a);
    };
    var step3Function = function(shiftFunction, n, e, t, o, u, f, a) {
      return complexShift(e ^ t ^ o, n, e, u, f, a);
    };
    var step4Function = function(shiftFunction, n, e, t, o, u, f, a) {
      return complexShift(t ^ (e | ~o), n, e, u, f, a);
    };
    function hashStep(inOutVec4, strAsInts, shiftFunction) {
      if (!shiftFunction)
        shiftFunction = add32;
      let v0 = inOutVec4[0];
      let v1 = inOutVec4[1];
      let v2 = inOutVec4[2];
      let v3 = inOutVec4[3];
      var step1 = step1Function.bind(null, shiftFunction);
      v0 = step1(v0, v1, v2, v3, strAsInts[0], 7, -680876936);
      v3 = step1(v3, v0, v1, v2, strAsInts[1], 12, -389564586);
      v2 = step1(v2, v3, v0, v1, strAsInts[2], 17, 606105819);
      v1 = step1(v1, v2, v3, v0, strAsInts[3], 22, -1044525330);
      v0 = step1(v0, v1, v2, v3, strAsInts[4], 7, -176418897);
      v3 = step1(v3, v0, v1, v2, strAsInts[5], 12, 1200080426);
      v2 = step1(v2, v3, v0, v1, strAsInts[6], 17, -1473231341);
      v1 = step1(v1, v2, v3, v0, strAsInts[7], 22, -45705983);
      v0 = step1(v0, v1, v2, v3, strAsInts[8], 7, 1770035416);
      v3 = step1(v3, v0, v1, v2, strAsInts[9], 12, -1958414417);
      v2 = step1(v2, v3, v0, v1, strAsInts[10], 17, -42063);
      v1 = step1(v1, v2, v3, v0, strAsInts[11], 22, -1990404162);
      v0 = step1(v0, v1, v2, v3, strAsInts[12], 7, 1804603682);
      v3 = step1(v3, v0, v1, v2, strAsInts[13], 12, -40341101);
      v2 = step1(v2, v3, v0, v1, strAsInts[14], 17, -1502002290);
      v1 = step1(v1, v2, v3, v0, strAsInts[15], 22, 1236535329);
      var step2 = step2Function.bind(null, shiftFunction);
      v0 = step2(v0, v1, v2, v3, strAsInts[1], 5, -165796510);
      v3 = step2(v3, v0, v1, v2, strAsInts[6], 9, -1069501632);
      v2 = step2(v2, v3, v0, v1, strAsInts[11], 14, 643717713);
      v1 = step2(v1, v2, v3, v0, strAsInts[0], 20, -373897302);
      v0 = step2(v0, v1, v2, v3, strAsInts[5], 5, -701558691);
      v3 = step2(v3, v0, v1, v2, strAsInts[10], 9, 38016083);
      v2 = step2(v2, v3, v0, v1, strAsInts[15], 14, -660478335);
      v1 = step2(v1, v2, v3, v0, strAsInts[4], 20, -405537848);
      v0 = step2(v0, v1, v2, v3, strAsInts[9], 5, 568446438);
      v3 = step2(v3, v0, v1, v2, strAsInts[14], 9, -1019803690);
      v2 = step2(v2, v3, v0, v1, strAsInts[3], 14, -187363961);
      v1 = step2(v1, v2, v3, v0, strAsInts[8], 20, 1163531501);
      v0 = step2(v0, v1, v2, v3, strAsInts[13], 5, -1444681467);
      v3 = step2(v3, v0, v1, v2, strAsInts[2], 9, -51403784);
      v2 = step2(v2, v3, v0, v1, strAsInts[7], 14, 1735328473);
      v1 = step2(v1, v2, v3, v0, strAsInts[12], 20, -1926607734);
      var step3 = step3Function.bind(null, shiftFunction);
      v0 = step3(v0, v1, v2, v3, strAsInts[5], 4, -378558);
      v3 = step3(v3, v0, v1, v2, strAsInts[8], 11, -2022574463);
      v2 = step3(v2, v3, v0, v1, strAsInts[11], 16, 1839030562);
      v1 = step3(v1, v2, v3, v0, strAsInts[14], 23, -35309556);
      v0 = step3(v0, v1, v2, v3, strAsInts[1], 4, -1530992060);
      v3 = step3(v3, v0, v1, v2, strAsInts[4], 11, 1272893353);
      v2 = step3(v2, v3, v0, v1, strAsInts[7], 16, -155497632);
      v1 = step3(v1, v2, v3, v0, strAsInts[10], 23, -1094730640);
      v0 = step3(v0, v1, v2, v3, strAsInts[13], 4, 681279174);
      v3 = step3(v3, v0, v1, v2, strAsInts[0], 11, -358537222);
      v2 = step3(v2, v3, v0, v1, strAsInts[3], 16, -722521979);
      v1 = step3(v1, v2, v3, v0, strAsInts[6], 23, 76029189);
      v0 = step3(v0, v1, v2, v3, strAsInts[9], 4, -640364487);
      v3 = step3(v3, v0, v1, v2, strAsInts[12], 11, -421815835);
      v2 = step3(v2, v3, v0, v1, strAsInts[15], 16, 530742520);
      v1 = step3(v1, v2, v3, v0, strAsInts[2], 23, -995338651);
      var step4 = step4Function.bind(null, shiftFunction);
      v0 = step4(v0, v1, v2, v3, strAsInts[0], 6, -198630844);
      v3 = step4(v3, v0, v1, v2, strAsInts[7], 10, 1126891415);
      v2 = step4(v2, v3, v0, v1, strAsInts[14], 15, -1416354905);
      v1 = step4(v1, v2, v3, v0, strAsInts[5], 21, -57434055);
      v0 = step4(v0, v1, v2, v3, strAsInts[12], 6, 1700485571);
      v3 = step4(v3, v0, v1, v2, strAsInts[3], 10, -1894986606);
      v2 = step4(v2, v3, v0, v1, strAsInts[10], 15, -1051523);
      v1 = step4(v1, v2, v3, v0, strAsInts[1], 21, -2054922799);
      v0 = step4(v0, v1, v2, v3, strAsInts[8], 6, 1873313359);
      v3 = step4(v3, v0, v1, v2, strAsInts[15], 10, -30611744);
      v2 = step4(v2, v3, v0, v1, strAsInts[6], 15, -1560198380);
      v1 = step4(v1, v2, v3, v0, strAsInts[13], 21, 1309151649);
      v0 = step4(v0, v1, v2, v3, strAsInts[4], 6, -145523070);
      v3 = step4(v3, v0, v1, v2, strAsInts[11], 10, -1120210379);
      v2 = step4(v2, v3, v0, v1, strAsInts[2], 15, 718787259);
      v1 = step4(v1, v2, v3, v0, strAsInts[9], 21, -343485551);
      inOutVec4[0] = shiftFunction(v0, inOutVec4[0]);
      inOutVec4[1] = shiftFunction(v1, inOutVec4[1]);
      inOutVec4[2] = shiftFunction(v2, inOutVec4[2]);
      inOutVec4[3] = shiftFunction(v3, inOutVec4[3]);
    }
    function stringToIntArray(r) {
      for (var ret = [], e = 0; e < 64; e += 4)
        ret[e >> 2] = r.charCodeAt(e) + (r.charCodeAt(e + 1) << 8) + (r.charCodeAt(e + 2) << 16) + (r.charCodeAt(e + 3) << 24);
      return ret;
    }
    function computeMD5(str, shiftFunction) {
      let lastCharIndex;
      const strLength = str.length;
      const vec4 = [1732584193, -271733879, -1732584194, 271733878];
      for (lastCharIndex = 64; lastCharIndex <= strLength; lastCharIndex += 64)
        hashStep(vec4, stringToIntArray(str.substring(lastCharIndex - 64, lastCharIndex)), shiftFunction);
      const vec16 = [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0];
      const reminderLength = (str = str.substring(lastCharIndex - 64)).length;
      let vec16Index;
      for (vec16Index = 0; vec16Index < reminderLength; vec16Index++)
        vec16[vec16Index >> 2] |= str.charCodeAt(vec16Index) << (vec16Index % 4 << 3);
      vec16[vec16Index >> 2] |= 128 << (vec16Index % 4 << 3);
      if (vec16Index > 55) {
        hashStep(vec4, vec16, shiftFunction);
        for (vec16Index = 16; vec16Index--; )
          vec16[vec16Index] = 0;
      }
      vec16[14] = 8 * strLength;
      hashStep(vec4, vec16, shiftFunction);
      return vec4;
    }
    function md5(str) {
      if (!str)
        return "";
      let shiftFunction;
      if ("5d41402abc4b2a76b9719d911017c592" !== hexStringFromArray(computeMD5("hello")))
        shiftFunction = function(r, n) {
          const e = (65535 & r) + (65535 & n);
          return (r >> 16) + (n >> 16) + (e >> 16) << 16 | 65535 & e;
        };
      return hexStringFromArray(computeMD5(str, shiftFunction));
    }
    Utils.md5 = md5;
  })(CdvPurchase2.Utils || (CdvPurchase2.Utils = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Utils) {
    function safeCallback(logger, className, callback) {
      return function(value) {
        safeCall(logger, className, callback, value);
      };
    }
    Utils.safeCallback = safeCallback;
    function safeCall(logger, className, callback, value) {
      setTimeout(() => {
        try {
          logger.debug(`Calling callback: type=${className} name=${callback.name}`);
          callback(value);
        } catch (error) {
          logger.error(`Error in callback: type=${className} name=${callback.name}`);
          const errorAsError = error;
          if ("message" in errorAsError)
            logger.error(errorAsError.message);
          if ("fileName" in error)
            logger.error("in " + error.fileName + ":" + error.lineNumber);
          if ("stack" in errorAsError)
            logger.error(errorAsError.stack);
        }
      }, 0);
    }
    Utils.safeCall = safeCall;
  })(CdvPurchase2.Utils || (CdvPurchase2.Utils = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Utils) {
    function getCryptoExtension() {
      return window.crypto || window.msCrypto;
    }
    function uuidv4() {
      return ([1e7] + -1e3 + -4e3 + -8e3 + -1e11).replace(/[018]/g, function(c) {
        return (c ^ getCryptoExtension().getRandomValues(new Uint8Array(1))[0] & 15 >> c / 4).toString(16);
      });
    }
    Utils.uuidv4 = uuidv4;
  })(CdvPurchase2.Utils || (CdvPurchase2.Utils = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Validator) {
    (function(Internal) {
      function isArray(arg) {
        return Object.prototype.toString.call(arg) === "[object Array]";
      }
      function isObject(arg) {
        return Object.prototype.toString.call(arg) === "[object Object]";
      }
      function getPrivacyPolicy(store) {
        if (typeof store.validator_privacy_policy === "string")
          return store.validator_privacy_policy.split(",");
        else if (isArray(store.validator_privacy_policy))
          return store.validator_privacy_policy;
        else
          return ["analytics", "support", "fraud"];
      }
      function getDeviceInfo(store) {
        const privacyPolicy = getPrivacyPolicy(store);
        function allowed(policy) {
          return privacyPolicy.indexOf(policy) >= 0;
        }
        const ret = {
          plugin: "cordova-plugin-purchase/" + CdvPurchase2.PLUGIN_VERSION
        };
        const wdw = window;
        const device = isObject(wdw.device) ? wdw.device : {};
        if (allowed("analytics") || allowed("support")) {
          const ionic = wdw.Ionic || wdw.ionic;
          if (ionic && ionic.version)
            ret.ionic = ionic.version;
          if (device.cordova)
            ret.cordova = device.cordova;
          if (device.model)
            ret.model = device.model;
          if (device.platform)
            ret.platform = device.platform;
          if (device.version)
            ret.version = device.version;
          if (device.manufacturer)
            ret.manufacturer = device.manufacturer;
        }
        if (allowed("tracking")) {
          if (device.serial)
            ret.serial = device.serial;
          if (device.uuid)
            ret.uuid = device.uuid;
        }
        if (device.isVirtual)
          ret.isVirtual = device.isVirtual;
        if (allowed("fraud")) {
          var fingerprint = "";
          if (device.serial)
            fingerprint = "serial:" + device.serial;
          else if (device.uuid)
            fingerprint = "uuid:" + device.uuid;
          else {
            if (device.model)
              fingerprint += "/" + device.model;
            if (device.manufacturer)
              fingerprint = "/" + device.manufacturer;
          }
          if (fingerprint)
            ret.fingerprint = CdvPurchase2.Utils.md5(fingerprint);
        }
        return ret;
      }
      Internal.getDeviceInfo = getDeviceInfo;
    })(Validator.Internal || (Validator.Internal = {}));
  })(CdvPurchase2.Validator || (CdvPurchase2.Validator = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  (function(Validator) {
    (function(Request) {
    })(Validator.Request || (Validator.Request = {}));
  })(CdvPurchase2.Validator || (CdvPurchase2.Validator = {}));
})(CdvPurchase || (CdvPurchase = {}));
var CdvPurchase;
(function(CdvPurchase2) {
  class VerifiedReceipt {
    constructor(receipt, response, decorator) {
      var _a;
      this.className = "VerifiedReceipt";
      this.id = response.id;
      this.sourceReceipt = receipt;
      this.collection = (_a = response.collection) !== null && _a !== void 0 ? _a : [];
      this.latestReceipt = response.latest_receipt;
      this.nativeTransactions = [response.transaction];
      this.warning = response.warning;
      Object.defineProperty(this, "raw", { "enumerable": false, get() {
        return response;
      } });
      Object.defineProperty(this, "finish", { "enumerable": false, get() {
        return () => decorator.finish(this);
      } });
    }
    get platform() {
      return this.sourceReceipt.platform;
    }
    get raw() {
      return {};
    }
    set(receipt, response) {
      var _a;
      this.id = response.id;
      this.sourceReceipt = receipt;
      this.collection = (_a = response.collection) !== null && _a !== void 0 ? _a : [];
      this.latestReceipt = response.latest_receipt;
      this.nativeTransactions = [response.transaction];
      this.warning = response.warning;
    }
    finish() {
      return __awaiter(this, void 0, void 0, function* () {
      });
    }
  }
  CdvPurchase2.VerifiedReceipt = VerifiedReceipt;
})(CdvPurchase || (CdvPurchase = {}));
var MainLayout_vue_vue_type_style_index_0_lang = "";
const _hoisted_1 = /* @__PURE__ */ createBaseVNode("div", null, "v3.5-\u9AD8\u901F\u5F15\u64CE", -1);
const _hoisted_2 = { class: "text-caption text-amber-10" };
const _hoisted_3 = /* @__PURE__ */ createBaseVNode("div", null, "v4.0-\u667A\u80FD\u5F15\u64CE", -1);
const _hoisted_4 = { class: "text-caption text-amber-10" };
const _hoisted_5 = /* @__PURE__ */ createBaseVNode("div", { style: { "height": "160px" } }, null, -1);
const _hoisted_6 = { class: "fixed-element" };
const _sfc_main = {
  __name: "MainLayout",
  setup(__props) {
    const router = useRouter();
    const chatStore2 = useChatStore();
    const userStore2 = useUserStore();
    const env = useEnvStore();
    const $q = useQuasar();
    const call_limit_today = computed(() => {
      if (!chatStore2.api_call_limit) {
        return 0;
      }
      if (Date.parse(chatStore2.api_call_limit["EndDate"]) > Date.now()) {
        return chatStore2.api_call_limit["limitCount"];
      }
      return 0;
    });
    const tab = ref("chatPage");
    const leftDrawerOpen = ref(false);
    const account_info = ref(false);
    const recharge = ref(false);
    const model = ref("gpt-3.5-turbo-0613");
    provide("model", model);
    const model_name = computed(() => {
      if (model.value === "gpt-3.5-turbo-0613") {
        return "v3.5-\u9AD8\u901F\u5F15\u64CE";
      } else if (model.value === "gpt-4-0613") {
        return "v4.0-\u667A\u80FD\u5F15\u64CE";
      }
      return "v3.5-\u9AD8\u901F\u5F15\u64CE";
    });
    function getModelCalls(model2) {
      if (!chatStore2.api_calls_group[model2]) {
        return 0;
      }
      return chatStore2.api_calls_group[model2]["callCount"];
    }
    async function changeTab(new_tab) {
      tab.value = new_tab;
      leftDrawerOpen.value = false;
    }
    async function changeModel(new_model) {
      model.value = new_model;
    }
    onMounted(async () => {
      await userStore2.getUserInfo();
      await chatStore2.getSubjects();
      await chatStore2.getApiCalls();
      await chatStore2.getApiCallLimit();
      if (Object.keys(chatStore2.subjects).length === 0) {
        await subjectAddApi();
        await chatStore2.getSubjects();
      }
      const subject_keys = Object.keys(chatStore2.subjects);
      chatStore2.curr_subject.Id = chatStore2.subjects[subject_keys[subject_keys.length - 1]].Id;
      chatStore2.curr_subject.UserId = chatStore2.subjects[subject_keys[subject_keys.length - 1]].UserId;
      chatStore2.curr_subject.Subject = chatStore2.subjects[subject_keys[subject_keys.length - 1]].Subject;
      await chatStore2.getChats();
      await env.getVersion();
      console.log(env.version);
      const new_version = await getNewVersion();
      if (env.compareVersions(env.version, new_version) === -1) {
        $q.notify({
          message: `\u53D1\u73B0\u65B0\u7248\u672C${new_version}\uFF0C\u8BF7\u524D\u5F80\u66F4\u65B0`,
          color: "primary",
          icon: "cloud_download",
          position: "top",
          timeout: 6,
          actions: [
            {
              label: "\u4E0B\u8F7D",
              color: "white",
              handler: () => {
                window.open("https://www.mogu.today");
              }
            }
          ]
        });
      }
      const notifies = await getNotify();
      console.log(notifies);
      if (notifies.length > 0)
        ;
    });
    const subjects_l = computed(() => {
      let data = [];
      for (const s in chatStore2.subjects) {
        data.push(chatStore2.subjects[s]);
      }
      data.sort((a, b) => a.CreatedAt - b.CreatedAt);
      return data;
    });
    async function toggleLeftDrawer() {
      leftDrawerOpen.value = !leftDrawerOpen.value;
    }
    const add_subject = ref(false);
    provide("add_subject", add_subject);
    async function addSubject() {
      const new_subject = await subjectAddApi();
      await chatStore2.getSubjects();
      chatStore2.$patch({ curr_subject: new_subject });
      add_subject.value = true;
      await nextTick();
      add_subject.value = false;
    }
    async function quit() {
      await Preferences.clear();
      await router.push("/login");
    }
    return (_ctx, _cache) => {
      return openBlock(), createBlock(QLayout, { view: "lHh Lpr lFf" }, {
        default: withCtx(() => [
          createVNode(QHeader, {
            class: "row justify-center",
            style: { "background": "white" }
          }, {
            default: withCtx(() => [
              createVNode(QToolbar, { class: "header-bg" }, {
                default: withCtx(() => [
                  withDirectives(createVNode(QBtn, {
                    "aria-label": "Menu",
                    dense: "",
                    flat: "",
                    icon: "menu",
                    round: "",
                    onClick: toggleLeftDrawer
                  }, null, 512), [
                    [vShow, tab.value === "chatPage"]
                  ]),
                  withDirectives(createVNode(QToolbarTitle, { class: "text-subtitle1 text-weight-light" }, {
                    default: withCtx(() => [
                      createTextVNode(toDisplayString(unref(chatStore2).curr_subject.Subject ? unref(chatStore2).curr_subject.Subject : "\u672A\u547D\u540D\u4E3B\u9898"), 1)
                    ]),
                    _: 1
                  }, 512), [
                    [vShow, tab.value === "chatPage"]
                  ]),
                  withDirectives(createVNode(QBtnDropdown, {
                    label: model_name.value,
                    flat: "",
                    stretch: ""
                  }, {
                    default: withCtx(() => [
                      createVNode(QList, null, {
                        default: withCtx(() => [
                          withDirectives((openBlock(), createBlock(QItem, {
                            clickable: "",
                            onClick: _cache[0] || (_cache[0] = ($event) => changeModel("gpt-3.5-turbo-0613"))
                          }, {
                            default: withCtx(() => [
                              createVNode(QItemSection, null, {
                                default: withCtx(() => [
                                  _hoisted_1,
                                  createBaseVNode("div", _hoisted_2, "(" + toDisplayString(getModelCalls("gpt-3.5-turbo-0613")) + "/" + toDisplayString(call_limit_today.value["gpt-3.5-turbo-0613"]) + ") ", 1)
                                ]),
                                _: 1
                              })
                            ]),
                            _: 1
                          })), [
                            [ClosePopup],
                            [Ripple]
                          ]),
                          withDirectives((openBlock(), createBlock(QItem, {
                            clickable: "",
                            onClick: _cache[1] || (_cache[1] = ($event) => changeModel("gpt-4-0613"))
                          }, {
                            default: withCtx(() => [
                              createVNode(QItemSection, null, {
                                default: withCtx(() => [
                                  _hoisted_3,
                                  createBaseVNode("div", _hoisted_4, "(" + toDisplayString(getModelCalls("gpt-4-0613")) + "/" + toDisplayString(call_limit_today.value["gpt-4-0613"]) + ") ", 1)
                                ]),
                                _: 1
                              })
                            ]),
                            _: 1
                          })), [
                            [ClosePopup],
                            [Ripple]
                          ])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 8, ["label"]), [
                    [vShow, tab.value === "chatPage"]
                  ]),
                  withDirectives(createVNode(QBtn, {
                    flat: "",
                    icon: "add",
                    round: "",
                    onClick: addSubject
                  }, null, 512), [
                    [vShow, tab.value === "chatPage"]
                  ])
                ]),
                _: 1
              }),
              createVNode(QTabs, {
                modelValue: tab.value,
                "onUpdate:modelValue": _cache[4] || (_cache[4] = ($event) => tab.value = $event),
                dense: "",
                class: "text-grey",
                "active-color": "primary",
                "indicator-color": "primary",
                align: "justify",
                "narrow-indicator": ""
              }, {
                default: withCtx(() => [
                  createVNode(QTab, {
                    onClick: _cache[2] || (_cache[2] = ($event) => changeTab("chatPage")),
                    name: "chatPage",
                    label: "\u804A\u5929"
                  }),
                  createVNode(QTab, {
                    onClick: _cache[3] || (_cache[3] = ($event) => changeTab("imageGen")),
                    name: "imageGen",
                    label: "\u7ED8\u56FE"
                  })
                ]),
                _: 1
              }, 8, ["modelValue"]),
              createVNode(QSeparator)
            ]),
            _: 1
          }),
          createVNode(QDrawer, {
            modelValue: leftDrawerOpen.value,
            "onUpdate:modelValue": _cache[8] || (_cache[8] = ($event) => leftDrawerOpen.value = $event),
            bordered: "",
            "show-if-above": ""
          }, {
            default: withCtx(() => [
              createVNode(QList, null, {
                default: withCtx(() => [
                  createVNode(QItemLabel, { header: "" }, {
                    default: withCtx(() => [
                      createTextVNode(" \u81EA\u5B9A\u4E3B\u9898")
                    ]),
                    _: 1
                  }),
                  (openBlock(true), createElementBlock(Fragment, null, renderList(subjects_l.value, (s) => {
                    return openBlock(), createBlock(_sfc_main$4, mergeProps({
                      key: s.Id
                    }, s), null, 16);
                  }), 128))
                ]),
                _: 1
              }),
              _hoisted_5,
              createBaseVNode("div", _hoisted_6, [
                createVNode(QSeparator),
                createVNode(QCard, { flat: "" }, {
                  default: withCtx(() => [
                    createVNode(QCardSection, { class: "text-caption text-weight-light" }, {
                      default: withCtx(() => [
                        createVNode(QAvatar, null, {
                          default: withCtx(() => [
                            createVNode(QMenu, null, {
                              default: withCtx(() => [
                                createVNode(QList, null, {
                                  default: withCtx(() => [
                                    withDirectives((openBlock(), createBlock(QItem, { clickable: "" }, {
                                      default: withCtx(() => [
                                        createVNode(QItemSection, {
                                          onClick: _cache[5] || (_cache[5] = ($event) => account_info.value = true)
                                        }, {
                                          default: withCtx(() => [
                                            createTextVNode("\u8D26\u53F7\u4FE1\u606F")
                                          ]),
                                          _: 1
                                        })
                                      ]),
                                      _: 1
                                    })), [
                                      [ClosePopup]
                                    ]),
                                    withDirectives((openBlock(), createBlock(QItem, { clickable: "" }, {
                                      default: withCtx(() => [
                                        createVNode(QItemSection, {
                                          onClick: _cache[6] || (_cache[6] = ($event) => recharge.value = true)
                                        }, {
                                          default: withCtx(() => [
                                            createTextVNode("\u5347\u7EA7vip")
                                          ]),
                                          _: 1
                                        })
                                      ]),
                                      _: 1
                                    })), [
                                      [ClosePopup]
                                    ]),
                                    withDirectives((openBlock(), createBlock(QItem, { clickable: "" }, {
                                      default: withCtx(() => [
                                        createVNode(QItemSection, { onClick: quit }, {
                                          default: withCtx(() => [
                                            createTextVNode("\u9000\u51FA\u767B\u5F55")
                                          ]),
                                          _: 1
                                        })
                                      ]),
                                      _: 1
                                    })), [
                                      [ClosePopup]
                                    ])
                                  ]),
                                  _: 1
                                })
                              ]),
                              _: 1
                            }),
                            createVNode(QImg, { src: "chat-user-logo.jpg" }),
                            createVNode(QBadge, { floating: "" }, {
                              default: withCtx(() => [
                                createTextVNode(toDisplayString(unref(userStore2).Membership.Level), 1)
                              ]),
                              _: 1
                            })
                          ]),
                          _: 1
                        }),
                        createTextVNode(" " + toDisplayString(unref(userStore2).Username), 1)
                      ]),
                      _: 1
                    }),
                    createVNode(QCardActions, { class: "justify-center" }, {
                      default: withCtx(() => [
                        createVNode(QBtn, {
                          class: "full-width",
                          color: "primary",
                          outline: "",
                          onClick: _cache[7] || (_cache[7] = ($event) => recharge.value = true)
                        }, {
                          default: withCtx(() => [
                            createTextVNode("mogU\u5E01\uFF1A" + toDisplayString(unref(userStore2).Property.Coin) + " ", 1),
                            createVNode(QBadge, {
                              color: "warning",
                              floating: ""
                            }, {
                              default: withCtx(() => [
                                createTextVNode("\u5145\u503C")
                              ]),
                              _: 1
                            })
                          ]),
                          _: 1
                        })
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                })
              ])
            ]),
            _: 1
          }, 8, ["modelValue"]),
          createVNode(QPageContainer, null, {
            default: withCtx(() => [
              withDirectives(createVNode(ChatPage, null, null, 512), [
                [vShow, tab.value === "chatPage"]
              ]),
              withDirectives(createVNode(ImageGen, null, null, 512), [
                [vShow, tab.value === "imageGen"]
              ]),
              createVNode(QDialog, {
                modelValue: account_info.value,
                "onUpdate:modelValue": _cache[9] || (_cache[9] = ($event) => account_info.value = $event)
              }, {
                default: withCtx(() => [
                  createVNode(_sfc_main$3)
                ]),
                _: 1
              }, 8, ["modelValue"]),
              createVNode(QDialog, {
                modelValue: recharge.value,
                "onUpdate:modelValue": _cache[10] || (_cache[10] = ($event) => recharge.value = $event)
              }, {
                default: withCtx(() => [
                  createVNode(_sfc_main$2)
                ]),
                _: 1
              }, 8, ["modelValue"])
            ]),
            _: 1
          })
        ]),
        _: 1
      });
    };
  }
};
var MainLayout = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  "default": _sfc_main
}, Symbol.toStringTag, { value: "Module" }));
export { Encoding as E, MainLayout as M };
